/*
 * $Id: ChangeLog 16951 2011-07-17 17:16:33Z vszakats $
 */

/* Use this format for entry headers:
   YYYY-MM-DD HH:MM UTC[-|+]hhmm Your Full Name (your_email address)
   2010-12-31 13:59 UTC+0100 Foo Bar (foo.bar foobar.org)

   This work is licensed under the Creative Commons Attribution-ShareAlike
   License. To view a copy of this license, visit
   http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to
   Creative Commons, 559 Nathan Abbott Way, Stanford, California 94305,
   USA.  A summary of the license and the full legal text is included
   in file: COPYING.  If you wish to distribute some or all of this work
   under different terms, please contact respective author(s).
   The license applies to all entries newer than 2009-04-28.
*/

2011-07-17 19:15 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
    * final update for installed size

2011-07-17 16:34 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
  * package/winuni/RELNOTES
    * version bump in global.mk

2011-07-17 15:10 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbver.h
  * package/harbour-win.spec.in
  * package/harbour.spec
  * package/winuni/RELNOTES
  * package/winuni/mpkg_win_uni.bat
  * package/harbour-wce.spec.in
  * package/harb_win.mft
    * branch 3.0 version bump 2.1.0rc2 -> 3.0.0

2011-07-17 14:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * ChangeLog
    ! typo

2011-07-17 14:46 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * NEWS
    * set date of stable release

2011-07-17 14:45 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbpost.hbm
    ! added HB_BUILD_STRIP support for contribs

2011-07-17 14:39 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtnetwork/hbqtnetwork.hbc
    ! updated/fixed implib name for OS/2
      As suggested by David Arturo Macias Corona

2011-07-17 12:30 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmysql/hbmysql.hbc
  * contrib/sddmy/sddmy.hbc
    - deleted (most probably static) OpenSSL libs forced in .hbc file.
      if such requirements are present for certain versions/builds of
      3rd party lib I suggest to add them via HB_USER_LDFLAGS options
      at build time. This way the build will not break when using
      different builds of these libs. The bottom line is that Harbour
      .hbc files are not the best place to track the dependency tree
      of libs linked statically to 3rd party libs. [to help such
      cases, maybe we can add them as comments, but even better if
      dynamic versions of these libs are used, so user don't have
      to deal with dependency tree at build time at all]

2011-07-17 12:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/hbide.hbp
    ! removed forced strip

2011-07-17 11:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    ! moved s_PHB_ITEM_tobedeleted logic to HBQTCORE

2011-07-17 11:21 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
    * variables scopes
    * formatting
    ; TOFIX: s_PHB_ITEM_tobedeleted logic to be moved to hbqtcore [DONE]

2011-07-16 15:59 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
  * contrib/gtwvg/gtwvg.c
    ! fixed to use LONG instead of DWORD for GetWindowLong() values
    ! fixed to use LONG_PTR instead of LONG for GetWindowLongPtr() values
      on systems requiring it, f.e. win64 builds
    ; review me pls
    ; TODO: GTWVG would have to be synced with recent GTWVT changes

2011-07-16 14:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmlzo/core.c
    ! fixed to use hb_storns() instead of hb_storni() to make win64
      builds happy

2011-07-16 14:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmlzo/core.c
    ! fixed uninitialized variable in rare error case (signaled by msvc warning)

2011-07-16 14:49 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/3rd/minixml/config.h
    ! fixed redefinition of snprintf and vsnprintf macros (upstream bugs)
      (apparent in msvc/msvc64 builds)

2011-07-16 14:28 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtgui/gtgui.c
    ! added cast to pacify msvc64 warning

2011-07-16 14:02 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmysql/hbmysql.hbc
  * contrib/sddmy/sddmy.hbc
    ! modified non-*nix 3rd party libs references to fix them for OS/2.
      based on David's test results

2011-07-16 14:02 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbct/numbase.c
    * casting to pacify warning

2011-07-16 13:51 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/utils/hbtest/rt_str.prg
    ! disabled workaround for 64 bit [U]LONG values in Win64 builds.
      Unlike all other 64 bit platforms MS-Windows 64 uses 32 bit
      [U]LONG integer values and this workaround should not be enabled.
      This modification reduces number of errors reported by HBTEST in
      Win64 builds.

2011-07-16 13:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbssl/hbssl.hbc
    * updated 3rd party lib list for OS/2.
      Patch by David Arturo Macias Corona

2011-07-15 21:56 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbct/ct.h
  * harbour/contrib/hbct/bitnum.c
    * declared
         HB_BOOL ct_numParam( int iParam, HB_MAXINT * plNum )
      as public function so it can be used by different number and bit
      manipulation CT3 functions

  * harbour/contrib/hbct/hbct.hbp
  + harbour/contrib/hbct/numbase.c
    ! added new CTON() and NTOC() implementation.
      This version is written in C and fixes many different problems
      which existed in the previous one.
      Both functions can work with 64bit integers.
      Passing 3-rd logical parameter to CTON() forces 32-bit mode
      for binary compatibility with CT3.

  * harbour/contrib/hbct/hbct.hbp
  + harbour/contrib/hbct/bitstr.c
    ! added new CTOBIT() and BITTOC() implementation.
      This version is written in C and fixes many different problems
      which existed in the previous one.

  * harbour/contrib/hbct/hbct.hbp
  * harbour/contrib/hbct/numconv.prg
    - removed old CTON(), NTOC(), CTOBIT() and BITTOC() implementation.

2011-07-15 18:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/hbini.prg
    ! fixed HB_INIREAD() unable to read values containing '=' sign
      Patch by Francesco Saverio Giudice. Thank you.

2011-07-15 11:44 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbcups/hbcups.hbc
    * added libs for OS/2. As suggested by David Arturo Macias Corona

  * config/global.mk
    ! added missing $(HB_HOST_BIN_EXT) in wildcard command used of
      user HB_CCPATH/HB_CCPREFIX verification.
      (in line 960)

2011-07-12 21:11 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * config/postinst.hbs
    ! fixed wrongly placed @cStdErr parameter in hb_processRun()
      calls. it didn't cause any error as the param is empty and
      return value currently unused.

2011-07-12 16:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbssl/ssl.c
    * previous patch modified along with Przemek's suggestion
      to also RTE for -1 values passed

2011-07-12 16:02 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/macro/macrolex.c
    ! added missing YY token assignment I removed by mistake in last
      macrolex modification.
      This modification fixes problem with extended string decoding
      by macrocompiler.

  * harbour/config/global.mk
    ! added missing $(HB_HOST_BIN_EXT) in wildcard command used of
      user HB_CCPATH/HB_CCPREFIX verification.

2011-07-12 08:51 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
    * adjusted installed sizes after fixing included C compiler
      to be 1) 4.5.2 tdm 2) trimmed down a little bit compared
      to nightly 3) fixing mingw dlls in Harbour bin dir
    ; TODO: adjust the C compiler included in nightly accordingly
  * contrib/hbssl/ssl.c
    + SSL_SET_[RW]FD(): throwing RTE if second param is not numeric

2011-07-11 21:43 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
    ! Fixed: wrongly highlighted text where single-line comment
      is inside the quoted text, viz., "ABC//DEF" which is greyed
      after "//", reported by Miso Pucko on the bug tracker.

2011-07-12 00:10 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/win/global.mk
  * contrib/hbpost.hbm
    + added undocumented build option __HB_BUILD_WINUNI=unicows
      to build Harbour core binaries (.exes and .dlls) with
      unicows lib linked in so they run on Win9x systems.
      User has to supply unicows libs, see INSTALL about them.

2011-07-11 23:30 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/mpkg_win_uni.bat
    * changed to copy mingw dlls from mingw rather than from QT
      to be in sync with embedded mingw files

2011-07-10 22:05 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/gtwvw/tests/wvwtest9.prg
    ! fixed bad code:
      inkey()!=Chr(0) -> inkey()!=0
      (perfect example why certain "extensions" are not a good idea
      from a technical standpoint.)

2011-07-08 15:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/HARBOUR_README_MINGW
    ! updated tdm link

2011-07-08 12:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * config/global.mk
    + mingw64-tdm autodetection.
      PLEASE TEST!

2011-07-08 12:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * config/global.mk
    + autodetect mingw 4.6

2011-07-08 12:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    + show autodetected HB_CCPREFIX and HB_CCPOSTFIX
      (based on Przemek's patch with addition of HB_CCPOSTFIX)

2011-07-07 21:44 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/sddoci/sddoci.c
    ! added OCI_ENV_THREADED flag to OCI_Initialize() in an attempt
      to solve MT problems reported by Marek.
      Many thanks to Vincent Rogier (author of OCILIB) for the tip
      and advice.
      Please retest now. [TESTED OK]

2011-07-06 00:05 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwin/gtwin.c
    ! using HB_ prefixed name for locally defined
      CONSOLE_SCREEN_BUFFER_INFOEX structure related names
      and then these are mapped to Windows names using #define
      (untested)
    ! disabled whole above logic since it's not used currently
      anyway. this should fix compilation with mingw64-tdm
      and some other mingw64 builds with Windows headers
      featuring CONSOLE_SCREEN_BUFFER_INFOEX structure
    ; review me please

2011-07-05 22:52 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    * deleted empty lines and commented bad code

2011-07-05 13:34 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Fixed: a possible GPF trap where a GC item was being released
      in application code without owning it.

2011-07-05 22:21 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    - disabled addition of header and libs paths for optional
      package managers on bsd platforms. in some situations this
      may be unwanted.
      (added in 2010-11-03 19:01 UTC+0100 Viktor Szakats)

2011-07-05 17:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! fixed to put requests to stub code for core GTs when
      -gt* options are used
      (the fix it meant to be unintrusive and could use a future
      cleanup/optimization by using the raw GT list to form
      the library list instead of rolling both lists in parallel)
      Please test.
    * minor cleanup to IsGTRequested() so it can be reused in the future

2011-07-05 07:49 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/pp/ppcore.c
    % removed dummy (always false) condition

  * harbour/src/rtl/arc4.c
    ! do not uses sysctl() in Android builds

2011-07-04 20:41 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/tests/testsvc.prg
    + added comment about 'S' internal parameter
    + added textual error messages

2011-07-01 20:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/gtwvw/gtwvw.c
    ! fixed display problem when using browse in wvwtest9 sample.
      patch suggested by Ash and its replicating xhb solution.

2011-06-27 12:14 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
  * contrib/hbide/idesaveload.prg
  * contrib/hbide/setup.ui
    * Changed: the icon size of toolbars of editing instances
      from 16x16 to 12x12 by default. This can be adjusted to
      suit one preferences via <Setup><hbIDE Setup><General>.
      This change has effected an aesthetically pleasing
      look to editing area.

2011-06-23 09:49 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/vm/classes.c
    ! error if HB_USE_PROFILER is defined. Patch from Teo Fonrouge.

2011-06-21 16:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    * -vcshead= option made more robust by eliminating redirection
      operator from cmdline and usage of temp file

2011-06-21 12:16 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/tests/myzip.prg
  * contrib/hbmzip/tests/myunzip.prg
    ! use MAIN() as entry point to make some platforms happy

2011-06-19 17:09 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/QStringList.qth
    ! Commented out: duplicate ( from Harbour's POW ) function
      calls which were generating warnings "Unreachable code".

2011-06-20 02:05 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/idemain.prg
    ! fixed to show the same encoding name as selected from menu

2011-06-20 00:14 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/trpccli.prg
  * contrib/xhb/trpc.prg
    ! fixed '!=' operator on strings

  * contrib/xhb/sprintf.prg
    ! indenting, formatting (verified)

  * contrib/xhb/xhbmemo.prg
    * whitespace

2011-06-19 18:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhbtedit.prg
    ! fixed to not use deprecated internal functions __str*()
    % minor opt to strtran() calls

2011-06-19 17:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhbtedit.prg
    ! transformed some xhb syntax extensions to Harbour equivalents

2011-06-19 17:18 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhbtedit.prg
    ! fixed to handle some of the "extended" keys without build-time hacks,
      so selection/copy/paste should now work
    * formatting

  + contrib/xhb/xhbmemo.prg
  * contrib/xhb/xhb.hbp
  * contrib/xhb/xhb.hbx
    + added XHB_MEMOEDIT() function, completing commit 2011-05-25 19:35 UTC+0200

2011-06-19 08:06 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/HBQString.qth
  * contrib/hbqt/qtcore/qth/QByteArray.qth
    ! Commented out: duplicate ( from Harbour's POW ) function
      calls which were generating warnings "Unreachable code".

2011-06-19 11:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    + added TOFIX to strtok() calls

2011-06-19 11:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
    ! fixed != operator on strings
    * DATA -> VAR
    * formatting, indenting
    * cleaned unnecessary parameter in hbqtgen_BuildCopyrightText()
    - deleted '#define  _xGEN_TRACE_'

2011-06-18 22:55 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
    ! Fixed: a function call dependent on Qt v4.6 +.

2011-06-18 13:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
  * NEWS
    * updates

2011-06-18 13:19 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
    * updated installed sizes

2011-06-18 12:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    * updated comment for tdm mingw recommending official build for x64 compiler

2011-06-18 12:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
    * some updates
  * package/winuni/mpkg_win_uni.bat
    ! minor fix for current rc version

2011-06-17 18:29 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideactions.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideedit.prg
  * contrib/hbide/idefindreplace.prg
  * contrib/hbide/idehome.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/idesaveload.prg
    * Changed: the way "Stats" window was implemented in the parallel
      with edit instances. Now it is an independent "Qt_Sheet" window
      which can be activated with "Welcome" main toolbar icon.
      This has cleaned the editing environment.

    - Removed: non-mdi protocol for editing areas. It is now only one.
      This has simplified the code considerably and has also cleaned
      the ambiguity.

    ! Fixed: first-timer visual glitch which was presenting the two
      MDI windows side-by-side, "Stats" and "Main".

2011-06-17 12:18 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/setup.ui
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideeditor.prg
  * contrib/hbide/idesaveload.prg
    + Implemented: integration with Microsoft Visual SourceSafe for
      version control. Current implementation only offers, Checkin,
      Checkout, Undocheckout, Get Latest Version. Diff is not funtional
      as it should be.
    ; It is assumed that VSS is already installed on your system
      and Project(s) and files are already setup for your sources.
      The interface to carry-out these operations is right-click on
      editing instance and choosing an action via "Source Control - VSS"
      sub-menu. Your input will be highly valuable.

    ; Probably this will be my last commit before release 3.0.0.

2011-06-17 20:27 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbgtinfo.ch
  * harbour/src/rtl/gtwvt/gtwvt.c
    + added support for HB_GTI_MAXIMIZED
      Patch created by Heinz V. Bergen - thank you.

  * harbour/src/common/hbstr.c
    % simplified hb_strAt() code and added missing stop condition.
      This modification also quite nicely optimized the average speed
      of AT() function and $ operator.

2011-06-17 19:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/mpkg_win_uni.bat
  * package/mpkg_win_nightly.bat
    + added unicows implibs for applicable platforms. these are totally free
      files accessible from the internet for anyone, for some Win9x users it's
      too much though, so I'm adding them to binary distro.
      To be tested

2011-06-17 14:57 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhb.hbp
    ! added hbfship to .hbp file too. even though hbfship is included
      in .hbc just to offer hbfship functions while they are not actually
      called from xhb code, for dynamic xhb lib builds it must be built
      beforehand.
      Fixes problem reported by Tamas.

2011-06-16 00:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    ! fixed WinCE regression after recent patch
    % minor optimization

2011-06-15 13:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideeditor.prg
    ! Fixed: relaoding a source now correctly sets the READONLY
      attribute associated with the file and also positions the cursor
      approximately at the same position as it was before.
      This helps in keeping the same session if a file is checked
      in/out of some version control systems which sets the attribute
      to read-only when checked in.

2011-06-15 12:50 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    ! Fixed: a silly comparison in prev commit.

2011-06-15 11:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/changelog.ui
  * contrib/hbide/idechangelog.prg
  * contrib/hbide/idesaveload.prg
    * Changed: "Manage ChangeLog(s)" dialog - <Title> and <Sources>
      entry fields are now editable drop-down combo boxes. They retain
      the entered text for next run. The retained entries are inserted
      alphabetically to retreive fast.

2011-06-14 22:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * tests/ac_test.prg
    ! warnings

2011-06-14 11:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/strtran.c
    ! minor in webpage URL

  * src/rtl/gtwvt/gtwvt.c
    ! Patch from Heinz V. Bergen, fixing full screen and alt-enter
      GT features when GTWVT windows was not open yet, also fixing
      screen positioning/sizing regression.

  * src/rtl/inkey.c
  * include/harbour.hbx
    + added HB_KEYLAST() which allows to pass a mask
      (I'm not sure if this is ultimate solution, but there is goes
      for now. Pls remove it if there is better one)

  * package/winuni/RELNOTES
    * updated 3rd party version numbers

2011-06-12 13:33 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hblzf/3rd/liblzf/lzf_c.c
    ! use __int64 instead of _int64 in WIN64 builds
      Some MinGW64 versions (i.e. tdm64-gcc-4.5.2.exe_ do not support
      _int64 as default type.

  * harbour/contrib/hblzf/3rd/liblzf/liblzf.dif
    * regenerated with: ../../../../bin/hb3rdpat.hbs -rediff

2011-06-12 13:16 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/strtran.c
    ! rewritten STRTRAN() to fix incompatibilities with Clipper and fatal
      performance of original code.
      This implementation is over 3 times faster then the previous code.

2011-06-09 22:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.h
  * src/rtl/gtwvt/gtwvt.c
  * tests/wvtext.prg
    + Massive GTWVT patch from Heinz V. Bergen. Thank you very much.
      Details:
      - fixed Alt-Enter for full screen, will no longer send the
        K_ENTER to the Input queue.
      - HB_K_RESIZE only sent if the Rows/Cols size actually changed.
      - Clicking Maximize (top right corner) button, will maximize window
        and change to Restore button, then clicking Restore button will
        restore the window to its previous size.
      - Dbl-clicking Title-Bar will maximize, then Dbl-Clicking Title
        bar again will restore.
      - Resizing window when in RESIZEMODE_FONT, will dynamically display
        the resulting size changes in real time.
      - All Maximize / Restore / Sizing works in RESIZEMODE_ROWS as would
        be expected.
      - Windows 7, dragging Window (Title-Bar) to top of screen will maximize,
        then dragging maximized window's Title bar down will Restore
        to previous size.
      - Windows 7, dragging Window (Title-Bar) left or right until mouse
        pointer hits the edge of the screen will size and dock to the left
        or right half of the screen, then dragging title bar away from docked
        position will restore the Window to its previous size.
      - Windows 7, resizing top or bottom until edge of screen hit
        (or dbl-clicking) will resize for maximum height. Then dragging
        title bar away will restore to previous size.
      - Before, depending on monitor's resolution, and when using
        Courier New or Terminal font, maximizing would fail due to Font
        metrics being incompatible with the Window's size or maybe due to
        math issues, I was able to resolve by slightly adjusting the Font's
        width or height down and then trying again until successful.
      - Pressing Alt-Enter (when enabled) for full screen mode and then
        pressing Alt-Enter again will restore Window to previous
        non-maximized size.
      - extended GT test app
    ; Please make test and report any experiences on devel list

2011-06-09 15:31 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapifs.h
  * harbour/src/rtl/filesys.c
    % removed unnecessary PID setting in POSIX file lock function.
    + added new C function:
         int hb_fsLockTest( HB_FHANDLE hFileHandle, HB_FOFFSET nStart,
                            HB_FOFFSET nLength, HB_USHORT uiMode );
      It allows to test file range lock status.
      It returns -1 on error, 0 when lock can be set and value greater
      then 0 if part of given range is locked by other process. In POSIX
      systems this value is PID of current lock owner. In other systems
      it's always 1.
      In uiMode only FLX_SHARED bit is significant.

  * harbour/include/hbapifs.h
  * harbour/src/rtl/filebuf.c
    + added new C function:
         int hb_fileLockTest( PHB_FILE pFile, HB_FOFFSET nStart,
                              HB_FOFFSET nLen, int iType );
      It's redirected to hb_fsLockTest()

  * harbour/contrib/hbnetio/netio.h
  * harbour/contrib/hbnetio/netiocli.c
  * harbour/contrib/hbnetio/netiosrv.c
  * harbour/contrib/hbmemio/memio.c
    + implemented hb_fileLockTest() low level code

  * harbour/include/dbinfo.ch
    + added DBI_LOCKTEST

  * harbour/src/rdd/dbf1.c
    % small code simplification
    + implemented DBI_LOCKTEST
         dbInfo( DBI_LOCKTEST [, <nRecNo> ] ) -> <nStatus>
      returns corresponding results to C level hb_fsLockTest() function.
      If current workarea is already locked then 0 is returned.
      If low level FS is located on POSIX system (accessed directly or by
      HBNETIO) then value greater then 0 is PID of current lock owner.
      If the lock is hold by aliased area or other thread of calling
      process then <nStatus> is current PID. In Other systems 1 is returned
      when lock cannot be set in current workarea.
      If <nRecNo> is given then the test is for RLOCK() otherwise FLOCK()
      operation.

2011-06-07 18:15 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideactions.prg
  * contrib/hbide/idemain.prg
    ! Reverted: latest changes affecting <Setup><CodePage> sub-menu.

2011-06-08 00:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/superlib/superlib.hbp
  * examples/ps32/ps32.hbp
  * examples/gfspell/gfspell.hbp
  * examples/rddado/rddado.hbp
  * examples/hbapollo/hbapollo.hbp
  * examples/hbvpdf/hbvpdf.hbp
  * examples/hbbtree/hbbtree.hbp
  * examples/hbbtree/hbbtree.hbc
  * examples/gtwvw/gtwvw.hbp
  * examples/gtwvw/gtwvw.hbc
    ! synced libpaths in .hbp and .hbc files. it also means multitarget support

  * contrib/hbmxml/3rd/minixml/config.h
    ! fixed redefinition of strdup() macro (upstream bug) [Tamas Tevesz]

2011-06-07 15:04 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideactions.prg
  * contrib/hbide/idemain.prg
    + Implemented: full list of codepages Harbour supports.
      Earlier the list included only unique CPs at the back.

  * contrib/hbide/idesaveload.prg
  * contrib/hbide/idechangelog.prg
    + Fixed: "Changelog User" was sharing a similar looking
      instance variable name.

2011-06-07 11:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/changelog.ui
  * contrib/hbide/idechangelog.prg
  * contrib/hbide/idesaveload.prg
    + Added: retaining the user name updating the changelogs.
      First time it is asked as before, later it can be modified
      in User: edit control at top-right of the dialog.

2011-06-06 21:31 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    ! Fixed: initializing a new ChangeLog was generating error, stupid typo.

2011-06-06 18:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    * Changed: behavior of "Current Log Entry" to scroll to last
      after an element is added.
  * contrib/hbide/ideactions.prg
  * contrib/hbide/idemain.prg
    * Changed: "Setup/CodePage" menu to display Harbour recognized
      codepage name alsong its unique id.

      Let me know if that makes the whole list of Harbour's
      code pages.

2011-06-06 15:37 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
  * contrib/hbide/idesaveload.prg
    + Implemented: to remember the position and size of
      ChangeLog(s) dialog.

2011-06-06 14:47 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/changelog.ui
  * contrib/hbide/idechangelog.prg
    * Changed: the way "Current Log Entry" is built. Now user can
      edit the contents of built entry.
    ; NOTE: 1. Action tokens should be preserved as is when editing
               built log entry.
            2. If a new line be inserted in "Descriptions" start
               it from the column 1, hbIDE will auto format when saving.
            3. If indentation is needed in "Descriptions" then start
               a new line at column 15 or higher only, just below where ": "
               seperates action token.

2011-06-06 21:19 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/hbmzip.hbp
  * contrib/hbmzip/hbmzip.hbx
  + contrib/hbmzip/mziperr.prg
    + HB_ZIPERRORSTR(), HB_UNZIPERRORSTR()

2011-06-06 07:16 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    * Fixed: a stupid typo.

2011-06-06 02:26 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideactions.prg
    ! Fixed: "CodePage" submenu in "Setup" went hidden for some time.

2011-06-05 20:10 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
  * contrib/hbide/idechangelog.prg
    * Changed: token to represent "Changed" from "&" to "*"
      confirming to universal standard for ChangeLogs.

2011-06-06 01:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    - disabled -c=/-cpp= feature.
      options are accepted, but ignored.

2011-06-06 00:59 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  - contrib/hbcurl/core_t1.c
  - contrib/hbcurl/hbcurlt1.ch
    - deleted half-done implementation of HB_CURLOPT_HTTPPOST.
      I hope someone can finish it, it was a good initiative.

  * ChangeLog
    ! remove changelog format examples from recent changelog
      entry. they belong to some local standard, not Harbour's,
      or general open source software.

2011-06-05 07:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.h
  * contrib/hbqt/qtgui/qth/HBQSyntaxHighlighter.qth
    + Implemented: new syntax highlighter for ChangeLog(s)( hbIDE defined ).

  * contrib/hbide/changelog.ui
  * contrib/hbide/idechangelog.prg
    + Implemented: managing interface to ChangeLog(s) with color highlightings.
      Entry number is auto incremented in entry header.
      Entry header is followed by "Title" ( optional ).
      Then the "Source(s)" followed by "Action(s)" accompanied by "Description(s)".
      Every part is color highlighted.
      Invoke with <Setup><Manage Changelog(s)> main menu option, create an empty
      Changelog from <New> button at the top-right of presented dialog and play a little.
      Waiting for your input as to what can be improved.

2011-06-03 18:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idemisc.prg
    ! Minor.
  * contrib/hbide/changelog.ui
    + One more button.
  * contrib/hbide/idechangelog.prg
    + Advanced: now you can build a log in real-time.
      It is scheduled to be polished a bit more.

2011-06-04 01:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/superlib/superlib.hbc
    ! adjusted libname

2011-06-04 00:11 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbplist
  + contrib/hboslib
  + contrib/hboslib/core.prg
  + contrib/hboslib/hboslib.hbx
  + contrib/hboslib/hboslib.hbp
  + contrib/hboslib/hboslib.hbc
    + added OSLib emulation lib for Harbour
      see docs here: http://www.davep.org/clipper/OSLib/

2011-06-03 13:15 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idebrowse.prg
    % Set vertical scrollbars of XbpBrowse() class to honor thumb
      positioning per open index. Pointed out by Francek.

2011-06-03 13:11 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtgui/qth/filelist.hbm
  * contrib/hbqt/qtgui/qth/QDialogButtonBox.qth
    + Added: QDialogButtonBox() class.

2011-06-03 17:19 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/rddads/tests/datad.prg
    ! fixed 'field -> id' index expr which wasn't recognized by ADS
  * contrib/rddads/tests/datad.prg
  * contrib/rddads/tests/testmg.prg
    ! use hb_libpostfix()
  * contrib/hbide/idemain.prg
    ! use hb_libpostfix() which fixes loading rddads on non-win
      systems (untested, I can't wait for HBQT build to finish)

2011-06-03 14:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + added TROUBLESHOOTING/11:
      'Do not alter the directory layout and files in Harbour and 3rd party
       packages.'

2011-06-02 19:17 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    ! Advanced: more refinements.

  * contrib/hbxbp/xbpfiledialog.prg
    ! Fixed: XbpFileFialog() is made to open fast, was responding
      extremely slow.

2011-06-03 02:16 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/listbox.prg
    ! missing paranthesis, causing miscalculation in :changeItem()
      with dropdown listboxes. pls test.

2011-06-03 01:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/vm/thread.c
    * upped sleep timeout in *nix version of hb_threadReleaseCPU() to 20 ms
      it halves CPU consumption. pls revert/comment if you notice
      causing this any harm.

2011-06-02 15:32 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/changelog.ui
    ! Changed: QDialog() => QWidget().

  * contrib/hbide/setup.ui
    + Added: more constants to control docking widgets appearance.

  * contrib/hbide/idechangelog.prg
    + Advanced: few more additions. Last worked ChangeLog file is
      saved for next run and is shown opened when activated.
      TODO: compose a new syntax-highlighter.

  * contrib/hbide/ideedit.prg
    + Added: "WITH" and "REPLACE" as Harbour keywords.

  * contrib/hbide/ideplugins.prg
    ! Fixed: Possible return value bug.

  * contrib/hbide/idesaveload.prg
    + Added: "REPLACE" as Harbour keyword.

  * contrib/hbide/idemain.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/idethemes.prg
    + Implemented: user-controlled dock-widgets tab-position and shape.
    ! Activated: last state of dock-widgets if visible or not for next run.
                 This facilitates that now user can arrange dock widgets
                 once-for-all and bring all in focus or push back if not
                 required.

2011-06-02 21:05 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/thread.c
    * set sleep timeout in *nix version of hb_threadReleaseCPU() to 10 ms

  * harbour/src/compiler/hbpcode.c
    ! fixed typo which could cause compile time crash when debugger code
      is generated (-b) and file name with extenssion has only one or
      two characters

  * harbour/include/hbcompdf.h
  * harbour/src/compiler/hbmain.c
  * harbour/src/compiler/hbstripl.c
  * harbour/src/compiler/harbour.y
  * harbour/src/compiler/harbour.yyc
    ! removed old code designed to optimize line numbers generated in PCODE.
      It cannot work correctly and in some cases it was generating HB_P_LINE
      pcodes in wrong places.
    % enabled new code for HB_P_LINE PCODEs optimization also in debugger (-b)
      compilation so it can be used to replaced the old one.

2011-06-02 14:51 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/wapi_winbase.c
    ! fixed to pull proper default getlasterror value

2011-06-02 11:01 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/mapi.c
    ! fixed UNICODE conflict after recent LoadLibrary patch.
      this file has forced UNICODE off due to MS idiocy so I had
      to add more idiocy to interface with properly UNICODE setting
      compliant local API
      Note, I didn't test non-UNICODE build, if you're interested
      in it, pls do it
  * contrib/hbwin/tests/testmapi.prg
    + simpleio

2011-05-31 15:12 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbide.qrc
  * contrib/hbide/resources/hideshow.png
    + Added: image for top-toolbar to activate show/hide of dock widgets.

  * contrib/hbide/ideactions.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/idesaveload.prg
    + Implemented: a single-click mechanism to hide or show all managed
      dock widgets in all docking areas. This can be accomplished via
      "Hide Show Docks" top-toolbar icon or <View> main menu option.

      This implementation is extremely usable feature, requested by Massimo.
      Just manage docks to the desired position and areas, activate this
      option on/off and then see how useful it is. User gets more editing
      area and also has the power to do additional tasks by bringing
      back the last setup as and when required. The setup is remembered for
      the next run even if docks are hidden at the time of previous close.

2011-05-31 16:03 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/gttrm/gttrm.c
    * enable resizing if PuTTY is autodetected regardles of [HB_]TERM setting

2011-05-31 15:33 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/gttrm/gttrm.c
    * gives higher priority for PuTTY terminal autodetection then for
      envvar [HB_]TERM=linux

2011-05-31 00:02 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/setup.ui
    + Started: few more user-definable elements to manage docking
      widgets to suit one's preferences.
  * contrib/hbide/mainwindow.ui
  * contrib/hbide/idedocks.prg
    + Enabled: more options for docking widgets.
      Now docks can be placed tabifyied, horizonal to each other,
      vertical to each other and/or tabified within its group.
      Now user can arrange docks in any area with any combination.
    TODO: control this behavior via <setup>, slots are already added.

2011-05-30 21:05 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/docviewgenerator.ui
    ! Changed: behavior of <Index> tab, now width is never more than required.

2011-05-30 20:36 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
    ! Optimizations.

  * contrib/hbide/findinfilesex.ui
  * contrib/hbide/themesex.ui
    ! Changed: user interface. Now it is more appealing and slim.

  * contrib/hbide/ideedit.prg
  * contrib/hbide/idefindreplace.prg
  * contrib/hbide/idethemes.prg
    ! Changed: to adopt above changes in user-interfaces.

2011-05-28 15:18 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
    ! Fixed: wrong multi-line syntax highlighting in case
      multi-line comment indicator "/*" is embedded in a string,
      like __run("mdel a:/*.*"). Was a long standing bug in hbIDE.

2011-05-28 20:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbodbc/hbodbc.hbc
  * contrib/sddodbc/sddodbc.hbc
    ! added 3rd party libs for non-darwin unix

2011-05-27 18:22 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/tests/wvgtbrowser.prg
    + Implemented: highlighting the cell where mouse click occurs.

2011-05-27 17:32 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/tests/wvgtbrowser.prg
    ! Reworked: scrollbars of TBrowse. Now these are WvgScrollbar()s
      instead of WvtScrollbar()s. WvtScrollbar() are best suited
      for WvtCrt() protocol not for WvgCrt() protocol. Now these
      are smooth. This concept is pulled from my applications and
      slightly adjusted for demowvg.

2011-05-27 23:42 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/hbdoc2/gentxt.prg
  * examples/hbdoc2/genxml.prg
  * examples/hbdoc2/genhtml.prg
    ! removed extra dot before extension in filename references.
      it also caused bad links in .html output. Reported by Claudia.

2011-05-27 19:04 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapicdp.h
  * harbour/src/codepage/Makefile
  + harbour/src/codepage/uc858.c
    + added CP858 - basically it's CP850 but contains EURO SIGN (U+20AC) at position 0xD5
      instead of Turkish dotless-i (U+0131)

2011-05-27 08:14 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/3rd/sqlite3/sqlite3.c
  * contrib/3rd/sqlite3/sqlite3.dif
  * contrib/3rd/sqlite3/sqlite3.h
  * contrib/3rd/sqlite3/sqlite3.hbp
    * update sqlite to 3.7.6.3 [Tamas Tevesz]

2011-05-26 14:25 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/tests/wvgtbrowser.prg
  * contrib/gtwvg/tests/wvgutilities.prg
  * contrib/gtwvg/wvgclass.prg
    + Implemented: scrollbars used along TbrowseWVG() in demowvg
      as requested by Zoran.

2011-05-25 21:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idechangelog.prg
    % Advanced: more complete. You can play building the current entry.

2011-05-25 21:00 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  + contrib/hbide/changelog.ui
    + Added: miss from prev commit.

2011-05-25 17:11 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbide.hbp
  * contrib/hbide/hbide.qrc
  * contrib/hbide/ideactions.prg
  + contrib/hbide/idechangelog.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/ideobject.prg
  + contrib/hbide/resources/memo.png
    + Added: <Setup><Manage ChangeLog(s)> option.
      This is announced ChangeLog Manager which simply constructs
      the changelog entry and inserts at the top of specified
      ChangeLog file. It is a work-in-progress and this is a just
      initial commit, but can faily understand what I mean.

2011-05-25 12:48 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/wvgpaint.prg
    ! Fixed: focus was not set to the window from where a modal
      dialog was being initiated. Thanks Zoran Sibinovic for code example.

2011-05-25 12:25 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideedit.prg
    ! Fixed: CTRL+Insert was not copying text to the clipboard.
      Reported on SourceForge bug tracker.

2011-05-25 19:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhbtedit.prg
    ! fixed formatting (using hbformat + manual corrections)

2011-05-25 19:35 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/xhb/xhbtedit.prg
  * contrib/xhb/xhb.hbp
  * contrib/xhb/xhb.hbx
    + borrowed complete extended TEDITOR() class from xhb. The code
      looks very unclean and not Clipper compatible, so it will be
      part of xhb. Contains fixes to make it compile under vanilla
      Harbour with (default) high warning level. Plus some more
      basic code cleanups. Class was renamed to XHBEDITOR.

2011-05-25 15:18 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/ChangeLog
    ! removed repeated entry

2011-05-25 15:14 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbwin/win_prn2.c
    ! fixed typo in variable name in my previous modification

2011-05-24 14:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/wvgcore.c
    ! Fixed: wrongly handelled WM_CLOSE message in modal/modeless
      dialogs. The fact is reported by  Zoran Sibinovic.

2011-05-24 11:59 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/arc4.c
    ! changed size parameter passed by reference to sysctl() to size_t
    ! fixed WINCE builds
    % enable pid checking only in *nix systems.
      If system does not support fork() or compatible operation
      (i.e. vfork(), clone()) then PID checking is completely useless.

  * harbour/src/rtl/gtwvt/gtwvt.c
    * pacified WINCE warnings

  * harbour/contrib/rddads/adsx.c
    ! fixed potentially uninitialized pTag variable

2011-05-23 11:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/arc4.c
    ! build error on osx

2011-05-22 13:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/vm/vmmt/Makefile
    ! added pbyref.c

2011-05-21 14:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/teditor.prg
    ! fixed regression occurred in commit:
        2007-01-10 17:50 UTC+0800 Pritpal Bedi
      reproducible using:
        'memoedit(chr(13)+chr(10)+"abcdef"+space(50),1,1,2,20,,,90,,1,10,0,0)
        and in the edit window, press <down> once and <left> ten times after
        that. As you see, the edit windows shows incorrect data on the screen
        now.'
      Thanks to vbdasc for the report and fix.

2011-05-21 13:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  + src/vm/pbyref.c
  * src/vm/Makefile
    + added HB_PISBYREF() (renamed because HB_PARAM* prefix would
      be new, whereas HB_P*() is already utilized)
      [Przemek]

  * contrib/xhb/xhb.hbx
  * contrib/xhb/xhbfunc.c
    - commented HB_ISBYREF(). it's broken.

2011-05-21 12:41 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/rtl/hbrandom.c
    * HB_RANDOMMAX() -> HB_RANDOMINTMAX()
    ; TOFIX: now broken under mingw in all places where HB_RANDOMINT()
             is potentially called with larger than HB_RANDOMINTMAX()
             value. This will be impossible f.e. in RANDOM() CT function. [NOT A BUG]

  * src/rtl/hbrandom.c
  * src/rtl/hbrand.c
    + hb_random_block() changed to use ARC4 backend.

  * examples/httpsrv/modules/showcounter.prg
    % hb_ntos()

2011-05-21 12:02 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/valtoexp.prg
    ! fixed typo in recent modifications causing RTE in HB_VALTOEXP()

  * harbour/contrib/hbwin/win_prn2.c
    ! allocate dynamic memory for print buffer in WIN_PRINTFILERAW()
      32KB variable on process execution stack is potential source of
      random GPFs in programs using deeper recursive calls and killer
      for MT mode when smaller thread stack is allocated.
    ! fixed potential data lost in WIN_PRINTFILERAW() when not all data
      is transfered in single WritePrinter() call
    ! interrupt printing in WIN_PRINTFILERAW() if WritePrinter() returns
      error

  * harbour/include/harbour.hbx
  * harbour/src/rtl/hbrandom.c
    ! restored my old fix - it was correct and the results over RAND_MAX
      range expected
    + added new PRG function:
         HB_RANDOMMAX() -> <nRAND_MAX>

2011-05-20 17:27 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idethemes.prg
    + Added: "NOT" as Harbour keyword.

  * contrib/hbide/ideactions.prg
    + Added: Toggle actions for MDI editing area's top and left toolbars.
    ; TODO: to retain these settings for next run.

  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideedit.prg
  * contrib/hbide/idemain.prg
    ! Fixed: many artifacts when MDI editing is switched off.
    ! Started: to provide "Stats -> Welcome" a different home.
      A difficult job but seems it has to be done anyway.
    ! Changed: default mimimize to system tray => minimize to task bar.
    ; TODO: should be user definable.

2011-05-20 17:26 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
    ! Applied: GTWVT fix by Przemek regarding HB_GTI_FONTSIZE.

2011-05-20 17:11 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/gtwvt/gtwvt.c
    ! update font metrics after HB_GTI_FONTSIZE also when window is not
      active yet - without it all other calculations are broken

  * harbour/src/codepage/uc1250.c
  * harbour/src/codepage/uc1251.c
    * add some missing codes which are not officially defined but
      MS-Windows uses them - I've just check it reading unicode values
      from some fonts.
      It also look that some fonts have VGA glyphs attached only to control
      values at range 0-31 without their real Unicode representation. It's
      the reason why they are not shown in GTWVT UNICODE builds. Pritpal
      reported such problem recently.
      This can be quite easy resolved by replacing hb_cdpGetU16Disp()
      with hb_cdpGetU16() in gtwvt.c but it may cause that we lost control
      characters in some other fonts. I would like to ask MS-Windows users
      to makes some tests with such modified GTWVT and check if control
      code are well shown with different fonts. If not then we can add
      HB_GTI_* switch to enable/disable control codes to unicode values
      translation.

2011-05-20 15:51 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbexpat/hbexpat.ch
    + added constants for attr array element positions
  * contrib/hbexpat/tests/test.prg
  * contrib/hbexpat/tests/tohash.prg
    + using them

  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmzip/hbmzip.hbp
    * C std-level related tweaks [Tamas Tevesz]

2011-05-19 16:55 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
    ! Fixed: regression where RTE was generated while closing
      hbIDE after MDI default has been changed to FALSE.

2011-05-19 16:40 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideeditor.prg
    ! Fixed: syntax highlighting on split window.
      This is activated when used clicks in the window.

    ! Fixed: <Next><Previous> icons on the editing area left-toolbar
      were rendered hidden once a split window was closed.

  * contrib/hbide/idethemes.prg
    ! Changed: .AND. .OR. IN as keywords only instead of operators.
      This facilitates better visual experience in the editor.

  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
    + Added: consider a source line as a comment if starts with "*".

2011-05-20 00:29 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/idesaveload.prg
    * turned off MDI mode by default
      reasons:
      - MDI as a concept is off the map these days
      - in MDI mode it's not possible (at least I could not find a way)
        or not easily to disable the "stats" window
      - in MDI mode it's not possible to disable the editor related
        toolbars
      - in MDI mode the window positions are not kept
      - it's very confusing as default state even if above are fixed
      if group thinks that MDI is the future and it makes
      HBIDE a much better tool, pls shout.

2011-05-20 00:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/idemain.prg
    % do not force-link _all_ hbqt symbols/components to HBIDE.
      most useful components are already linked because they
      are used by HBIDE, so it should be possible to create
      rich plugins already. pls only add extra components which
      are specifically requested by plugin developers, like f.e.
      I did with hbmk2 plugin/runner support. This will
      keep HBIDE size down and help on startup speed.
      (on win the exe size went down from 5MB to 4.4MB)

2011-05-19 20:28 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/arc4.c
    ! silence warning on bsd [Tamas Tevesz]

2011-05-19 11:24 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
    ! Fixed: regression on optimization on syantax highlighting.
      Split windows now behave properly.
    ; FIXED: syntax highlighting in split windows.

2011-05-19 19:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/arc4.c
    ! fixed for watcom/linux and watcom/dos and more [Tamas Tevesz]

2011-05-19 18:59 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/valtype.c
  * contrib/xhb/xhb.hbx
  * contrib/xhb/xhbfunc.c
    * HB_ISBYREF() function uncommented and moved from core to xhb lib
  * contrib/xhb/xhb.hbc
    + linking hbfship to better emulate xhb environment
  * contrib/hbfoxpro/misc.prg
    * formatting

2011-05-19 17:49 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/debug/debugger.prg
  * src/rtl/valtoexp.prg
    + __dbgValToStr() support for type "T"
    % RTrim( Str() ) -> Str() and hb_ntos()
    % hb_VALTOEXP() minor optimization
    ! synced string representation of codeblocks and arrays
    * formatting

    ; TODO: to show the address instead of "pointer"?

2011-05-19 08:31 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideeditor.prg
    ! Fixed: regression in last commit. Now hbIDE opens ok.
    ; FIXED: split window is broken.

2011-05-19 17:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/valtoexp.prg
    * formatted HB_CSTR()
  * src/debug/debugger.prg
    ! __dbgCStr() synced with HB_CSTR()

2011-05-19 17:15 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/arc4.c
    ! fixed for watcom (getpid)
    ! cast for msvc
    ! fixed for dmc (ms struct missing for win seed)
    ! fixed for bcc (inline disabled for this dead compiler, getpid)
    ! fixed warning for all non-unix, non-win targets

    ; TOFIX: it's also broken for watcom/dos and watcom/linux
             Tamas, can you take a look at it? [DONE]

  * utils/hbmk2/hbmk2.prg
    + use HB_RAND32()

2011-05-19 16:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/Makefile
  * src/rtl/hbrandom.c
  + src/rtl/hbrand.c
  + src/rtl/arc4.c
  + src/rtl/arc4.h
    + added C level arc4 API. adapted to Harbour by Tamas Tevesz,
      original authors listed in sources
    * moved HB_RAND32() function to separate source
    * changed HB_RAND32() to use arc4 backend, which means it will
      now return properly string random numbers
    ; arc4 code may need tweaks on some platforms (android f.e.),
      pls test

2011-05-19 14:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/mzip.c
    * formatting

2011-05-19 14:48 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/mzip.c
    ! fixed to honor core filename settings and OS codepage
    ! fixed OS/2 to check for wrong filename in hb_zipStoreFile()
      when finding out file attributes.
    ; please review me and beware of regressions both build-time
      and runtime.

2011-05-19 04:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  - contrib/hbtip/encb64c.c
  * contrib/hbtip/encb64.prg
  * contrib/hbtip/hbtip.hbx
  * contrib/hbtip/hbtip.hbm
    % elminated redundant base64 encoder implementation, now
      hbtip used the core one
    + TIP_BASE64ENCODE( <cData>, [<nLineLength>], [<cCRLF>] ) -> <nBase64Encoded>
      function added to create base64 encoded data split into lines,
      separated by passed EOL. default EOL is hb_eol(), if <nLineLength> is
      not specced, there will be no long splitting

2011-05-18 18:31 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideeditor.prg
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.h
  * contrib/hbqt/qtgui/qth/HBQSyntaxHighlighter.qth
    + Optimized: further the loading time of a source.
      It should be much fatser than before.

2011-05-18 12:51 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: a logical glitch causing X button on hbIDE behaving
      not as intended.

2011-05-18 20:45 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbwin/axcore.c
    ! added missing AddRef() for OLE object returbed by __AXREGISTERHANDLER()

2011-05-18 16:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/hbrun.hbp
  * contrib/hbrun/pullext.prg
    + include hbxpp

  * src/rdd/dbcmd53.c
    * formatting

2011-05-18 16:57 UTC+0300 Mindaugas Kavaliauskas (dbtopas/at/dbtopas.lt)
  * harbour/contrib/rddads/adsx.c
    ! fixed DBORDERINFO() and ORDNUMBER(), etc. behaviour, for order
      specified using tag parameter

2011-05-18 09:49 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/xhb/tests/dll.prg
    + dll call sample
  * contrib/xhb/hbdll.ch
    ! several fixes to make it work in Harbour and MT apps

2011-05-17 17:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideeditor.prg
    + Added: some methods used internally to provide hbIDE speed advantage.

  * contrib/hbide/idesaveload.prg
    ! Changed: the default behavior of :lTrimTrailingBlanks to FALSE
      responsible to strip trailing blanks from saved sources.
      Now if this behavior is desired, change the settings from
      <Setup><hbIDE Setup><General>.

  * contrib/hbide/idethemes.prg
  * contrib/hbqt/qtgui/hbqt_init.cpp
    + Added: Slot "QRect$int" for updateRequest(QRect,int) for QPlainTextEdit.

  * contrib/hbqt/qtgui/qth/HBQPlainTextEdit.qth
  * contrib/hbqt/qtgui/qth/HBQSyntaxHighlighter.qth
    + Added: more methods.

  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
    ! Fixed: 2 pixel margin around a document text which was causing a
      major visual glich which selecting text in an editing instance.
      Now it is 0,0 no matter which font and size is used.

  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.h
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.h
    + Synchronized: to apply syntax highlighting per page basis.
      Qt applies highlighting to the entire document when supplied
      which, conceptually, should be onto the page brought forward.

      This has rendered hbIDE extremely fast at startup no matter
      how many sources are loaded probably making hbIDE the fastest
      IDE at startup.

2011-05-18 01:46 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    ! fixed regression referred to in 2011-05-18 01:06 UTC+0200 Viktor Szakats
      I'm still not exactly sure what's happening (besides I'm tired as hell),
      but now it seems that it's not VK_RETURN override at fault, but composited mode
      on Vista/7 which I enabled recently. Actually copy worked only
      the selection was not visible.
      Now I turn off composited on mark and select and renable when finished.
      I imagine this is not proper solution though I don't have Bill Gates's number
      to make a support call ATM.
    + reenabled VK_RETURN

  * ChangeLog
    * edited prev entry

2011-05-18 01:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    ! fixed regression in:
        2011-02-26 20:07 UTC+0100 Viktor Szakats
      VK_RETURN event override caused 'Mark and Copy' menu functionality
      to break, it's no longer possible to select an area.

2011-05-17 22:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhb.hbc
  * contrib/xhb/xhb.hbp
    ! typos

2011-05-17 22:26 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhb.hbc
  * contrib/xhb/xhb.hbp
    + added hbxpp as a dependency for xhb. for dll handling.

  + contrib/xhb/hbdll.ch
    + added header from xhb project, with some basic adaptation.
      fully untested.

2011-05-17 21:57 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    ! fixed mingw64 detection regression breaking official mingw64 build on win

2011-05-17 19:21 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/hbrandom.c
    ! fixed wrong random numbers being generated after:
        2011-03-11 09:42 UTC+0100 Przemyslaw Czerpak
      this is simple revert, Przemek pls recheck/refix original issue.
      Values 0x????FFFF and 0x????0000 were returned from these calls:
         hb_randomInt( 0xFFFFFFFF )
         hb_randomInt( 0xFFFFFFFE )
         hb_randomInt( 0x7FFFFFFF )
      under mingw32 and mingw64 (both win and linux builds)

2011-05-17 19:02 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/rtl/hbrandom.c
    + HB_RAND32() -> <32-bit random number>

    ; TOFIX: random numbers are broken under mingw 4.5.2, only high 16bits are random.
             in all HB_RAND*() functions [DONE]

2011-05-17 17:48 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! escape fn passed to upx

2011-05-17 17:33 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/pp/ppcore.c
    ! do not strip spaces from serialized codeblocks with late macro
      evaluation

2011-05-17 16:51 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/compiler/gencc.c
    ! hb_p_pushlong: conditional -gc3 generated code modified to
      evaluate the condition at C compile time rather than .c
      code generation time. This particular fix would pbly only
      affect 16-bit cross builds, which we don't have any ATM.
    ; TOFIX: same in hb_p_pushlonglong

2011-05-17 15:40 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/gtxwc/gtxwc.c
  * harbour/src/rtl/gtwvt/gtwvt.c
  * harbour/contrib/xhb/hboutdbg.c
  * harbour/contrib/xhb/xhbfunc.c
    ! use 'hb_cmdargARGVN( 0 )' instead of 'hb_cmdargARGV()[ 0 ]' to avoid
      GPF when no arguments are initialized

  * harbour/contrib/hbwin/hbolesrv.hbc
    * use {allmingw} instead of {mingw} macro for MinGW64 builds

  * harbour/src/codepage/Makefile
  * harbour/src/codepage/uc646_yu.c
  + harbour/src/codepage/uc646yuc.c
  * harbour/include/hbapicdp.h
    + added JUS I.B1.003 - Cyrillic script variant of ISO-646-YU
      for Serbian and Macedonian language

  * harbour/src/codepage/Makefile
  + harbour/src/codepage/cpsr646.c
  + harbour/src/codepage/cpsr646c.c
  * harbour/include/hbcpage.hbx
    + added SR646 and SR646C Harbour codeapges.
      Both code pages uses the same 8-bit representation but different
      unicode values - SR646 uses Latin script and SR646C Cyrillic script.
      It means that it's useless to make any translations between SR646
      and SR646C because both versions uses the same ASCII values but they
      can help in translation to other encodings or CPs, i.e. to convert
      some Serbian text in one of the above CPs to Latin letters in UTF8
      encoding then it's enough to make:
         hb_strToUTF8( <cText>, "SR646" ) -> <cUtf8LatinText>
      and for conversion to UTF8+Cyrillic:
         hb_strToUTF8( <cText>, "SR646C" ) -> <cUtf8CyrillicText>

2011-05-16 17:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmisc/udpds.prg
    ! replaced previous workaround with one that doesn't need
      any delay in hb_UDPDS_Stop()

2011-05-16 09:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/vm/runner.c
    + HB_HRBGETFUNLIST() -> <aArray>: New function posted to the
      list by Francesco Saverio Giudice
      (NOTE: I changed the name a little bit)

  * tests/gfx.prg
    ! fixed console output. Patch by Tamas Tevesz
    * changed rest of ? commands to outstd()

2011-05-15 17:19 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/config/global.mk
  * harbour/utils/hbmk2/hbmk2.prg
    ! fixed autodetection of mingw-gcc-tdm64

2011-05-15 12:14 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbunix/sleep.c
    + missed file

2011-05-15 12:12 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/vm/set.c
    * _SET_EOF default set to .T. on *nix to match other plaforms
      (and Clipper I might guess)
      CHECKME!
    * formatting
    ! missing 'break;'. it didn't cause error, anyhow pls check me
      maybe it was intentional (in 'case HB_SET_PRN_CON:' branch)
      CHECKME!

  * contrib/hbunix/hbunix.hbp
  * contrib/hbunix/hbunix.hbx
    + POSIX_SLEEP( <n> ) -> <n>

  * contrib/hbcurl/hbcurl.ch
  * contrib/hbcurl/core.c
    + added changes from latest libcurl version (untested with
      latest version)

  * utils/hbmk2/hbmk2.prg
    ! fixed symbol names in hbx generation for watcom/{linux|dos|os2}

2011-05-13 21:20 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmisc/udpds.prg
    ! added not very beautiful workaround (how to kill a thread from
      caller proc?) to RTE in worker thread loop because of closed
      socket after calling hb_UDPDS_Stop()

2011-05-13 17:41 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/win_svc.c
    ! typo in prev

2011-05-13 17:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/hbwin.ch
  * contrib/hbwin/win_svc.c
    + added 4th param to WIN_SERVICEINSTALL() to spec start type
    + added related constants

  * contrib/hbwin/wapi_misc.c
    ! cast for win64

2011-05-13 04:05 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbstack.h
  * harbour/src/vm/hvm.c
    ! fixed stack preloading in hb_vmRequestReenterExt() when new stack has to be allocated

2011-05-12 18:45 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    % avoid duplicate requests for GT in .c stub

2011-05-12 10:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/tcgi.prg
    ! = -> ==
      (it changes behavior, though I consider previous one as buggy)

2011-05-12 09:34 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/pp/ppcore.c
    * hb_xgrab( nSize ) -> hb_xgrab( nSize * sizeof( char ) )
      trying to make flto warning disappear to no avail

  * contrib/hbexpat/unitable.prg
    ! static -> thread static

2011-05-11 22:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/wapi_winuser.c
  * contrib/hbwin/hbwin.hbx
    + WAPI_FINDWINDOW( [<cClassName>], [<cWindowName>] ) -> <hHwnd>

  * contrib/hbide/idetags.prg
  * contrib/hbide/idebrowse.prg
    ! fixed code to be _SET_EXACT agnostic

2011-05-11 19:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnf/nwsem.prg
  * contrib/hbnf/mouse2.prg
  * contrib/hbnf/tests/nftest.prg
  * examples/gfspell/spell.prg
    ! fixed = operator to :=/==

    ; now Harbour SVN is clean. Except quite a few problems in HBIDE and
      two more known code lines. Pritpal can you fix HBIDE to not use
      ambiguous '=' operator?

  * src/rdd/usrrdd/rdds/logrdd.prg
    * ltrim(str()) -> ntos()

2011-05-11 18:16 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnf/rand1.prg
  * contrib/hbnf/mouse1.prg
  * contrib/hbnf/pegs.prg
  * contrib/hbnf/menu1.prg
  * contrib/hbnf/popadder.prg
  * contrib/hbnf/scregion.prg
  * contrib/hbnf/mouse2.prg
  * contrib/hbnf/menutonf.prg
  * contrib/hbnf/pvid.prg
  * contrib/hbnf/datecnfg.prg
  * contrib/hbnf/ntow.prg
  * contrib/hbnf/pending.prg
    ! fixed STATICs for MT
    * marked const STATICs as such

2011-05-11 18:04 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnf/scancode.prg
  * contrib/hbnf/vidmode.prg
  * contrib/hbnf/miltime.prg
  * contrib/hbnf/savearr.prg
  * contrib/hbnf/dispmsg.prg
  * contrib/hbnf/mouse1.prg
  * contrib/hbnf/settime.prg
  * contrib/hbnf/page.prg
  * contrib/hbnf/pegs.prg
  * contrib/hbnf/min2dhm.prg
  * contrib/hbnf/dosver.prg
  * contrib/hbnf/metaph.prg
  * contrib/hbnf/woy.prg
  * contrib/hbnf/setdate.prg
  * contrib/hbnf/linked.prg
  * contrib/hbnf/aredit.prg
  * contrib/hbnf/xbox.prg
  * contrib/hbnf/ftround.prg
  * contrib/hbnf/dectobin.prg
  * contrib/hbnf/aemaxlen.prg
  * contrib/hbnf/nwlstat.prg
  * contrib/hbnf/tempfile.prg
  * contrib/hbnf/scregion.prg
  * contrib/hbnf/mouse2.prg
  * contrib/hbnf/pickday.prg
  * contrib/hbnf/datecnfg.prg
  * contrib/hbnf/easter.prg
  * contrib/hbnf/aeminlen.prg
  * contrib/hbnf/pchr.prg
  * contrib/hbnf/tbwhile.prg
  * contrib/hbnf/calendar.prg
  * contrib/hbnf/elapsed.prg
  * contrib/hbnf/aading.prg
  * examples/hbvpdf/hbvpdf.prg
  * examples/hbvpdf/hbvpdft.prg
  * examples/gtwvw/tests/prog1.prg
  * examples/gtwvw/tests/prog2.prg
  * examples/gtwvw/tests/wvwtest9.prg
  * examples/gtwvw/tests/ebtest7.prg
  * examples/gtwvw/tests/prog0.prg
    ! eliminated most (if not all) ' = ' operators
      some minor compatibility notes added to NF
      (NF being buggy by behaving inconsistently
      due to _SET_EXACT setting)

2011-05-11 16:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
    + HB_HCLEAR
  * contrib/hbide/hbide.hbp
    * deactivating HB_TR_ALWAYS

2011-05-11 16:01 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapi.h
  * harbour/src/vm/hashes.c
    + add new public C function: HB_BOOL hb_hashClear( PHB_ITEM pHash )
    * do not generate RTE when unexisting key is passed to HB_HDEL()
      now code which makes sth like:
         if xKey $ hValue
            hb_hDel( hValue, xKey )
         endif
      can be reduced to:
         hb_hDel( hValue, xKey )

  * harbour/src/vm/hashfunc.c
    + added new PRG function: HB_HCLEAR( <hValue> ) -> <hValue>

2011-05-11 06:55 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpmenubar.prg
    ! Changed: XbpMenubar():visible := FALSE to TRUE.
      Only XbpMenu() is documented to have this behavior.

2011-05-11 12:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + added experimental -ldflag+=, -dflag+= cmdline options
      and ldflags+= .hbc option. Such flags will be added after
      libs, which may be useful in some situations, f.e. pkg-config
    % only enclose libnames and paths inside single-quotes if
      they contain any non-ascii, non-digig, non-., non-/ chars
    ! fixed .hbx generation on darwin

2011-05-11 02:52 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbtrace.ch
    * added way to disable HB_TR_ALWAYS
      for more: 2011-04-16 23:04 UTC+0200 Viktor Szakats

  * contrib/hbxbp/hbxbp.hbp
  * contrib/hbqt/hbqt_common.hbm
    + disabled HB_TR_ALWAYS permanent messages from SVN builds
    ; TODO: move this logic to hbpre.hbm

2011-05-10 17:02 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/ideactions.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpmenubar.prg
    ! Fixed: many artifacts related with XbpMenu() and MDI
      handelling. I did not know Xbase++ diverted from uniform
      arguments behavior for every object for XbpMenu() where
      :visible instance variable is FALSE by default.
      Thanks Shum for code and looking inside the docs.

2011-05-10 21:43 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/hashes.c
    ! fixed HB_HMERGE() to work correctly when destination and source hash arrays
      are the same
    ! fixed HB_HASH_INTERSECT in HB_HMERGE()
    % two minor optimizations

2011-05-09 22:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/gtwvg/gtwvg.hbp
    * sorted

  * contrib/gtwvg/wvgmle.prg
  * contrib/gtwvg/wvgtreev.prg
  * contrib/gtwvg/wvgcrt.prg
  * contrib/gtwvg/wvgdatar.prg
  * contrib/gtwvg/wvgsysw.prg
  * contrib/gtwvg/wvgmenub.prg
  * contrib/gtwvg/wvgphdlr.prg
  * contrib/gtwvg/wvgstatc.prg
  * contrib/hbnf/acctadj.prg
  * contrib/hbnf/month.prg
  * contrib/hbnf/ftint86.ch
  * contrib/hbide/idethemes.prg
  * contrib/hbide/idetags.prg
    ! IF() -> IIF()

2011-05-09 21:44 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/Makefile
  + include/hbstrict.ch
  * contrib/hbpost.hbm
    + added experimental -u+ header to catch some common code style
      problems. currently IF() is caught, but it interferences with std.ch,
      hbsix.ch, so it's not enabled

  * config/global.mk
  * src/dynlib/2nd/Makefile
  * src/dynlib/Makefile
    * secondary harbour dynlib is now enabled by __HB_BUILD_DYN_2ND=yes
    * renamed secondary harbour dynlib to harbour2*
    + it's now possible (again) to build harbour .dll in ST mode by
      using __HB_BUILD_DYN_ST=yes. if used together with __HB_BUILD_DYN_2ND=yes,
      the secondary dynlib will be MT. (pls note the secondary dynlib
      is never directly used by hbmk2, so it's there for mere build convenience
      only)

  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbprtf.prg
  * contrib/hbxbp/xbpfiledialog.prg
  * contrib/hbxbp/xbpprintdialog.prg
  * contrib/hbxbp/xbpscrollbar.prg
  * contrib/hbxbp/xbpprinter.prg
  * contrib/hbxbp/xbpdataref.prg
    ! IF() -> IIF() (with the help of hbstrict.ch)

  * contrib/hbformat/hbfmtcls.prg
    ! fixed mistakenly changed '==' to LEFTEQUAL() in prev commit

2011-05-09 20:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/hbi18n2.prg
  * utils/hbi18n/hbi18n.prg
  * contrib/hbformat/hbfmtcls.prg
    * changed ' = ' to LEFTEQUAL() macro

  * src/rdd/hbsix/sxini.prg
  * contrib/hbgd/tests/gdtestcl.prg
  * contrib/hbide/idebrowse.prg
    * changed ' = ' to ' Left( ... ) == '

  * contrib/hbct/tests/csetarge.prg
  * contrib/hbct/tests/trig.prg
  * contrib/gtwvg/tests/wvgactivex.prg
  * contrib/xhb/trpccli.prg
  * contrib/xhb/trpc.prg
  * contrib/hbcairo/tests/glyphdbg.prg
  * contrib/hbide/hbqreportsmanager.prg
  * examples/httpsrv/cgifunc.prg
  * examples/httpsrv/session.prg
    * ' = ' -> ' := '

  * contrib/xhb/traceprg.prg
  * contrib/xhb/ttable.prg
  * contrib/hbfbird/tfirebrd.prg
  * contrib/hbtip/tests/base64.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/idebrowse.prg
  * examples/terminal/trm_srv.prg
    * ' = ' -> ' == '

  * contrib/xhb/tedit.prg
    * ' = ' -> ' == ' (I'm unsure about this, pls correct if you know the intent)

  * contrib/xhb/hbstruct.prg
    * ' = ' -> ' := '
    * formatted

  * contrib/hbtip/tests/base64.prg
    * File() -> hb_FileExists()

  ; TOFIX:
      - files with ' = ' operator:
          * contrib/hbide/idetags.prg [DONE]
          * contrib/xhb/tcgi.prg [DONE]
      - these also need to be fixed:
          * contrib/hbwin/legacy.prg:298:      xRet := ( ::OleValue = xArg ) /* NOTE: Intentionally using '=' operator. */

      There are a ton more in gtwvw [DONE], hbnf [DONE], other examples and tests, I left them as is

2011-05-09 19:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/memofile.c
    ! enabled EOF char on *nix platforms

  * src/rtl/base64d.c
    * uppercase hex nums to be in sync with base64c.c

2011-05-09 18:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/httpsrv/uhttpd.prg
  * examples/httpsrv/cookie.prg
  * examples/httpsrv/cgifunc.prg
  * examples/httpsrv/session.prg
    * TRUE -> .T.
    * FALSE -> .F.
    * END -> ENDSWITCH

2011-05-09 18:48 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/memofile.c
    % eliminated two call to hb_fsSeek() and one hb_fsRead() from
      non *nix version of MEMOREAD() function
    ! do not write final EOF character if write failed in MEMOWRIT()
      function
    ; TOFIX: In *nixes support for EOF character in MEMOREAD() and
             MEMOWRITE() is disabled by default - IMHO it's wrong
             because it's not possible to use these functions to exchange
             safely data with CA-Cl*pper applications or even DOS/Windows
             versions of Harbour applications. [DONE]

  * harbour/src/rtl/hbcom.c
    * replaced infinite waiting for reading/writing from/to serial port
      in *nix builds with loops checking periodically (once per second)
      for HVM events (i.e. thread interrupting).

  * harbour/src/codepage/uc88591b.c
    * converted hex digit to uppercase

  * harbour/contrib/hbwin/win_dlg.c
    + added support for setting default file name in
      WIN_GETOPENFILENAME() and WIN_GETSAVEFILENAME() functions:
         WIN_GETOPENFILENAME( [[@]<nFlags>], [<cTitle>], [<cInitDir>],
                              [<cDefExt>], [<acFilter>], [[@]<nFilterIndex>],
                              [<nBufferSize>], [<cDefName>] )
            -> <cFilePath> |
               <cPath> + e"\0" + <cFile1> [ + e"\0" + <cFileN> ] |
               ""
         WIN_GETSAVEFILENAME( [[@]<nFlags>], [<cTitle>], [<cInitDir>],
                              [<cDefExt>], [<acFilter>], [[@]<nFilterIndex>],
                              [<nBufferSize>], [<cDefName>] )
            -> <cFilePath> |
               <cPath> + e"\0" + <cFile1> [ + e"\0" + <cFileN> ] |
               ""

2011-05-09 18:30 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/listbox.prg
    ! corrected minor typo in change:
        2009-02-18 14:18 UTC+0100 Przemyslaw Czerpak
      equality operator stayed '=' in one place. didn't cause
      any user level problem

  * utils/hbmk2/hbmk2.prg
    + avoiding '=' operator to be _SET_EXACT agnostic
    % deleted setting _SET_EXACT

2011-05-09 15:54 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/net.c
    ! NETNAME(): fixed potential GPF on linux/watcom builds
    ! HB_USERNAME(): fixed potential GPF on *nix and os2 builds
    ; Pls chk me

2011-05-09 15:25 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/wapi_misc.c
    ! trying to make hbwapi_LoadLibrarySystem() really safe
      by using LoadLibraryEx() with special flag. On win7/64 tested
      with 32-bit or 64-bit exe, it still tries to load f.e. winspool.drv
      from the apps own dir, at least as per procmon. GetSystemDirectory()
      will return system32 as the .dll dir, though it is SysWOW64, but
      this seems to be fixed internall by kernel.
      (safety is apparently fully going against MS's will, but anyway,
      maybe I'm not getting it)

  * contrib/hbwin/wce_simc.c
  * contrib/hbwin/wce_smsc.c
  * contrib/hbwin/hbwin.hbx
  * contrib/hbwin/wce_sim.prg
    ! fixed to always define wce (and compiler) specific .prg level functions

2011-05-09 13:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/hbwapi.h
  * contrib/hbwin/wapi_misc.c
    * hbwapi_FileNameAtSystemDir() made static
    + hbwapi_LoadLibrarySystem() public function added
      this is safe version of LoadLibrary() when loading Windows
      system dlls. it will avoid dll hijacking vulnerability.
    ! deleted HB_EXPORT from hbwapi_t*() functions, they are
      public to this lib due to UNICODE setting dependance
    ; TODO: make hbwapi_LoadLibrarySystem() effective also for WinCE,
            for now it will not add any system path under this platform.

  * contrib/hbwin/axcore.c
  * contrib/hbwin/mapi.c
  * contrib/hbwin/win_prn2.c
  * contrib/hbwin/win_prn3.c
  * contrib/hbwin/wapi_shellapi.c
    ! LoadLibrary() -> hbwapi_LoadLibrarySystem()
      thus fixing dll hijack vulnerability

2011-05-09 13:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbwin/wapi_misc.c
  * contrib/hbwin/hbwin.hbp
  * contrib/hbwin/hbwapi.h
  * contrib/hbwin/win_prn3.c
    * hb_tstrlen() -> hbwapi_tstrlen() and made public
    * hb_tstrncat() -> hbwapi_tstrncat() and made public
    + hbwapi_tstrdup()
    + hbwapi_FileNameAtSystemDir() public function
      please review it, I'm notoriously bad with 1 byte over/underruns

2011-05-09 12:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/gtwvg/gtwvg.c
  * examples/gtwvw/gtwvw.c
    % LoadLibraryEx() -> LoadLibrary()

2011-05-09 12:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/gtwvg/gtwvg.c
  * contrib/gtwvg/wvgwin.c
    ! fixed to use GetModuleHandle() instead of LoadModule() on
      user32.dll and kernel32.dll. safer and faster.

2011-05-09 12:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/wapi_winbase.c
  * contrib/hbwin/hbwin.hbx
  + contrib/hbwin/tests/testdir.prg
    + WAPI_GETWINDOWSDIRECTORY() -> <cDir>
    + WAPI_GETSYSTEMDIRECTORY() -> <cDir>

2011-05-09 09:49 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/ideedit.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/idedict.prg
  * contrib/hbide/idethemes.prg
  * contrib/hbide/idesaveload.prg
  * contrib/hbide/idetools.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/ideeditor.prg
  * contrib/hbide/ideprojmanager.prg
  * contrib/hbide/ideskeletons.prg
  * contrib/hbide/ideenviron.prg
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
    ! fixed '!=' operator usage on strings
      It has been told and written a hundred times, I hope this
      is the final one:
        Please never use '!=' operator on string operands, even
        if both operands are always the same length. Use '!( == )'
        instead.

2011-05-09 09:40 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/net.c
    ! fixed potential NULL dereference with pass->pw_name
      I'm not sure it's real possibility anyhow it cannot hurt
      reason for this change is that I was getting GPF under
      Linux in this call which wasn't BTW fixed by this change.

  * contrib/hbxbp/xbpcheckbox.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpstatusbar.prg
  * contrib/hbxbp/xbpfontdialog.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpparthandler.prg
  * contrib/hbxbp/xbpdataref.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/ideeditor.prg
    ! Fixed '!=' operator used with string
    ! '<>' operator changed to '!='
      Please never use '<>' or '#' unequality operator in Harbour SVN

2011-05-09 00:16 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbpparthandler.prg
    ! Corrected: many artifacts related to XbpMenu() and
      :setOwner()/:setParent() functionality. Thanks Shum for insight.

2011-05-07 13:18 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpmenubar.prg
    ! Fixed: where XbpMenu() activation was not supplying the documented
      parameters when activated, thanks Shum for watching it closely.

2011-05-07 11:25 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/vm/maindllp/dllpcode.c
    * readded more win specific macros (msvc didn't like it)

2011-05-06 11:46 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbp.ch
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbppushbutton.prg
    + Implemented: XbpDialog():showModal() functionality.

2011-05-06 11:46 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: handelling of :close callback and PostAppEvent( xbeP_Close ).

2011-05-06 11:00 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QPrinterInfo.qth
    ! Fixed: constructor.
  * contrib/hbxbp/xbpgeneric.prg
    ! Minor.
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: rather commented out the code where :handleEvent()
      was destroying the object. I will look into another way
      how this can be achieved where :close callback is not
      defined to destroy the object and only xbeP_Close is
      sent via PostAppEvent(). Like:
         oXbpDialog:close := {|mp1,mp2,obj| PostAppEvent( xbeP_Close, , , obj ) }
      instead of
         oXbpDialog:close := {|mp1,mp2,obj| PostAppEvent( xbeP_Close, , , obj ), obj:destroy() }

2011-05-06 16:36 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * ChangeLog
    ! typo in last entry

2011-05-06 13:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbtip/encurl.prg
  * contrib/hbtip/hbtip.hbx
  * contrib/hbtip/cgi.prg
  * contrib/hbtip/url.prg
  * contrib/hbtip/httpcli.prg
  * contrib/hbtip/encurlc.c
    * promoted to documented level (renamed, INCOMPATIBLE):
      __TIP_URL_ENCODE() -> TIP_URLENCODE()
      __TIP_URL_DECODE() -> TIP_URLDECODE()

  * contrib/hbtip/encb64c.c
  * contrib/hbtip/encb64.prg
    % deleted __TIP_BASE64_ENCODE()
      replaced by core HB_BASE64ENCODE()

2011-05-06 13:14 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    * little discouragment to use HB_QTPATH
      users tend to make everything as complicated as possible by using
      all imaginable custom settings. bad idea in most cases.

2011-05-06 09:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * examples/gtwvw/tests/prog2.prg
  * examples/gtwvw/tests/wvwtest9.prg
    ! fixed to not use internal TBColumn property

2011-05-05 19:28 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + added TROUBLESHOOTING/#10 to use -trace when reporting
      hbmk2 build errors

2011-05-05 19:15 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/mpkg_win_uni.bat
  * package/winuni/mpkg_win_uni.nsi
    + added qtsql related files. ought to fix regression causing
      broken hbqt in nightly binary since this commit:
        2011-03-25 18:24 UTC-0800 Pritpal Bedi
      NOTE: since my SVN changes don't seem to affect nightly creation
            on Francesco's server anymore, I'm not sure when this fix
            will go "live".

2011-05-05 08:01 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpdialog.prg
    ! Fixed: a RTE on some ocassions. Thanks Shum for reporting.

2011-05-05 16:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/rtl/libnamec.c
    + added HB_LIBPOSTFIX(). not finalized. it returns
      the dynamic lib postfix used by Harbour convention
      (f.e. '-21', or '-21-wce-arm') by Harbour core dll
      and contrib dlls

  * src/vm/maindllp/dllpcode.c
    * reduced win specific macros

  * contrib/xhb/xhb.hbx
  * contrib/xhb/xhberr.prg
    + added XHB_ERRORLOG( [<cFileName>], [<lAppend>] ) -> { cOldName, lOldAppend }
      to replace xhb _SET_ERRORLOG extension
      (build test only)
    ! fixed != operator on string

2011-05-04 18:40 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpappevent.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpsle.prg
    + Implemented: XbpPushButton() now understands <ENTER> pressed.
                 : XbpSLe() now responds to <ENTER> key which simulates
                   windows equivalent TAB key.
    ! Rationalized: event loop, now no delays in processing.

      With this commit, you can experiment with real applications.
      Angel, can you re-visit the application you had sent to the
      list almost an year back ?

2011-05-04 12:39 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpwindow.prg
    + Implemented: remaining visual parameters for XbpDialog().
      :toolTipText, XBPDLG_DLGBORDER, :taskList, :sysMenu, XBP_DISP_APPMODAL.
    ! Fixed: :alwaysOnTop.

2011-05-04 17:01 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbinit.h
    * formatting

  * harbour/src/common/hbstr.c
    * pacified warnings generated by C compilers having
      modf() function wrongly defined in header files

  * harbour/src/rtl/hbtoken.c
    ! fixed bug reported by Patrick on xHarbour devel list

  * harbour/src/rdd/dbfcdx/dbfcdx1.c
    * modified to use different startup function names as workaround
      for problems with non unique function names reported by compilers
      using HB_INITSEG_STARTUP - it's not a fix but workaround only.

2011-05-04 14:05 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/pp/ppcore.c
    ! fixed #pragma __binarystreaminclude used with zero length files.
      Thanks to Viktor for information.

2011-05-04 01:25 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpwindow.prg
  * contrib/hbxbp/xbpdialog.prg
    + Implemented: XbpDialog()  :tasklist, :border, :maxButton,
                                :minButton, :alwaysOnTop
      functionality. Shum, can you provide feedback ?

2011-05-03 23:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbct/doc/en/tab.txt
  * contrib/xhb/hbcompat.ch
  * doc/pragma.txt
  * doc/en/terminal.txt
  * doc/en/file.txt
    * hb_osnewline() -> hb_eol()

  * doc/Makefile
    ! deleted howtobld.txt

2011-05-03 13:44 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + added more text to how to identify log sections relevant
      for error reporting (after seeing the ~100th report including
      only the 3-4 last lines indicating 'make: *** [...] Error <n>'
      rendering the report useless and igniting unncessary rounds

2011-05-03 00:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + added mingw-w64 autodetection on *nix
  * doc/xhb-diff.txt
    ! typos
  * config/global.mk
    + added mingw-w64 autodetection on *nix. build with 'make HB_COMPILER=mingw64'
    ! supposedly fixed wce/mingw (intel) comp autodetection
    * had to change CC*/compiler autodetection on *nix cross builds
      and since this file is black magic, fallouts are possible.
      pls test it (disc: I'm no heavy linux user, you've been warned)

  ; NOTE: win/mingw64 build on linux results in broken exes (400+ hbtest failures
          and even the percentage of failure is calculated as 0.0%),
          most likely due to these (which may even be mingw64 bugs):

      ../../../hbarch.c: In function 'hb_put_ord_ieee754':
      ../../../hbarch.c:181: warning: 'iExp' may be used uninitialized in this function
      ../../../hbarch.c: In function 'hb_put_ieee754':
      ../../../hbarch.c:114: warning: 'iExp' may be used uninitialized in this function
      ../../../hbstr.c: In function 'hb_numRound':
      ../../../hbstr.c:500: warning: statement with no effect
      ../../../hbstr.c: In function 'hb_numInt':
      ../../../hbstr.c:525: warning: statement with no effect
      ../../../hbstr.c:519: warning: 'dInt' is used uninitialized in this function
      ../../../hbstr.c: In function 'hb_numRound':
      ../../../hbstr.c:512: warning: 'doComplete5i' may be used uninitialized in this function
      ../../../hbstr.c: In function 'hb_numDecConv':
      ../../../hbstr.c:514: warning: 'doComplete5i' may be used uninitialized in this function
      ../../../hbstr.c:396: note: 'doComplete5i' was declared here
      In file included from ../../../hvmall.c:105:
      ../../../itemapi.c: In function 'hb_itemStrBuf':
      ../../../itemapi.c:2329: warning: 'dDig' may be used uninitialized in this function

2011-05-02 01:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/make.hbs
    % normalize bin path (for *nix)

2011-05-02 01:15 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + 'hbmk2 <myproj>' will now build '<myproj>.hbp' if such file exists.
      if not, it will build <myproj>.prg like before.
      Experimental, it's quite useful, but let's see how much
      confusion does it create.

2011-05-01 23:52 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! show translation author only if there is a translation

2011-05-01 22:34 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    * minor corrections

2011-05-01 22:20 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbtip/tests/upld_ftp.prg
  * contrib/rddads/tests/datad.prg
  * contrib/rddads/tests/testmg.prg
    * function main() -> procedure main() + cleanup

  * contrib/rddads/tests/datad.prg
  * contrib/rddads/tests/testmg.prg
  * contrib/rddads/doc/en/adsfuncs.txt
  * contrib/rddads/doc/en/readme.txt
    * formatted (hbformat, manual)
    * fixes

  * src/rtl/gtxwc/gtxwc.h
  * src/rtl/gtxwc/gtxwc.c
  * src/rtl/hbmd5.c
  * contrib/gtwvg/tests/demowvg.prg
  * contrib/gtwvg/tests/wvgdyndialogs.prg
  * contrib/gtwvg/tests/wvgwvtclasses.prg
  * contrib/hbtip/thtml.prg
  * contrib/hbtip/tests/loadhtml.prg
  * tests/server.prg
  * examples/hbvpdf/hbvpdft.prg
    * Using 'harbour' name in outputs and some comments

  * src/rdd/dbcmd.c
    * typo

2011-05-01 21:41 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbct/tests/datetime.prg
  * contrib/hbcurl/tests/ftp_uldl.prg
  * contrib/hbhttpd/tests/webapp.prg
  * contrib/hbpgsql/tests/simple.prg
  * contrib/hbpgsql/tests/async.prg
  * contrib/hbpgsql/tests/hdbctest.prg
  * contrib/hbpgsql/tests/cache.prg
  * contrib/hbsqlit3/tests/blob.prg
  * contrib/hbsqlit3/tests/hdbctest.prg
  * contrib/hbsqlit3/tests/hooks.prg
  * contrib/hbsqlit3/tests/authoriz.prg
  * contrib/hbsqlit3/tests/backup.prg
  * contrib/hbfbird/tests/simple.prg
  * contrib/hbfbird/tests/test.prg
  * contrib/hbfbird/tests/stress.prg
  * contrib/hbgd/tests/bartest.prg
  * contrib/hbgd/tests/barms.prg
    * FUNCTION main() -> PROCEDURE main()
    ! fixed RETURN <x> in main() to ErrorLevel() call
    ! fixed <> operator for strings
    * formatting
    * deleted some decoration comments

2011-05-01 12:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/tmenusys.prg
  * src/rtl/tmenuitm.prg
    ! accept extended popupmenu

2011-05-01 09:38 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbpgsql/tests/simple.prg
    ! typo

2011-04-30 17:57 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpparthandler.prg
  * contrib/hbxbp/xbpprinter.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Code optimizations.

  * contrib/hbxbp/xbpgeneric.prg
    ! Changed: the way event loop was being constructed and processed.
      Now, no event is missed and is dealt with properly.
      Not best of the ways but my experiments could not lead to
      any better algorithm.

2011-04-30 16:21 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
  * contrib/gtwvg/gtwvg.h
    + Implemented: GTWVT like fullScreen functionality.

2011-05-01 01:04 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/tpopuphb.prg
    ! non-c53 mode fix

2011-05-01 00:57 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/tpopuphb.prg
    ! typo?

2011-04-30 18:26 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/tpopuphb.prg
    * copyrights

2011-04-30 18:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/tpopuphb.prg
    + Missed from prev commit.

2011-04-30 18:21 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/Makefile
  * src/rtl/tpopup.prg
    + Replaced last remaining HB_EXTENSION build-time conditional
      branch in Harbour codebase with runtime solution. (similar to
      GET vs. HB_GET)

    ; IMPORTANT: If you had so far built Harbour with HB_USER_PRGFLAGS=-DHB_EXTENSION
      to use TPOPUP class extensions: :shadowed, :setCoors(), :isShortCut(), :isQuick(),
      switch your app to use HB_POPUPMENU() (from POPUPMENU()). This in practice
      will mean to use this code:
         PopUp( nTop, nLeft, nBottom, nRight )
      to this:
         hb_PopUpMenu():New( nTop, nLeft, nBottom, nRight )
      Then delete your custom HB_USER_PRGFLAGS (or use nightly binary)

      [pls make tests, I don't have test code for POPUP(). ]

2011-04-30 16:59 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/rtl/inkey.c
  * contrib/xhb/hbcompat.ch
    + added HB_KEYNEXT( [<nEventMask>] ) -> <nKey>
      (same as now disabled dirty xhb extension for NEXTKEY())

2011-04-29 23:29 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbssl/ssl.c
  * contrib/hbssl/bio.c
    ! fixed BIO_TEST_FLAGS(), SSL_SET_MTU() to be always defined on prg level

2011-04-29 18:12 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/filesys.c
    ! fixed time checking in *nix version of hb_fsPipeIsData()

  * harbour/contrib/hbwin/win_bmp.c
    ! fixed buffer overflow

2011-04-29 11:18 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbqt_common.hbc
    * reverted: 2011-04-19 21:15 UTC+0200 Viktor Szakats
      ! do not satisfy the HBQT dependency when HB_BUILD_3RDEXT=no.

2011-04-29 02:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    ! put back CS_HREDRAW | CS_VREDRAW
      apparently needed for HB_GTI_RESIZEMODE_FONT. Thanks Pritpal.
    * use XP double buffering on Vista and upper systems only (was: all).
      This is not based on hard scientific data at this time, some users
      reported "slowness" on certain XP systems. It doesn't seem to be
      tied to any particular video chipset (or driver), exact reason
      still uncertain (other software? GPO setting? SP level?).
      I cannot find evidence for general WS_EX_COMPOSITED related problem
      on the internet.
      So we're back to *fugly* screen updates on XP and lower systems, this
      means that visible lag will be seen when drawing text with changing
      colors in them (f.e. menubar with hotkey).
      If you know better, speak up.

  * contrib/hbqt/hbmk2_qt.hbs
    ! fixed typo in one HB_WITH_QT envvar reference (Thanks Francesco)
    + accept HB_QTPATH with or without ending dirsep
    ! use host exe extension when looking for qt tools
    + use win/os2 specific autodetection logic based on host OS, rather
      than target OS, thus helping QT in cross-builds, like droid.
      And now let the avalanche of crap follow.

  - doc/howtobld.txt
    - outdated, deleted

  * doc/howtosvn.txt
    * minor update

2011-04-28 16:32 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
    ! Normalized code close to GTWVT as much as possible.
      TODO: add full screen functionality.

  * contrib/gtwvg/wvgpaint.prg
    ! Minor.

2011-04-28 12:57 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + added (aka: "fixing a build issue") new -depincroot=/depincroot=
      setting to set root dir for -depincpath= values

  * contrib/hbodbc/hbodbc.hbp
  * contrib/sddodbc/sddodbc.hbp
    * formatting

2011-04-28 12:22 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/mpkg_win_uni.bat
  * package/mpkg_win_nightly.bat
    + echoing self

    ; TOFIX: nightly binaries are hosed and they don't seem to use live
             .bat files from SVN.
             also, mingw is outdated.

2011-04-28 10:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnf/ontick.prg
    * precise tick per sec value. Thanks Klas!

  * config/detect.mk
    * do not disable some 3rd party libs for android (revert)

2011-04-27 17:46 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/3rd/minixml/config.h
    ! yet another bcc problem. my last after the last.
      anyone to pick up fixing bcc bugs?

  * config/detect.mk
    - exclude slang/curses/x11 for android

  * contrib/hbct/strdiff.c
  * contrib/hbct/dattime3.c
    * uncrustified

  * contrib/hbct/misc2.c
  * contrib/hbct/token1.c
  * contrib/hbct/print.c
    * formatted

2011-04-27 11:59 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtgui/hbqtgui.h
  * contrib/hbqt/qtgui/qth/QGraphicsPathItem.qth
  * contrib/hbqt/qtgui/qth/QBrush.qth
  * contrib/hbqt/qtgui/qth/QGraphicsScene.qth
  * contrib/hbqt/qtgui/qth/QGraphicsRectItem.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneDragDropEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsPolygonItem.qth
  * contrib/hbqt/qtgui/qth/QGraphicsLineItem.qth
  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsEllipseItem.qth
  * contrib/hbqt/qtgui/qth/QGraphicsPixmapItem.qth
  * contrib/hbqt/qtgui/qth/QPixmap.qth
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/qth/QResource.qth
  * contrib/hbqt/qtcore/qth/QMimeData.qth
  * contrib/hbqt/qtcore/hbqtcore.h
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtsql/qth/QSqlQuery.qth
    * hbqt_par_obj() -> hbqt_par_ptr()
    * hbqt_gcpointer() -> hbqt_par_ptr()
    * hbqt_pPtrFromObj() -> hbqt_par_ptr()
    * hbqt_getObjectGC() -> hbqt_par_ptrGC()
    * hbqt_detachgcpointer() -> hbqt_par_detach_ptrGC(),
      retval set to void (from void *)
    * hbqt_pPtrFromObject() -> hbqt_get_ptr()
    * hbqt_set_pptr() renamed, cleaned, made static
    ! hbqt_isObjectType() retval changed to HB_BOOL
    - hbqt_getqtptr() deleted, unused

2011-04-27 10:59 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbct/dattime3.c
    * set _SVID_SOURCE macro before any header files to enable stime()
      in Linux builds even when C89 is forced by some compiler switches

2011-04-27 10:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    % Further simplified, cleaned, optimized, recursive call unrolled.

    ; TODO: Leave only one of these: [DONE]
        void * hbqt_par_obj( int iParam )
        void * hbqt_gcpointer( int iParam )
        void * hbqt_pPtrFromObj( int iParam )

2011-04-26 18:25 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Removed: any other constructs of raw-pointers.
      Normalized: the code flow.

2011-04-27 03:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/resources/hb-32x32.png
  * contrib/hbide/resources/hb-16x16.png
  * contrib/hbide/resources/hbide.png
    + Updated
  * contrib/hbide/hbide.qrc
    - space @ EOF

2011-04-27 00:58 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbide/hbide.ico
  * examples/httpsrv/home/favicon.ico
    * static copies updated

2011-04-27 00:36 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqtcore.hbx
    - deleted HBQT_FINDCHILD(). it used raw pointer. was used by hbqtuitools.
    % deleted unused extern.

  * package/winuni/mpkg_win_uni.bat
  * contrib/hbnetio/utils/hbnetioq/hbnetioq.hbp
  * contrib/hbqt/hbqt.hbc
  * contrib/hbqt/hbqt_all.hbp
  - contrib/hbqt/tests/QtUiTools.txt
  - contrib/hbqt/qtuitools
  - contrib/hbqt/hbqtuitools.hbc
  * contrib/hbide/hbide.hbp
    - deleted dynamic UI loading. it had too many hopeless TOFIXes
      and it required raw pointers. and a lot of bloat.
      Should be reimplemented by loading and processing .ui files
      manually.

2011-04-26 22:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/mpkg_win_nightly.bat
    + disabled bcc libs in nightly binary build.
      bcc is not tested by most developers anymore, so its risky
      to include it and let it break the build.

  * contrib/hbrun/hbrun.rc
    - Disable app icon for bcc builds. bcc is too old or buggy
      to handle .ico files with certain properties.

  * utils/hbmk2/hbmk2.prg
    - Disabled -icon= option for bcc to avoid build breaks due
      to more recent .ico files.

  * contrib/hbmlzo/hbmlzo.hbx
    * autoupdate

  ; NOTE: This was my last patch targeting a bcc specific problem.
          It's a waste of time.

2011-04-26 18:10 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbnf/tests/ontick.prg
  - contrib/hbnf/ontick.c
  * contrib/hbnf/hbnf.hbp
  * contrib/hbnf/hbnf.hbx
  + contrib/hbnf/ontick.prg
    + implemented:
         FT_ONTICK( [<bBlock>][, <nTickInterval> ] ) -> NIL
      (after spotting thread on clipper.borda.ru)
      Note, I didn't test it against original NFLib, and second
      param looks like undocumented one.

  * contrib/xhb/bkgtsks.c
    * uncrustified

2011-04-26 07:52 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt.h
    ! Miss from prev commit.

  * contrib/hbxbp/tests/dialogqt.prg
    ! Removed: :setStyleSheet() calls.

2011-04-26 16:28 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/hbwin.ch
  * contrib/hbwin/win_regc.c
  * contrib/hbwin/win_reg.prg
  * contrib/hbwin/tests/testreg.prg
    + added type parameter to win_regWrite()/win_regSet()/win_regSetValueEx() functions
    + added QWORD support in win registry
    ! fixed very old xhb typo: sizeof( REG_DWORD ) -> sizeof( DWORD )
      (didn't cause actual error in compiled code)
    + added REG_DWORD, REG_QWORD tests

  * package/mpkg_win.nsi
  * package/winuni/mpkg_win_uni.nsi
    * uninstall icon changed to better looking one

2011-04-26 14:34 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/harb_osx.icns
  * package/harb_win.ico
    + reworked square logo
      - contains 'Hb' instead of 'H' or 'ha'
      - transparent bckg
      - full length boat
      - hi-res icons for Vista/7

  + package/favicon.ico
    + added web favicon.

2011-04-26 12:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + dependency check to define HBMK_DIR_* macro with autodetected header dir
    + macro evaluator to return actual value (if any) for internally defined macro

  + contrib/hbdroid
  + contrib/hbdroid/hvminit.c
  + contrib/hbdroid/hbdroid.h
  + contrib/hbdroid/hbdroid.hbc
  + contrib/hbdroid/hbdroid.hbp
  + contrib/hbdroid/msginfo.c
    + Android lib
      Based on code sent to the list by Antonio.
      Only build tested (on win).

2011-04-26 03:07 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqevents.h
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.h
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbqt/qtcore/qth/HBQEvents.qth
  * contrib/hbqt/qtcore/qth/HBQSlots.qth
  * contrib/hbqt/tests/demoqt.prg
  * contrib/hbxbp/xbptabpage.prg
    ! Removed: entirely - raw-pointers from hbQT.

      WARNING: this may cause a temporary instability, please report.

2011-04-26 11:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + Added 'comparing xharbour to harbour' document direct URL
      to '15. FOR MORE INFORMATION' section.

  * contrib/hbwin/tests/testole.prg
    * minor

2011-04-25 23:16 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Removed: one already commented-out section.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Removed: few more raw-pointers constructs which were
      hanging around unneccessarily.

2011-04-26 02:35 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbct/token2.c
    % deleted unnecessary null check of hb_xrealloc() retval
    * formatting

2011-04-26 01:54 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
  * INSTALL
    * version updates

2011-04-26 01:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbcurl/core.c
    % unary inc opt

2011-04-25 23:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + show CCPREFIX/CCPOSTFIX with -info
  * ChangeLog
    * some followups and typo fixes.

2011-04-25 22:30 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbct/hbct.hbp
    * raise c dialect to gnu90 on linux for stime()
  * contrib/hbwin/wapi_winbase.c
    ! define WAPI_GET*PATHNAME() as noop functions on wce
  * contrib/hbwin/win_shell.c
    ! made WIN_SHELLNOTIFYICON() a dummy on wce
  * contrib/hbwin/mapi.c
    ! do not undef UNICODE for wce (results in missing LoadLibraryA() on link)
  * contrib/hbwin/wapi_commctrl.c
    ! made WAPI_IMAGELIST_LOADIMAGE() a dummy on wce
  * contrib/sddfb/sddfb.hbp
  * contrib/hbfbird/hbfbird.hbp
    * set c dialect to gnu90 for fbird headers
  * contrib/hbpre.hbm
    * set c dialect to gnu90 for wce/allmingw for cegcc Windows headers

2011-04-25 03:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    ! Fixed HB_GTI_ICONFILE not working with "certain" .ico files.

  * contrib/hbqt/hbqt_common.hbc
    + added libpath for beos [Tamas Tevesz]

2011-04-24 10:06 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! fixed "cross-talk" in compiler options between C and C++
      build passes

  + contrib/hbqt/qtsql/doc/en
    ! added missing dir causing doc gen errors

  * contrib/hbmlzo/3rd/minilzo/README.LZO
  * contrib/hbmlzo/3rd/minilzo/lzoconf.h
  * contrib/hbmlzo/3rd/minilzo/minilzo.c
  * contrib/hbmlzo/3rd/minilzo/minilzo.h
  * contrib/hbmlzo/3rd/minilzo/COPYING
  * contrib/hbmlzo/3rd/minilzo/minilzo.hbp
  * contrib/hbmlzo/3rd/minilzo/lzodefs.h
    + update to 2.05 [Tamas Tevesz]

  * contrib/hbqt/qtsql/hbqtsql.hbc
    ! deleted GUI related settings

  * contrib/hbqt/qtsql/qth/filelist.hbm
    * sorted

  * contrib/hbqt/qtsql/hbqtsql.hbm
  * contrib/hbqt/qtsql/qth/QSqlField.qth
  * contrib/hbqt/qtsql/qth/QSqlRelationalTableModel.qth
  * contrib/hbqt/qtsql/qth/QSqlDatabase.qth
  * contrib/hbqt/qtsql/qth/QSqlQuery.qth
  * contrib/hbqt/qtsql/qth/QSqlQueryModel.qth
  * contrib/hbqt/qtsql/qth/QSqlIndex.qth
  * contrib/hbqt/qtsql/qth/QSqlTableModel.qth
  * contrib/hbqt/qtsql/qth/QSqlError.qth
  * contrib/hbqt/qtsql/qth/QSqlDriver.qth
  * contrib/hbqt/qtsql/qth/QSqlRecord.qth
  * contrib/hbqt/qtsql/qth/QSqlResult.qth
    * deleted EOL/EOF spaces

2011-04-23 23:25 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/gtqtc/gtqtc.h
    ! Regained: box-characters.

2011-04-23 11:05 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/tests/demoqt.prg
    ! Fixed: a -w3 warning.

2011-04-23 10:38 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/filesys.c
    * casting to pacify warnings on some platforms which may use
      negative errno codes

2011-04-23 00:40 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/wvgwing.c
    ! Converted: remaining C++ comments to Ansi C style.

  * contrib/hbplist
    ! Enabled: gtwvg to be built with whole package.

2011-04-22 21:35 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
  * contrib/gtwvg/wvgscrlb.prg
  * contrib/gtwvg/wvgsysw.prg
  * contrib/gtwvg/wvgtoolb.prg
    ! Changed: C++ comments to Ansi C compatible.
      Hopefully I did it right, not tested the build.

2011-04-23 02:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.*.po
  * utils/hbmk2/hbmk2.prg
    + Added recently added options to help text.

2011-04-23 02:11 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * ChangeLog
    ! Missed to document one change:
      * src/rtl/gtwvt/gtwvt.c
        % Deleted CS_HREDRAW | CS_VREDRAW flags from Harbour window
          class. Please make sure to review this, I'm not expert, but
          these flags are apparently not needed for GTWVT and advised
          against on many forums.

2011-04-23 02:07 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + Added TROUBLESHOOTING/9.: how to submit logs to dev list.
      Please read it.

  * src/rtl/diskspac.c
  * src/rtl/disksphb.c
    ! Fixed possible MT race condition in DISKSPACE()/HB_DISKSPACE()
      where no value could be returned.

  * src/rtl/gtwvt/gtwvt.c
    * Changed to use WS_EX_COMPOSITED instead of WS_EX_LAYERED.
      This works on XP and above (previous one also worked on W2K),
      and I mean this as another round of live testing, as WS_EX_LAYERED
      turned out to be causing strange flickers (maybe hardware
      induced, I don't know) on some non-virtualized/non-remote
      OS installations. Maybe this will work better. If not, even
      this will be deleted. Then maybe software/DC double-buffering
      will be the ultimate soltion.
      [RESULT: Yes it works better and removed flickering on at
               least one sampled system. - vszakats]
    % Dropped fiddling with SetLayeredWindowAttributes() call.
    * Formatting.
    % Deleted CS_HREDRAW | CS_VREDRAW flags from Harbour window
      class. Please make sure to review this, I'm not expert, but
      these flags are apparently not needed for GTWVT and advised
      against on many forums.

  * contrib/make.hbs
    + Added 'verbose' keyword. Equivalent to HB_BUILD_VERBOSE=yes.
    + Added 'rebuild' keyword. (Equivalent to 'clean all')

  * contrib/3rd/sqlite3/sqlite3.hbp
    ! Added workaround for gcc/mingw bug in 4.5.0 and 4.5.1
      versions, where it shows compile error when iso89 c dialect
      is selected. Now in 4.5.x gnu89 is used instead to avoid it.
      Problem is also fixed in 4.5.2.

  * contrib/hbplist
    - Disabled gtwvg due to build breakage.

2011-04-22 16:29 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + config/minix/clang.mk
    + Added new compiler for minix. [Tamas Tevesz]

  * utils/hbmk2/hbmk2.prg
  * INSTALL
    + Added minix/clang.
    - Deleted minix/pcc references.

2011-04-21 19:25 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Typo in prev for djgpp/C++.

2011-04-21 19:24 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + Added -c=/-cpp= dialect support for sunpro, icc, clang, watcom.
      Many thanks to Tamas for the information.
    + Added dialect support for vxworks/diag

  * contrib/hbpre.hbm
    - do not set any C++ std in contrib area
      it's a mess.

2011-04-21 16:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * ChangeLog
    ! Added missing change to 2011-04-21 01:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu):
      * src/rtl/gtwin/gtwin.c
        ! Reverted optimization patch in
          2011-03-30 14:20 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
          It caused strange effects (<Alt> key causing INKEY()
          to return <Ctrl+PgUp> on some national keysets or some
          other region related attributes, it was reported by few
          users from Brazil.)

2011-04-21 10:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * include/hbapi.h
  * src/common/hbver.c
  * src/rtl/version.c
    + hb_verHostCPU() to return CPU architecture the host OS
      is running under. (long time TODO)
      It may or may not give precise answer depending on
      target OS. For win, it works as exptected.
    + HB_OSCPU() -> <cCPU> same for .prg level apps.

  * contrib/hbmxml/3rd/minixml/mxml_str.c
    ! Ultimate isdigit() fix. [Tamas Tevesz]

2011-04-21 03:11 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + Added experimental -c=[iso90|iso99|iso1x|gnu90|gnu99|gnu1x] and
      -cpp=[iso98|iso0x|gnu98|gnu0x] hbmk2 options to select
      C/C++ dialect in a C compiler and built setting independent way.
      It will currently affect GCC and compatible family of compilers.
      If you happen to know about C dialect/std selection in other
      compilers, pls tell and they can be mapped to this option.
      F.e. in other win compilers the adaptation to C/C++ stds is very
      fuzzy, where such option exists at all (f.e. BCC -A* options),
      mostly it's just toggling some compiler extensions.
      Comments are welcome of course.
    + Added TOFIX for vxworks with potential disagreement on C std level.
      I used hardwired C99 forcage hack while porting Harbour to it.
    + Added internal logic for C- and C++-only options.
    ; NOTE: Behavior with Objective C sources is yet to be tested.

  * contrib/hbmzip/3rd/minizip/minizip.hbp
  * contrib/hbunix/hbunix.hbp
  * contrib/gtalleg/gtalleg.hbm
  * contrib/xhb/xhb.hbp
  * contrib/hbqt/hbqt_common.hbm
  * contrib/rddads/rddads.hbp
  * contrib/hbfimage/hbfimage.hbp
  * contrib/hbpre.hbm
  * contrib/hbssl/hbssl.hbm
    + -cflag=-std=... => -c=gnu90 hbmk2 option.

2011-04-21 01:04 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbcurl/core.c
  * contrib/hbcurl/core_t1.c
    ! Applied sf.net patch #3290483. [Benjamin Jacobs]

2011-04-21 01:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwin/gtwin.c
    ! Reverted optimization patch in
      2011-03-30 14:20 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
      It caused strange effects (<Alt> key causing INKEY()
      to return <Ctrl+PgUp> on some national keysets or some
      other region related attributes, it was reported by few
      users from Brazil.)

  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmxml/3rd/minixml/mxml_str.c
    ! Fixed isdigit() warning which was result of missing
      mxml header. [Tamas Tevesz]

  + contrib/hbcurl/hbcurlt1.ch
  + contrib/hbcurl/core_t1.c
    + Implemented new way of using HB_CURLOPT_HTTPPOST, now
      all meaningful values are supported in any order and
      combination. See:
           http://curl.haxx.se/libcurl/c/curl_formadd.html
      The patch is heavily based on patch/implementation submitted
      by Benjamin Jacobs, many thanks for it. Final patch
      includes some rework, simplification, compile and
      other fixes, plus formatting with uncrustify. Please
      make sure to test/review this version as I didn't do
      any functional tests, just build ones.
      Sample code:
         curl_easy_setopt( curl, HB_CURLOPT_HTTPPOST, { ;
             { HB_CURLFORM_COPYNAME, "nparam1", ;
               HB_CURLFORM_COPYCONTENTS, "value1" }, ;
             { HB_CURLFORM_COPYNAME, "nparam2", ;
               HB_CURLFORM_COPYCONTENTS, "value" }, ;
             { HB_CURLFORM_COPYNAME, "fileparam", ;
               HB_CURLFORM_FILE, filename } } )
      WARNING: This implementation is INCOMPATIBLE with the
               previous one.
      TOFIX: Current implementation does allow to create GPFs because
             it allows .prg code manually pass buffer sizes. This must
             be fixed and buffer length should always be automatically
             taken from Harbour item. This will require more sophisticated
             code to build the low-level array (f.e. size calculation).
             Benjamin, can you look at it?
      NOTE: I'm uploading this unfinished code as new temp files,
            because SVN doesn't support light branching, so this poor man's
            solution is left to manage it.

2011-04-20 21:05 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmxml/3rd/minixml/config.h
    * Testing without HAVE_SNPRINTF/HAVE_VSNPRINTF in ANSI C89 mode.

  * utils/hbmk2/hbmk2.prg
    + Added '-cflag+=' experimental option which works like
      -cflag=, but it adds the custom flag _after_ C flags
      added internally by hbmk2. This allows for some better fine
      tuning (f.e. see rddads.hbp). Another possbility would
      have been to move all user flags after internal ones,
      but this could make it easy to break builds, and it
      would also make cflags behave differently than the rest,
      so I decided to add this new syntax.
    + Some step to support hbmk2 options to control C/C++ dialect.
    % Minor optimization in formed C compiler and linker cmdlines.

  * contrib/rddads/rddads.hbp
    ! Fixed gcc option to disable stupid warning caused
      by sloppy #pragma usage in ACE header.
      Also changed to use '-cflag+=' to make it work.
      At last!

2011-04-20 17:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/3rd/minixml/mxml.hbp
    * -> -std=gnu89. Details in comment.

  * contrib/hbunix/hbunix.hbp
    * -> -std=gnu89.

  * contrib/xhb/hbserv.c
    * formatting.

  * contrib/hbmxml/tests/testmxml.prg
    ! Fix. [Tamas Tevesz]

2011-04-20 13:52 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/xhb/xhb.hbp
    ! Moving to -std=gnu89 for hbserv.c (maybe more) for *nix platforms.
      Didn't test it.

2011-04-20 13:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * hbbz2/3rd/bz2/bz2.hbp
  * hbbz2/core.c
    + Build bz2 with BZ_NO_STDIO option. This will get rid of fileno()
      call, so it becomes C89 compliant.
    + Added internal error handler required when BZ_NO_STDIO is used.
    % Deleted -std=gnu89 override.
    ; Checkme.

  * utils/hbmk2/hbmk2.prg
    + -depimplibs= also supports multiple arguments separated by ';'.

2011-04-20 13:19 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/hbmxml.hbp
  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmxml/3rd/minixml/config.h
    + Disabled HAVE_STRDUP so now it's using its own implementation
      and it's ANSI C89 compliant.

2011-04-20 13:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmxml/hbmxml.hbp
  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmzip/3rd/minizip/minizip.hbp
  * contrib/gtalleg/gtalleg.hbm
  * contrib/hbbz2/3rd/bz2/bz2.hbp
  * contrib/rddads/rddads.hbp
  * contrib/hbfimage/hbfimage.hbp
  * contrib/hbpre.hbm
  * contrib/hbssl/hbssl.hbm
    ! -std=c90 -> -std=c89, -std=gnu90 -> -std=gnu89
      Some gcc builds have problem with c90.

2011-04-20 12:46 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Fixed compiled resources not triggering rebuild of
      target executable in incremental mode unless the resource
      sources were also changed.
      Thanks to Mindaugas for reporting it.

2011-04-20 11:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + -depincpath= now supports multiple paths separated by ';'
      (on all platforms)

  * contrib/3rd/sqlite3/sqlite3.hbp
    ! Fixed wrong hbmk2 filter expression.

  * contrib/hbmzip/3rd/minizip/minizip.hbp
  * contrib/rddads/rddads.hbp
  * contrib/hbpre.hbm
    * -std=c89/gnu89 -> -std=c90/gnu90. same, but gcc recommends the latter.

  * contrib/hbhpdf/core.c
  * contrib/rddsql/sqlmix.c
    ! Fixed C++ comments.

  * contrib/hbmxml/hbmxml.hbp
  * contrib/hbmxml/3rd/minixml/mxml.hbp
    ! -std=gnu90 for strdup()

  * contrib/hbbz2/3rd/bz2/bz2.hbp
  * contrib/hbssl/hbssl.hbm
    ! -std=gnu90 for fileno()

  * contrib/hbfimage/hbfimage.hbp
  * contrib/gtalleg/gtalleg.hbm
    ! -std=gnu90 for 3rd party headers.

  * contrib/hbbz2/3rd/bz2/bz2.hbp
    % Enabled BZ_STRICT_ANSI. This effectively disabled bzdopen(),
      so if anyone needs it, speak up.

  * contrib/hbqt/hbqt_common.hbm
    ! Temp hack to override -std option for C++.

2011-04-20 03:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + new filter values: lngcpp and lngc. Can be used to
      check forced C++/C mode.

  * contrib/hbmzip/3rd/minizip/ioapi.h
  * contrib/hbmzip/3rd/minizip/zip.h
  * contrib/hbmzip/3rd/minizip/minizip.dif
    ! C++ -> ANSI C comments

  * contrib/hbmzip/3rd/minizip/minizip.hbp
    ! Override c89 mode with gnu89. For f*64() functions.

  * contrib/rddads/rddads.hbp
    ! Override c89 mode with gnu89. ADS headers need it.

  * contrib/hbpre.hbm
    + Forcing c89 mode for GCC family compilers (in non C++ forced mode)
      Results were pretty good and Harbour/3rd party code complies
      very well.

  * contrib/hbunix/hbunix.hbp
  * contrib/hbcurl/hbcurl.hbm
  * contrib/hbnetio/hbnetio.hbp
  * contrib/gtwvg/gtwvg.hbp
  * contrib/hbwin/hbwin.hbp
  * contrib/hbsqlit3/hbsqlit3.hbp
  * contrib/hbexpat/hbexpat.hbp
  * contrib/hbmemio/hbmemio.hbp
    - Deleted just added local c89 mode forcage. Now it's done global.

  * contrib/hbqt/qtgui/hbqtgui.h
    ! Fixed HBQT_TYPE_QIcon redefinition. Pls check, I didn't rebuild the
      whole package after the mod [IT'S OK].

2011-04-20 02:19 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbunix/hbunix.hbp
  * contrib/hbcurl/hbcurl.hbm
  * contrib/hbnetio/hbnetio.hbp
  * contrib/gtwvg/gtwvg.hbp
  * contrib/hbwin/hbwin.hbp
  * contrib/hbsqlit3/hbsqlit3.hbp
  * contrib/hbexpat/hbexpat.hbp
    + Enabled -std=c89 option when building with any gcc compiler.
      (TOFIX: now GTWVG breaks with error)

      I mean this as an experiment which I'd like to extend
      gradually to whole Harbour as it seems a good way to
      ensure the code being truly ANSI C as we claim it. It
      can certainly avoid a few unnecessary rounds with
      committed code problems.

      Now that there are multiple ANSI C standards we may
      want to discuss which level we want to stick with
      (C89/C90, C99, C1X) until then let's assume C89 even though
      not all of Harbour code complies ATM. F.e.:
         ../../../hbprintf.c:543:4: warning: implicit declaration of function 'modfl'
         ../../../hbprintf.c:1146:25: warning: implicit declaration of function 'isfinite'

  * contrib/hbnetio/hbnetio.hbx
    * autoupdated.

  * contrib/hbqt/qtgui/hbqt_hbqsyntaxhighlighter.cpp
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
    ! Converted C++ style comments to ANSI C.
      Even though it's C++ code it's good to stick with one
      comment style (ANSI C) accross Harbour to avoid getting wrong customs.
      Pls stick to it.

2011-04-19 16:43 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpparthandler.prg
    ! Changed: ::_aOwned => ::a_Owned to not generate error when
      class inheriting an XbpPart has a data member as ::aOwned.

2011-04-20 01:23 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * config/global.mk
  * INSTALL
    + added android platform to core build and hbmk2
      untested.
    ; TODO: autodetection

2011-04-19 16:19 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
    ! Reversed: previous commit. Was causing GPF.

2011-04-20 01:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + Added experimental feature to filter out libs from the lib lists:
        -l-kernel32, libs=-kernel32
      Harbour core libs cannot be disabled this way (except hbzlib and
      hbpcre)

2011-04-20 00:28 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.pt_BR.po
  * utils/hbmk2/hbmk2.hu_HU.po
  * utils/hbmk2/hbmk2.es_PE.po
  * utils/hbmk2/hbmk2.prg
  * INSTALL
    * Use 'please' more sparsingly. Use 'always' a bit more.

  * config/lib.mk
  * config/bin.mk
  * config/dyn.mk
    + Added internal configuration '__HB_BUILD_NOSYSLIB=<lib1> [<lib2>]'
      to delete items from default list of system libs used by
      core build.

2011-04-20 00:23 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/config/linux/libs.mk
  * harbour/config/android/libs.mk
    * filter out libraries which does not exists in android inside
      android not linux config files

2011-04-19 21:15 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbqt_common.hbc
    ! do not satisfy the HBQT dependency when HB_BUILD_3RDEXT=no.
      Pls test.

2011-04-19 18:43 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/android/gccarm.mk
  - config/android/mingw.mk
    * Fixed to prev. Test these, I didn't do.

2011-04-19 18:39 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/common/hbtrace.c
  * contrib/xhb/hbsyslog.c
    - Deleted Android specific logging. syslog works good.

  + config/android
  + config/android/libs.mk
  + config/android/gcc.mk
  + config/android/gccarm.mk
  + config/android/global.mk
  + config/android/mingw.mk
    + Added android specific core build files. They are
      all redirected to linux.

  * config/linux/libs.mk
    + Do not add rt and pthreads libs for android targets.

2011-04-19 17:55 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
  * src/rtl/version.c
    * Renamed recently added function HB_OSBITWIDTH() to HB_OSIS64BIT()

2011-04-19 16:15 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/filesys.c
     ! fixed typo in HB_TR_DEBUG message - thanks to Tamas

2011-04-19 16:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/3rd/sqlite3/sqlite3.c
  * contrib/3rd/sqlite3/sqlite3.dif
  * contrib/3rd/sqlite3/sqlite3.h
  * contrib/3rd/sqlite3/sqlite3.hbp
    * update sqlite to 3.7.6.2 [Tamas Tevesz]

2011-04-19 16:07 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbmzip/3rd/minizip/minizip.dif
    * regenerated using: ../../../../bin/hb3rdpat.hbs -rediff

2011-04-19 15:11 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/procaddr.c
    ! removed dummy entry at the end of function table

  * harbour/src/common/hbstr.c
  * harbour/src/rdd/dbfcdx/dbfcdx1.c
  * harbour/src/rdd/hsx/hsx.c
  * harbour/contrib/xhb/fparse.c
    * pacified warnings

  * harbour/include/hbsetup.h
    * disabled flatten function attribute in ANDROID builds,
      it causes that Android_NDK-GCC GPFs compiling src/vm/procaddr.c

  * harbour/include/hbdate.h
    * enabled localtime_r() in Android builds

  * harbour/src/common/hbgete.c
    * enabled setenv() in Android builds

  * harbour/src/common/hbtrace.c
    ! fixed ANDROID_LOG_* flags
    ; QUESTION: why Android log is used instead of syslog?
                It causes that harbour has to be linked with
                log library (-llog).

  * harbour/src/common/hbprintf.c
    * disabled modfl() in Android builds

  * harbour/src/rtl/filesys.c
    * added hack for missing functions in android libc library

  * harbour/src/rtl/diskspac.c
  * harbour/src/rtl/disksphb.c
    * use statfs instead of statvfs in Android builds

  * harbour/contrib/hbct/dattime3.c
    * disabled stime() in Android builds

  * harbour/contrib/hbmzip/3rd/minizip/ioapi.h
    * do not use 64bit FILE functions in Android builds

  * harbour/contrib/xhb/hbsyslog.c
    * disabled using Android log in Android builds - use standard syslog
      instead. This code needs deeper modification to switch to Android log.

  ; I have just recompiled whole Harbour code for android-3, android-5
    and android-9 at ARM using standard Harbour Linux build files.
    Android does not have pthread and rt libraries (they are merged
    with android c library) so to avoid link errors I simply created
    soft links from libpthread.a and librt.a to libc.a.
    With this hack could use unmodified hbmk2 and linux .mk files.
    BTW exporting HB_CPU="arm" was not enough to switch to cross build
    in my x86@64 Linux machine so I had to export HB_HOST_BIN and set
    HB_BUILD_3RDEXT="no"

2011-04-19 13:54 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * ChangeLog
    * Corrected some old text.

  * config/wce/mingw.mk
    * Fixed to include mingwarm.
      Note however that x86 wce targets are extremely rare, so
      it's unlikely that you need this.

2011-04-18 18:29 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideskeletons.prg
    ! Fixed: a recent regression ( :setStyleSheet() on oXbp ).

2011-04-18 18:04 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/detect.mk
    ! Deleted OS X specific (MacPorts) autodetection location for pcre.
      Now it's using locally hosted version.
      This was the error without this:
      ---
      libtool: can't locate file for: -lpcre
      libtool: file: -lpcre is not an object file (not allowed in a library)
      make[3]: *** [libharbour.2.1.0.dylib] Error 1
      ---

2011-04-18 17:21 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapifs.h
  * harbour/src/rtl/filesys.c
    + added new C function:
         int hb_fsIsPipeOrSock( HB_FHANDLE hPipeHandle );

  * harbour/src/rtl/filesys.c
    + added protection against slow function interrupting by signals
      in *nixes

2011-04-18 16:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
    + added HB_PREAD

2011-04-18 09:33 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapifs.h
  * harbour/src/rtl/filesys.c
    + added new C functions:
         HB_BOOL hb_fsPipeCreate( HB_FHANDLE hPipe[ 2 ] );
         HB_SIZE hb_fsPipeIsData( HB_FHANDLE hPipeHandle, HB_SIZE nBufferSize,
                                  HB_MAXINT nTimeOut );
         HB_SIZE hb_fsPipeRead( HB_FHANDLE hPipeHandle,
                                void * buffer, HB_SIZE nSize,
                                HB_MAXINT nTimeOut );

  * harbour/src/rtl/philes.c
    + added new PRG function:
         HB_PREAD( <nPipeHandle>, <@cBuffer>, [<nBytes>], [<nTimeOut>] )
               -> <nBytesRead>
      It can be used for unblocking read from pipes, i.e. using handles
      returned by hb_processOpen() function.
      <nPipeHandle> is pipe read handle
      <cBuffer> is string variable passed by reference with read buffer
      <nBytes> is maximum number of bytes which can be read
      <nTimeOut> is timeout in milliseconds to wait for data to read,
                 this function returns when at least one byte can be read
      <nBytesRead> is number of bytes read from the pipe,
                   on error this function return -1.

  * harbour/src/rtl/hbproces.c
    + add new implementation of hb_fsProcessValue() and hb_fsProcessClose()
      for OS2 which uses OS2 API
    * use hb_fsPipeCreate()

  * harbour/src/rtl/hbjson.c
    * minor code reorganization to cleanup warning

2011-04-18 09:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * INSTALL
    + Added autodetection of mingwarm compilers under win hosts.

2011-04-18 00:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hblzf/core.c
    ! Fixed AVOID_ERRNO usage.

  * contrib/hblzf/3rd/liblzf/lzf.hbc
  * contrib/hblzf/3rd/liblzf/lzf.hbp
    + Enabled AVOID_ERRNO for wce platform.

  * INSTALL
    + Described known issue when doing partial rebuild in
      contrib area for certain (f.e. wce) platforms where
      hbmk2 autodetection lags behind core build autodetection.

2011-04-17 11:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    * Minor text clarification.

2011-04-17 11:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbpost.hbm
  * config/global.mk
  * config/rules.mk
    * Renamed HB_BUILD_WINUNI -> __HB_BUILD_WINUNI to reflect its
      internal, non-documented status.

  * utils/hbmk2/hbmk2.pt_BR.po
  * utils/hbmk2/hbmk2.hu_HU.po
  * utils/hbmk2/hbmk2.es_PE.po
  * utils/hbmk2/hbmk2.prg
    + Added support for -winuni[-] option and winuni= .hbc options.
    * Changed 'unicode' filter to 'winuni' and 'ascii' to 'winansi'.
    ; This finishes pending TODO.

  * contrib/hbpost.hbm
    * Changed to use -winuni option instead of -cflag=-DUNICODE.

2011-04-16 11:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
    ! Fixed: a potential memory leak.

2011-04-17 05:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    - Deleted HB_BUILD_WINUNI option. It's not documented
      option anymore. Pls don't use it. Use UNICOWS solution
      if you need Win9x/ME support. Pls also note that _building Harbour_
      on Win9x/ME systems is deprecated (as it is only possible
      to build Harbour in non-UNICODE version in such scenario).

  * config/global.mk
    - Deleted some built-in build names which only differed
      in WINUNI setting.

2011-04-16 23:04 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbxbp/xbpfiledialog.prg
  * contrib/hbxbp/tests/xbpqtc.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/qth/HBQSlots.qth
  * contrib/hbqt/qtcore/qth/HBQEvents.qth
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/tests/demoqt.prg
  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/ideeditor.prg
    ! HB_TR_ALWAYS -> HB_TR_DEBUG.
      Neverending battle with abused debugging facilities continue.
      Please _never_ use HB_TR_ALWAYS in committed code, not even
      in commented lines because it's confusing, it trashes console
      on *nix systems, it creates a rubbish/unfinished feel for
      anyone trying out these components and it creates unnecessary
      noise on lists in the form of problem reports.
      For those few developers who actually need these lines:
         _Set HB_TR_LEVEL on your development machine_ to HB_TR_DEBUG
         to get those debug lines!!
      Also: Never use HB_TR_ALWAYS as a mean of generating
      test output meant for users, I've found some of these in
      tests/ .prgs. Use something native instead, like
      a text box, msgbox, log file, OutStd(), QOut(), etc.
      If this won't change in the future, the best will be to
      simply remove HB_TR_ALWAYS from hbtrace.ch, thus making
      it unsuited for purposes it wasn't designed for.
      Thank you.

  * config/win/mingw.mk
    + Added commented -Wextra warning option which will be particularly
      interesting with the release of gcc 4.6, since they've finally
      implemented the last useful feature which was unique to BCC:
         -Wunused-but-set-variable and -Wunused-but-set-parameter
      See:
         http://gcc.gnu.org/gcc-4.6/changes.html

2011-04-16 11:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideactions.prg
  * contrib/hbide/idedocks.prg
    ! Adopted: to comply with latest hbXBP change where
      oXbp:setStyleSheet() was made PROTECed method.

2011-04-16 20:32 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/3rd/sqlite3/sqlite3.c
  * contrib/3rd/sqlite3/sqlite3.dif
  * contrib/3rd/sqlite3/sqlite3.h
  * contrib/3rd/sqlite3/sqlite3.hbp
    + update sqlite to 3.7.6.1 [Tamas Tevesz]

2011-04-16 20:27 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbstack.h
  * include/hbapi.h
    ! Marked functions as HB_EXPORT (should be HB_EXPORT_INT in the future)
      which are used by hbdebug lib. It caused link error when using
      '-b -shared' hbmk2 options on non-mingw windows compilers:
         hb_stackDebugInfo
         hb_macroGetType
         hb_macroGetValue
         hb_memvarGetValueBySym

2011-04-16 19:40 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/common/hbtrace.c
  * contrib/xhb/hbsyslog.c
    + Added Android specific logging support. Untested.

  * contrib/xhb/hbsyslog.c
    ! Disabled syslog() call for Symbian.

  * include/hbsetup.h
    + Added Android OS platform detection. Untested.

  * utils/hbmk2/hbmk2.prg
    % Disabled some very old HB_INSTALL_PREFIX autodetection logic,
      which supports some obsolete looking scenarios when hbmk2 executable
      is not in standard location. Rest of logic and failure detection
      rearranged accordingly. After this step hbmk2 no more requires
      harbour executable to be present next to it.
      IMPORTANT: This is live testing, pls report any problems.

2011-04-16 09:30 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpfontdialog.prg
    ! Minor.

  * contrib/hbxbp/xbpwindow.prg
    ! Protected: :setStyleSheet() method.
      It was not Xbase++ compatible so to achieve exactly Xbase++
      compatibility, this is necessary.

2011-04-16 16:53 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbqt/tests/testres.hbp
    + Added project file for testres.
  * contrib/hbqt/tests/wvtqt.hbp
    * Cleaned.

2011-04-15 22:43 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpfontdialog.prg
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbpstatic.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Restructured: Presentation Parameters engine.
      Restored: CSS enabled presentation parameters management.
      Perhaps this is the only way to handle many artifacts
      cummulatively. The engine is enhanced to offer users as
      Harbour extenstion, to enhance GUI components.
         oXbp:setStyleSheet( cIdentifier, cCSS ) where
      <cIdentifier> can be used to re-arrange widget attributes.

  * contrib/hbxbp/tests/demoxbp.prg
    ! Commented-out but adopted to new protocol :setStyleSheet() calls.

2011-04-15 22:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbrun/headers.prg
  * contrib/hbrun/plugins.prg
  * utils/hbmk2/hbmk2.prg
    * formatting on streaminclude directives

2011-04-15 22:03 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbapi.h
  * include/harbour.hbx
  * src/common/hbver.c
  * src/rtl/version.c
    + added hb_verHostBitWidth( void ) -> int which retrieves bit width of host OS
    + added HB_OSBITWIDTH() -> <nBits>
    ; It will currently work on win platform, falling back to target arch bits
      for others. Pls extend it for *nixes. For MS-DOS, 32 will be returned with
      both currently supported compilers.

2011-04-15 09:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbppushbutton.prg
    ! Fixed: :activate was firing event twice, on press and release, both.

  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: to reset window size as per GUI norms. Xbase++ seems
      wrong on this account where XbpDialog() height is "excluding"
      window frame-height whereas width is "inclusing" frame-width.

2011-04-15 01:52 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpwindow.prg
    ! Depricated: setting fore/background colors of a part via
      style sheet which was raising some issues. It needs further
      rationalization as well for some type of components.

2011-04-15 10:21 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * include/harbour.hbx
    + added HB_MUTEXEVAL

  * utils/hbmk2/hbmk2.prg
  * utils/hbmk2/*.po
    + Added note to -l option: 'Do not add core Harbour libraries, they are automatically added as needed.'

  * utils/hbmk2/hbmk2.hbp
    ! Deleted bad hack linking in hbcplr, hbpp, hbcommon on non-mingw
      win compilers.

2011-04-15 00:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpfontdialog.prg
  * contrib/hbxbp/xbpparthandler.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: XbpFont() as per Xbase++ documentation.

2011-04-14 18:23 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/gtqtc/gtqtc.h
    ! More additions.
  * contrib/hbxbp/tests/hbmk.hbm
    + Added: -mt switch.
  + contrib/hbxbp/tests/print.png
    + Added: long missed resource.
  * contrib/hbxbp/xbpcrt.prg
    ! More synchronized.

  + contrib/hbxbp/tests/xbpqtc.prg
    + Added: an XBP and QTC specific demonstartion which also
      offers Qt console(s) as threaded modules.

2011-04-14 11:59 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/gtqtc/gtqtc.hbc
    ! Fixed: compilable for static linking on nix*es.

2011-04-14 20:20 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/thread.c
    * renamed hb_criticalCode() to hb_mutexEval()

  * harbour/src/rtl/cdpapi.c
    * added HB_CODEPAGE_ANNOUNCE( UTF8 ) so user can use
         REQUEST HB_CODEPAGE_UTF8
      in PRG code.

  * harbour/tests/big5_gen.prg
    ; added note about characters mapped to U+FFFD REPLACEMENT CHARACTER
      in BIG5.TXT and iconv mapping for the same characters.

2011-04-14 15:38 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/thread.c
    + added new function:
         hb_criticalCode( <pMtx>, <bCode> | <@sFunc()> ) -> <xCodeResult>
      it executes <bCode> or @sFunc() when <pMtx> is locked by this function.
    ! fixed hb_mutexQueueInfo() to not overwrite RTE subst value.
      This function may only return .T. or generate RTE so the logical
      return value is useless. I think that it should be removed and this
      function should simply return NIL.
    * updated syntax of PRG functions

2011-04-13 18:20 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/HBQEvents.qth
  * contrib/hbqt/qtcore/qth/HBQSlots.qth
    ! Commented out tracelogs.

  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/gtqtc/gtqtc.h
    ! Improved: object handelling.

  * contrib/hbxbp/xbpgeneric.prg
    ! Minor.
  * contrib/hbxbp/xbpcrt.prg
    + Functional: the class is functional to an extent.
      Example code in reply-message to this commit on dev-list.

      NOTE: now this seems possible that Harbour can have a
      pure GUI along with a console inside it to pave a
      way for seemless migration to GUI world. See example code.

2011-04-13 03:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + Added TOFIX. There is a build error caused by gpm, when
      trying to build 64-bit Harbour on a 32-bit Ubuntu (10.10)
      Linux. gpm lib is not available in 64-bit form, but
      32-bit hbmk2 is built flagged with HB_HAS_GPM, so when
      run it will want to include gpm also for 64-bit target.
      I'm not sure what is the solution for this. Ideally
      hbmk2 should dynamically decide if gpm is really required
      for a given target. It could f.e. look into gttrm lib
      to check for this.
      [ though maybe this build scenario is just too awkward
      for any sane purpose, even more so because X11 is also
      not available in 64-bit form, limiting its use even more.
      Probably it's more realistic goal to cross-build 32-bit
      targets on a 64-bit host. ]

2011-04-13 22:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
  * utils/hbmk2/*.po
    + Added -nodefgt[-] cmdline option and nodefgt=[yes|no] .hbc
      commands. It will disable linkage of default GT when creating
      statically linked application. It's little hakish solution,
      so pls be careful when playing with it.
    % Only link to gpm lib if any of GTTRM, GTCRS or GTSLN GTs
      are actually linked. (it can be useful in conjunction
      with -nodefgt option)

2011-04-13 21:31 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbxbp/xbpparthandler.prg
    ! fixed to not use != operator on strings

2011-04-13 12:18 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpparthandler.prg
    ! Fixed: fading inner XbpDialog() while moving the parent ( not owner ).

2011-04-13 21:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! fixed RTE when using invalid GT name from cmdline ('hbmk2 test -gt.')

2011-04-13 11:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpparthandler.prg
    ! Changed: ::aOwned to ::_aOwned to suggest that this is internal.

2011-04-13 17:19 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbnetio/netiosrv.c
  * harbour/contrib/hbnetio/readme.txt
    + added new server function:
         NETIO_VERIFYCLIENT( <pConnectionSocket> ) -> <lAccepted>
      By default client verification is done inside NETIO_SERVER()
      function but some servers may want to verify client password
      before they execute some expensive initialization code necessary
      for RPC executed from NETIO_SERVER()

2011-04-13 14:12 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/cdpapi.c
    ! fixed U+0000 conversion - it should not be converted.

  * harbour/src/rtl/hbjson.c
    ! fixed decoding unicode value from strings with \uHHHH
    ! fixed to use hb_cdpU16ToStr() instead of hb_cdpGetChar()
      which cannot be used with CPs using multibyte encoding.

  * harbour/ChangeLog
    ! fixed typos in my previos ChangeLog entry
      (I should try to read such things at least once before I'll commit)

  ; TOFIX: contrib/hbexpat/internal.c: uses hb_cdpGetU16() which cannot
           be used with CPs using multibyte encoding.

2011-04-13 11:07 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapicdp.h
  * harbour/include/hbcdpreg.h
  * harbour/src/rtl/cdpapi.c
  * harbour/src/rtl/cdpapihb.c
    + added support for user defined character encoding.
      Now it's possible to easy create and register in HVM CPs any
      encoding so I expect that users interested in adding support for
      new exotic character encoding will create such mapping instead
      of asking for it.
    % moved support for codepages using multibyte characters mapped to
      single unicode values to user defined encoding - it nicely simplified
      the code and eliminated unnecessary overhead in other CPs.
    * allow to chose UTF8 as HVM CP

  * harbour/src/rtl/idle.c
    ! fixed idle mode flag resetting

  * harbour/src/rdd/hbsix/sxutil.c
    ! fixed SX_SLIMFAST() result when nested quoting with (") and (') is
      used

  + harbour/tests/big5_gen.prg
    + added code to generate C source with conversion tables between
      BIG5 and UCS16 using data defined by Unicode, Inc. in BIG5.TXT

  + harbour/src/codepage/cp_utf8.c
    + added alternative UTF8 Harbour CP (UTF8ASC) as an example of Harbour
      user defined codapged with multibyte character encoding

  * harbour/src/codepage/Makefile
  + harbour/src/codepage/cp_u16le.c
    + added Harbour codepage using UTF16 little endian encoding

  * harbour/src/codepage/Makefile
  + harbour/src/codepage/big5.c
  + harbour/src/codepage/cp_big5.c
    + added BIG5 Harbour CP. It can be used with programs using Harbour
      STR API with automatic translations.
    ; This CP needs really big translation tables. I added code which
      makes some very simple compression which reduced raw size from
      176100 bytes to 77354 but it's still large (77KB) so maybe we should
      think about moving this CP to other Harbour codpage library which
      is not part of harbour shared library harbour*{.dll|.so|.dyn|...}
      Alternatively I can try to reduce static size to about 30KB and
      then build necessary tables dynamically at runtime when they are
      used first time though in such case I will need additional 176KB
      of dynamic memory instead of 77KB of static memory used by current
      code.

2011-04-13 04:56 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fstemp.c
    ! hb_fsTempDir(): due to misplaced else branch it returned
      './' on *nix systems when temp dir ended with pathsep,
      for the same reason it return empty string instead of './'
      if temp dir could not be determined.
    ; Please check me.

2011-04-13 04:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbunix/chdir.c
  * contrib/hbunix/hbunix.hbp
  * contrib/hbunix/hbunix.hbx
    + POSIX_CHDIR( <cNewDir> ) -> <nResult>
      also sets errno on error

  * contrib/hbunix/chroot.c
    ! copypaste typo in header comment

2011-04-13 04:01 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbunix/chroot.c
    ! following suit with the others functions, on error, errno should be
      saved.
    + further, in about 101% of the cases, chroot() is to be followed by a
      chdir("/"), so i think it would be right to include this right here.
    ; [Tamas Tevesz]

2011-04-13 02:09 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbunix/chroot.c
  * contrib/hbunix/hbunix.hbp
  * contrib/hbunix/hbunix.hbx
    + Added UNIX_CHROOT()

  * contrib/hbqt/hbqt_common.hbc
    ! Exclude pcc compiler

2011-04-12 16:40 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/gtqtc/gtqtc.h
    ! Fixed: to be compiled on *nixes.

2011-04-12 13:08 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: where XbpDialog() was calculating positions incorrectly
      for whole frame instead of primary monitor.

2011-04-12 12:42 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/gtqtc/gtqtc.cpp
  * contrib/hbqt/gtqtc/gtqtc.h
    ! Fixed to be compilable on nix*es.

2011-04-12 13:40 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbcurl/core.c
    ! fix double free in PHB_CURL_free.
      hb_curl_form_free walks the linked list. Calling it again on the last
      item results in a double free.
      [Benjamin Jacobs] (Thank you very much!)

2011-04-12 01:16 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/hbxbp.hbc
  * contrib/hbxbp/hbxbp.hbp
  * contrib/hbxbp/hbxbp.hbx
  + contrib/hbxbp/xbpcrt.prg
    + Added: XbpCrt() class. It is just a skelton code yet.

2011-04-12 00:58 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  - contrib/hbqt/gtqtc/gtqtc.hbx
    - Removed: unwanted .hbx.

2011-04-12 00:37 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpgeneric.prg
    ! Fix( try ) to calculate desktop width for primary monitor.

  * contrib/hbxbp/xbpparthandler.prg
    ! Fixed: RTE while moving a window with owned windows.

  * contrib/hbxbp/xbpwindow.prg
    ! Fix( try ) to have width exactly that of Xbase++ size.

2011-04-11 22:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  + contrib/hbqt/gtqtc.hbc
  + contrib/hbqt/gtqtc/gtqtc.hbc
  + contrib/hbqt/gtqtc/gtqtc.hbm
  + contrib/hbqt/gtqtc/gtqtc.hbp
  + contrib/hbqt/gtqtc/gtqtc.hbx
  + contrib/hbqt/gtqtc/gtqtcs.hbp
  * contrib/hbqt/hbqt.hbc
  * contrib/hbqt/hbqt_all.hbp
    + Added: makefiles for gtqtc library.

2011-04-12 04:00 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    * replaced common.ch IS*() macros with hb_is*() functions

2011-04-12 03:50 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Fixed potential RTE occurring at filter expression
      evaluation time (f.e. with filter {x86-64})
    + Added warning (suppressible with -quiet) when any error
      in filter expression formation or evaluation is found.

2011-04-12 03:33 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtgui/hbqtgui.hbm
  - contrib/hbqt/qtgui/gtqtc.h
  - contrib/hbqt/qtgui/gtqtc.cpp
  + contrib/hbqt/gtqtc
  + contrib/hbqt/gtqtc/gtqtc.cpp
  + contrib/hbqt/gtqtc/gtqtc.h
    * Moved readded GTQTC related files to their original
      position. Please add build files (f.e. from old SVN)
      and add them to HBQT core makefiles, like f.e. for
      hbqtsql.
      IMPORTANT: .hbx is not required for any GT, so it's not
                 needed for GTQTC either.

  * contrib/hbqt/hbqt_common.hbm
  * utils/hbmk2/hbmk2.prg
  * config/bsd/pcc.mk
    * pcc fixups [Tamas Tevesz]

  * utils/hbmk2/hbmk2.prg
    + Added pcc to help screen
  * config/bsd/pcc.mk
    * XXX -> TODO
  * INSTALL
    + Added pcc to more platforms.

2011-04-11 17:19 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqtgui.hbm
  * contrib/hbqt/qtgui/hbqtgui.hbx
  + contrib/hbqt/qtgui/gtqtc.cpp
  + contrib/hbqt/qtgui/gtqtc.h
    + Reintroduced: half-cooked console implementation of hbQT.
      This time it is targeted to provide a console widget inside
      GUI MDI inetrface to run Clipper console code alongside GUI
      controls.

      DISCLAIMER: this is an effort and still don't know if I
                  will succeed or be failure. But if I do succeed,
                  it will allow the migration of existing Harbour
                  console applications to GUI world easily.

  * contrib/hbxbp/xbpparthandler.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: error generated at after an owned XbpDialog() is deleted.

2011-04-11 15:44 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Minor.

  * contrib/hbxbp/xbpwindow.prg
    ! Fixed: :currentSize() was not returning the correct values
      in case of XbpDialog().

2011-04-11 13:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpparthandler.prg
  * contrib/hbxbp/xbpwindow.prg
    + Implemented: Xbase++ compatible :moveWithOwner feature.
      Any dialog with :moveWithOwner set to TRUE will move together
      with its owner if user moves the window which owns them.

2011-04-11 13:00 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpparthandler.prg
    ! Fixed: window geometry while converting to/from as MDI client.

2011-04-11 09:41 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idemain.prg
    ! Fixed: to restore the last run state of hbIDE.
             It was forgetting docking widgets geometry.

2011-04-11 09:36 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/HBQEvents.qth
    - Removed: tracelogs.

  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Optimizations only.

  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbxbp/xbpparthandler.prg
    + Implemented: Xbase++ compatible MDI engine.
      Now Xbase++ code can be compiled and run with this feature, Shum ?
      DONE: fix some small artifacts when XbpDialog() is made a MDI client.
            Resuming it back to desktop it is ok.

2011-04-10 12:43 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapicdp.h
  * harbour/src/rtl/cdpapi.c
    * removed fCtrl parameter from hb_cdp*() functions. It was used only
      in very specific case for GT output translations to show characters
      with ASCII codes in range < 0x00 : 0x1F > as corresponding CGA/EGA/VGA
      glyphs and was not necessary in normal conversions
    + added new function for character translation in GT output operations:
      hb_cdpTranslateDispChar(), hb_cdpGetU16Disp(),hb_cdpStrToUTF8Disp()
    * some small fixes, simplifications and improvements in CDP translation
      code

  * harbour/src/vm/strapi.c
  * harbour/src/rtl/cdpapihb.c
  * harbour/src/rtl/hbjson.c
  * harbour/contrib/hbexpat/internal.c
    * removed not longer necessary parameter from hb_cdp*() functions

  * harbour/src/rtl/gtdos/gtdos.c
  * harbour/src/rtl/gtwin/gtwin.c
  * harbour/src/rtl/gtxwc/gtxwc.c
  * harbour/src/rtl/gtcrs/gtcrs.c
  * harbour/src/rtl/gtstd/gtstd.c
  * harbour/src/rtl/gttrm/gttrm.c
  * harbour/src/rtl/gtsln/gtsln.c
  * harbour/src/rtl/gtsln/kbsln.c
  * harbour/src/rtl/gtpca/gtpca.c
  * harbour/src/rtl/gtwvt/gtwvt.c
  * harbour/contrib/gtwvg/gtwvg.c
  * harbour/contrib/gtwvg/wvggui.c
    * use hb_cdp*Disp() functions instead of old ones with fCtrl=HB_TRUE
      parameter
    * removed not longer necessary fCtrl parameter from other hb_cdp*()
      functions

  * harbour/src/codepage/uc646_yu.c
  * harbour/src/codepage/uc737.c
  * harbour/src/codepage/uc775.c
  * harbour/src/codepage/uc850.c
  * harbour/src/codepage/uc852.c
  * harbour/src/codepage/uc855.c
  * harbour/src/codepage/uc856.c
  * harbour/src/codepage/uc857.c
  * harbour/src/codepage/uc860.c
  * harbour/src/codepage/uc861.c
  * harbour/src/codepage/uc862.c
  * harbour/src/codepage/uc863.c
  * harbour/src/codepage/uc864.c
  * harbour/src/codepage/uc865.c
  * harbour/src/codepage/uc866.c
  * harbour/src/codepage/uc869.c
  * harbour/src/codepage/uc874.c
  * harbour/src/codepage/uc1006.c
  * harbour/src/codepage/uc1125.c
  * harbour/src/codepage/uc1250.c
  * harbour/src/codepage/uc1251.c
  * harbour/src/codepage/uc1252.c
  * harbour/src/codepage/uc1253.c
  * harbour/src/codepage/uc1254.c
  * harbour/src/codepage/uc1255.c
  * harbour/src/codepage/uc1256.c
  * harbour/src/codepage/uc1257.c
  * harbour/src/codepage/uc1258.c
  * harbour/src/codepage/uc8859_1.c
  * harbour/src/codepage/uc88591b.c
  * harbour/src/codepage/uc8859_2.c
  * harbour/src/codepage/uc8859_3.c
  * harbour/src/codepage/uc8859_4.c
  * harbour/src/codepage/uc8859_5.c
  * harbour/src/codepage/uc8859_6.c
  * harbour/src/codepage/uc8859_7.c
  * harbour/src/codepage/uc8859_8.c
  * harbour/src/codepage/uc8859_9.c
  * harbour/src/codepage/uc885910.c
  * harbour/src/codepage/uc885911.c
  * harbour/src/codepage/uc885913.c
  * harbour/src/codepage/uc885914.c
  * harbour/src/codepage/uc885915.c
  * harbour/src/codepage/uc885916.c
  * harbour/src/codepage/ucascii.c
  * harbour/src/codepage/ucatari.c
  * harbour/src/codepage/uckam.c
  * harbour/src/codepage/uckoi8.c
  * harbour/src/codepage/uckoi8u.c
  * harbour/src/codepage/ucmacce.c
  * harbour/src/codepage/ucmaccyr.c
  * harbour/src/codepage/ucmacgrk.c
  * harbour/src/codepage/ucmacice.c
  * harbour/src/codepage/ucmacrom.c
  * harbour/src/codepage/ucmactrk.c
  * harbour/src/codepage/ucmaz.c
  * harbour/src/codepage/ucmik.c
  * harbour/src/codepage/ucnext.c
    * removed not longer necessary unicode codes in range < 0x00 : 0x1F >
      Now it's possible to define additional characters in this range though
      I suggest to not use edit/flow control codes (BEL, BS, TAB, LF, CR,
      XON, XOFF)

  * harbour/src/codepage/uc037.c
  * harbour/src/codepage/uc424.c
  * harbour/src/codepage/uc500.c
  * harbour/src/codepage/uc875.c
  * harbour/src/codepage/uc1026.c
    * restored EBCDIC control codes

2011-04-10 02:17 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    ! update to osx unibin config info

2011-04-10 01:58 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtxwc/gtxwc.c
    % undone small optimization in 2011-04-04 10:48 UTC+0200 Przemyslaw Czerpak
      because it caused random app stalls where the app would only
      continue if some input events were manually made. Cursor
      blinking also only happened on input events.
      I've seen this issue on Ubuntu 10.10 and latest OS X.
      After this patch, it works OK again.
      Przemek, please review this patch, most probably there is
      a solution which keeps the optimization and avoids this problem.

2011-04-10 01:26 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/cdpapi.c
    ! some fixes for future CPs which may have together multibyte
      characters with and without single UNICODE representation.

2011-04-09 11:08 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Fixed: to supply strings per UTF8 conversion to Qt.
      Now it is equivalent to hbQT engine.

2011-04-09 13:35 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/3rd/png/pngwrite.c
  * src/3rd/png/pngconf.h
  * src/3rd/png/pngwtran.c
  * src/3rd/png/pngpread.c
  * src/3rd/png/LICENSE
  * src/3rd/png/pngrutil.c
  * src/3rd/png/png.dif
  * src/3rd/png/pnglconf.h
  * src/3rd/png/pngread.c
  * src/3rd/png/png.c
  * src/3rd/png/png.h
  * src/3rd/png/pngpriv.h
  * src/3rd/png/pngrtran.c
  * src/3rd/png/Makefile
  * src/3rd/png/pngtrans.c
    + update png to 1.5.2 [Tamas Tevesz]

2011-04-07 21:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpdialog.prg
    ! Fixed: window hiding/terminating behavior on QEvent_Close
      as per recent fix in hbQT.

2011-04-07 16:21 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Fixed: a last minute change in previous commit.

2011-04-07 16:21 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt.h
    ! Missed from prev commit.

2011-04-07 16:17 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/QBitArray.qth
  * contrib/hbqt/qtcore/qth/QBuffer.qth
  * contrib/hbqt/qtcore/qth/QByteArray.qth
  * contrib/hbqt/qtcore/qth/QChar.qth
  * contrib/hbqt/qtcore/qth/QDataStream.qth
  * contrib/hbqt/qtcore/qth/QDate.qth
  * contrib/hbqt/qtcore/qth/QDateTime.qth
  * contrib/hbqt/qtcore/qth/QDir.qth
  * contrib/hbqt/qtcore/qth/QEvent.qth
  * contrib/hbqt/qtcore/qth/QEventLoop.qth
  * contrib/hbqt/qtcore/qth/QFile.qth
  * contrib/hbqt/qtcore/qth/QFileInfo.qth
  * contrib/hbqt/qtcore/qth/QGenericArgument.qth
  * contrib/hbqt/qtcore/qth/QGenericReturnArgument.qth
  * contrib/hbqt/qtcore/qth/QLatin1Char.qth
  * contrib/hbqt/qtcore/qth/QLatin1String.qth
  * contrib/hbqt/qtcore/qth/QLineF.qth
  * contrib/hbqt/qtcore/qth/QList.qth
  * contrib/hbqt/qtcore/qth/QLocale.qth
  * contrib/hbqt/qtcore/qth/QMimeData.qth
  * contrib/hbqt/qtcore/qth/QModelIndex.qth
  * contrib/hbqt/qtcore/qth/QObject.qth
  * contrib/hbqt/qtcore/qth/QRect.qth
  * contrib/hbqt/qtcore/qth/QRectF.qth
  * contrib/hbqt/qtcore/qth/QRegExp.qth
  * contrib/hbqt/qtcore/qth/QResource.qth
  * contrib/hbqt/qtcore/qth/QSettings.qth
  * contrib/hbqt/qtcore/qth/QSignalMapper.qth
  * contrib/hbqt/qtcore/qth/QSizeF.qth
  * contrib/hbqt/qtcore/qth/QStringList.qth
  * contrib/hbqt/qtcore/qth/QTextBoundaryFinder.qth
  * contrib/hbqt/qtcore/qth/QTextCodec.qth
  * contrib/hbqt/qtcore/qth/QTextDecoder.qth
  * contrib/hbqt/qtcore/qth/QTextEncoder.qth
  * contrib/hbqt/qtcore/qth/QTextStream.qth
  * contrib/hbqt/qtcore/qth/QTime.qth
  * contrib/hbqt/qtcore/qth/QTimeLine.qth
  * contrib/hbqt/qtcore/qth/QTimer.qth
  * contrib/hbqt/qtcore/qth/QTranslator.qth
  * contrib/hbqt/qtcore/qth/QUrl.qth
  * contrib/hbqt/qtcore/qth/QVariant.qth
    ! Restructured: constructors.
      This achieves 99% compatibility of Qt's constructor methods.

  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
    ! Minor.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    + Added: hbqt_getObjectType( iParam );

2011-04-07 22:53 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/hbunix/hbposix.h
  * harbour/contrib/hbunix/uidgid.c
  * harbour/contrib/hbunix/posixerr.c
  * harbour/contrib/hbnetio/hbnetio.ch
  * harbour/contrib/gtwvg/tests/demowvg1.prg
  * harbour/contrib/hbqt/tests/browqt.prg
  * harbour/contrib/hbqt/qtsql/hbqtsql.hbm
  * harbour/contrib/hbqt/qtsql/hbqtsql.hbp
  * harbour/contrib/hbqt/qtsql/hbqtsql.ch
  * harbour/contrib/hbqt/qtsql/hbqtsql.hbc
  * harbour/contrib/hbqt/qtsql/hbqtsqls.hbp
  * harbour/contrib/hbqt/qtsql/qth/filelist.hbm
  * harbour/contrib/hbqt/qtsql/hbqtsql.hbx
  * harbour/contrib/hbqt/hbqtsql.hbc
  * harbour/contrib/hbfship/dbsetloc.c
  * harbour/contrib/hbfship/users.c
  * harbour/contrib/hbfship/exec.c
  * harbour/contrib/hbfship/index.c
  * harbour/tests/speedstr.prg
    * cleaned SVN attributes

2011-04-07 16:05 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fserr.c
  * src/rtl/gtapi.c
  * src/rtl/natmsg.c
  * src/rdd/dbf1.c
    ! Fixed trace messages. [Tamas Tevesz]

2011-04-07 11:56 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/thread.c
    * cleaned comment

  * harbour/src/common/hbdate.c
    ! fixed typo in hb_dateMilliSeconds() on platforms using ftime()
      function.

2011-04-06 19:39 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqtcore.h
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
  * contrib/hbqt/qtgui/hbqtgui.h
    ! Updated: HBQT_TYPE_Q*Class with latest values.

  * contrib/hbxbp/xbpbrowse.prg
    ! Optimized to hold QIcon's and QColor's in hashes.

2011-04-06 18:21 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! QEvent:Close now returns TRUE to the calling loop.
      Now this is the responsibility of the user code to
      set an event to be accepted or ignored.

2011-04-06 17:48 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/CREDITS.txt
    ! Updated: credits.

2011-04-06 17:20 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Restore the point of execution when QEvent::Close is set to
      ignore(). This might have impact on user code where it is
      set to any other value.

  * contrib/hbqt/qtgui/qth/QColor.qth
    ! Fixed constructor.

      TODO: to review constructor code in all .qth's.

2011-04-06 20:15 UTC+0200 Maurilio Longo (maurilio.longo@libero.it)
   * harbour/src/common/hbdate.c
      !  Fixed OS/2 compilation, it was not using gettimeofday() and so
         hb_dateMilliSeconds() had a one second resolution effectively
         killing thread switching.

2011-04-05 06:56 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/hbqtoolbar.prg
    ! Removed: some tracelogs.

  * contrib/hbqt/qtgui/qth/QBoxLayout.qth
    ! Detached: one child.
  * contrib/hbqt/qtgui/qth/QLabel.qth
    ! Improved: constructor to accept a string also.

2011-04-05 15:33 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/hvm.c
    ! fixed missing write unreferencing in my last modification

2011-04-05 08:41 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/hvm.c
    * extended item references created by hb_vmPushItemRef() so they
      can be used to create reference chain and detached in executed
      PRG code. Such reference chain is cleanly break when original
      reference item is removed from HVM stack.

2011-04-04 22:34 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/HBQAbstractItemModel.qth
    ! Formatting.

  * contrib/hbide/ideprojmanager.prg
    ! Fixed: to "build a source" witout any environment set.
             Now hbmk2 is called from the folder where source
             resides. This feature assumes that hbMK2 is
             correctly executed, i.e., hbIDE is started from
             a console which is tuned to that effect.
             Alternatively, if a default project is defined,
             current environment overrides the above protocol.
             In the process hbmk.hbm residing in that folder
             is processed as usual by hbMK2. It means, in a
             folder one can keep all the source examples
             alongwith a hbmk.hbm and build those sources
             just by opening it.

2011-04-04 18:22 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/HBQString.qth
  * contrib/hbqt/qtcore/qth/QByteArray.qth
  * contrib/hbqt/qtcore/qth/QLocale.qth
  * contrib/hbqt/qtcore/qth/QVariant.qth
  * contrib/hbqt/qtgui/qth/QLabel.qth
  * contrib/hbqt/qtgui/qth/QLCDNumber.qth
  * contrib/hbqt/qtgui/qth/QMatrix.qth
  * contrib/hbqt/qtgui/qth/QPainter.qth
  * contrib/hbqt/qtgui/qth/QTransform.qth
  * contrib/hbqt/qtgui/qth/QWidget.qth
  * contrib/hbqt/qtnetwork/qth/QHttp.qth
    - Commented out: methods of duplicating parameters (Harbour types)
      to go through the modified generator engine.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Restructured: c++ code which now handles arguments efficiently.
      hbIDE seems to be working fine but regression cannot be ruled out.
      NOTE: code is now less tolerent to number and type of arguments.
      ;TOREVIEW: all c++ source files one-by-one to detect wrong
                 constructs which might be waiting to be fixed.

2011-04-04 10:48 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/gtxwc/gtxwc.c
    % small optimization
    ! added hack for multiple window resizing when user executes
      series of setmode() function. I'll look for cleaner solution
      in some spare time.

2011-04-03 12:47 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/HBQGraphicsItem.qth
  * contrib/hbqt/qtgui/qth/HBQGraphicsScene.qth
  * contrib/hbqt/qtgui/qth/HBQPlainTextEdit.qth
  * contrib/hbqt/qtgui/qth/HBQTableView.qth
    ! Formatting.

  * contrib/hbxbp/xbpbrowse.prg
    ! Made constructor Xbase++ compatible. [Shum].

2011-04-03 08:33 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqtgui.ch
    + Added: QFormLayout_* constants.

  * contrib/hbqt/qtgui/qth/QWidget.qth
    ! Modified: :setParent( QWidget * w ) => :setParent( QWidget * w = 0 )
      It is undocumented change but perhaps Qt has ommitted. Works fine.
      So to set the parent of a widget to nil is now easier.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Code cleanup.
    ! Minor formatting.
    ! zimproved handelling of default parameters.
      ; ROUND # 1: More to follow.

2011-04-03 08:14 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QDockWidget.qth
    ! Detached: :setWidget().

2011-04-02 17:22 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QDockWidget.qth
  * contrib/hbqt/qtgui/qth/QLayout.qth
  * contrib/hbqt/qtgui/qth/QWidget.qth
    ! Modified: constructors, detatchment, attachment.

2011-04-01 17:09 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Optimized: hb_itemReturn( hb_stackSelfItem() );
      is now inserted at the end of multi-functions methods.
      It will produce significantly reduced .cpp in size.

2011-04-01 12:55 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Minor: class object encapsulated in new item.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Minor optimization.

  * contrib/hbqt/qtgui/qth/QBrush.qth
    + Added: some HBQT_TYPE_ constants which cannot be included
      when generated auto.

  * contrib/hbqt/qtgui/qth/QPainter.qth
    ! Started: to rewrite manually all classes as current
      engine is not good enough to do it auto.

  * contrib/hbide/hbqreportsmanager.prg
    ! Achieved: Reports Manager is reworking again.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Changed the way constant HBQT_TYPE_Q*Class was constructed.
      Now Q*Class name is taken alone is submitted to hb_crc32().

2011-04-01 18:10 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/package/harbour.spec
    * updated to work with current contribs and harbour shared library

2011-04-01 14:19 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/itemapi.c
    ! fixed compilation in MT mode with some C compilers using
      HB_STACK_TLS_PRELOAD
    * updated also hb_itemParamStore() function to set NIL to item passed
      by reference when is called with NULL pItem parameter.

2011-04-01 13:56 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/itemapi.c
    * set NIL to item passed by reference when hb_itemParamStoreForward()
      or hb_itemParamStoreRelease() is called with NULL pItem parameter.

  * harbour/contrib/hbnetio/netiosrv.c
    ! fixed possible memory leak when
         NETIO_SRVSTATUS( ..., NETIO_SRVINFO_PEERADDRESS, ... )
      is called without 3-rd parameter passed by reference

  * harbour/examples/gtwvw/gtwvw.c
    * replaced repeated TONE code with hb_gt_winapi_tone()
    + added MOUSE_GETPOS() method

  * harbour/examples/gtwvw/wvwtbar.c
    ! fixed to compile with Harbour

2011-04-01 00:19 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/contrib/rddads/ads1.c
    + added missing GOCOLD() method to ADS* RDDs

2011-03-31 12:55 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideharbourhelp.prg
    ! Fixed: a regression.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Formatting.

  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
    ! Formatting.

  * contrib/hbqt/tests/demoqt.prg
    ! QComboBox() demo code updated to insert items alphabetically.

2011-03-31 10:03 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
    ! Minors.

  * contrib/hbqt/qtgui/qth/QPainter.qth
    ! Rewritten: manually :fillrect() which does not overload
      proper method with same number and types of arguments.
      TOFIX: hbmk2_qt.hbs to entertain this construct.

2011-03-31 16:36 UTC+0100 Francesco Perillo ( fperillo at gmail.com )
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/qth/HBQEvents.qth
  * contrib/hbqt/qtcore/qth/HBQSlots.qth
  * contrib/hbqt/qtgui/hbqt_hbqabstractitemmodel.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
  * contrib/hbqt/qtgui/qth/HBQAbstractItemModel.qth
  * contrib/hbqt/qtgui/qth/HBQGraphicsItem.qth
  * contrib/hbqt/qtgui/qth/HBQGraphicsScene.qth
  * contrib/hbqt/qtgui/qth/HBQPlainTextEdit.qth
  * contrib/hbqt/qtgui/qth/HBQTableView.qth
    ! Fixed: implemented correct GC memory collection. Thanks to Przemek
             to have shown me the way.
    ! Fixed: some code has been changed

    PLEASE be sure to do a full "make clean" before compiling

  * contrib/hbqt/tests/testbrow.prg
    ! Fixed: eliminated STATIC variables or moved to LOCAL

2011-03-30 17:56 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneDragDropEvent.qth
    ! Fixed: manual code creating HMV destroyable object.

  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
    ! Removed: tracelog entry.

  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/hbqtoolbar.prg
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
    ! Removed: all occurances exploiting raw pointer with QList().

2011-03-30 15:50 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/tests/demowvg.prg
  * contrib/gtwvg/tests/wvgmodal.prg
  * contrib/gtwvg/tests/wvgtbrowser.prg
  * contrib/gtwvg/tests/wvgutilities.prg
    ! Fixed: many artifacts which got broken with GT changes
      in a couple of years.
    + Added: a menu option which to execute a modal Harbour Gt
      window on top of a GUI window.

  + contrib/gtwvg/tests/demowvg1.prg
    + Added: a highly simplified demo for beginners to understand
      the underlying concepts how GUI controls can be exploited
      with CUI output. Press F2 which navigaing the GETS.
      This demo used GTWVG's inbuilt GUI controls handelling
      mechanism instead of devising one's own.
      This mechanism was introduced in GTWVG mush later
      that demowvg.prg was written. In future I will try to
      rewrite the demowvg.prg with in-built protocol.

2011-03-30 14:45 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    + Continue if there were no input files specified. This
      can be useful in some situations.
    * Show warning about no input files only when -info option is used.
    + Consider resource files as valid input files when showing
      above warning.

2011-03-30 14:20 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwin/gtwin.c
    % Replaced kbd modifier readout with a more efficient
      version. It contains hack required to make core
      low-level function to work correctly with win consoles.
      Patch co-developed with Przemek.

  * contrib/hbtip/sendmail.prg
    ! Implemented fix to enclose attachment filenames in
      dbl quotes as suggested by George Frehner.
      Pls test.

  * contrib/hbtip/mail.prg
    * Formatting.

2011-03-30 13:40 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbgtinfo.ch
    ! fixed wrong decimal value defined for HB_GTI_KBD_RALT.
    * translated HB_GTI_KBD_* values from decimal to hex numbers
      to avoid such mistakes in the future.

2011-03-29 14:19 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideprojmanager.prg
    ! Optimized: destructors.

  * contrib/hbxbp/xbpwindow.prg
    ! Minor.

  * contrib/hbqt/qtcore/qth/QStringList.qth
    ! Uncommented: many methods, commented one.

  * contrib/hbqt/hbmk2_qt.hbs
    + Implemented: QList< * > generating a list of Harbour objects.
      Now no more raw pointers generated with hb_retptr() in hbQT.
      Please review and test.

      WARNING: third party libs should check their sources to
               entertain this change.

2011-03-29 10:07 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwin/gtwin.c
    - Fully disabled palette setting feature due to bad side effects
      reported by Mindaugas.
      Maybe it could be reenabled in some cases, pls refine it if you
      need this feature. Pls also retest, I have a hard time replicating
      this side-effect on my system.

  * INSTALL
    * Updated. mingw tdm 4.5.2 works fine again.

  * examples/hbdoc2/gentpl.prg
    ! Fixed typo reported on users' list by Emmer.

2011-03-29 09:55 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/thread.c
    * pacified warnings

  * harbour/src/rtl/hbrandom.c
    ! fixed typo in previous commit

  * harbour/src/rtl/hbproces.c
    * minor formatting

2011-03-29 08:05 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbznet.c
    % use Z_PARTIAL_FLUSH instead of Z_SYNC_FLUSH in hb_znetFlush()
      It should reduce a little bit the size of compressed data stream.

2011-03-28 12:13 UTC+0200 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbgs/core.c
    ! Fixed C++ warning.

  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbmxml/3rd/minixml/mxml_fil.c
  * contrib/hbmxml/3rd/minixml/mxml_nod.c
  - contrib/hbmxml/3rd/minixml/minixml.dif
    * Updated.

  ; Patches from Tamas Tevesz.

2011-03-28 01:19 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
    ! Code cleanup.
  * contrib/hbqt/qtcore/hbqt_misc.prg
    ! Changed: :connect()/:disconnect() not to generate RTE.

  * contrib/hbxbp/xbpwindow.prg
    ! Misspelled :disconnect() [ Francessco ].

  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/hbqtoolbar.prg
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedict.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideeditor.prg
  * contrib/hbide/ideenviron.prg
  * contrib/hbide/ideformat.prg
  * contrib/hbide/idefunctions.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/idehome.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/ideplugins.prg
  * contrib/hbide/ideprojmanager.prg
  * contrib/hbide/idesaveload.prg
  * contrib/hbide/ideshortcuts.prg
  * contrib/hbide/idesources.prg
  * contrib/hbide/idethemes.prg
  * contrib/hbide/idetools.prg
    ! Optimized: desructors.
      Now hbIDE has around 769 unreleased blocks if started afresh
      and exited without openening any source.

2011-03-27 12:45 UTC+0200 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbapi.h
  * harbour/src/rtl/hbrandom.c
    added new C functions which fills memory block with random values:
         void hb_random_block( void * data, HB_SIZE len )
    this function should be used with "good enough" random generator
    so in the future it may be changed to use internally sth different
    then rand().

  * harbour/src/vm/thread.c
    * pacified minor warning

2011-03-26 00:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  + contrib/hbqt/hbqtsql.hbc
    ! Miss from prev commit.

  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtsql/qth/QSqlQuery.qth
    ! Manual code insertion/modification.

2011-03-26 03:32 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbproces.c
    ! fixed one HB_TRUE wrongly used instead of TRUE
    * minor simplification

  * harbour/include/hbgtinfo.ch
  * harbour/src/rtl/hbgtcore.c
    + added HB_GTI_VERSION - it returns version information just like
      hb_gtVersion() - usually the same but can be different in some
      multilevel GTs, i.e. when different GT drivers are used locally
      and remotely.

  * harbour/include/inkey.ch
  * harbour/src/rtl/hbgtcore.c
    + added HB_K_CONNECT and HB_K_DISCONNECT inkey codes.
      They can be used to signal that remote terminal is connected or
      diconnected.

  * harbour/tests/gtkeys.prg
    + added HB_K_* keycodes

  * harbour/contrib/hbnetio/netiosrv.c
    * removed unnecessary casting

2011-03-25 18:33 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/hbqtoolbar.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/idefunctions.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/ideprojmanager.prg
  * contrib/hbide/idesaveload.prg
    ! Optimized: destructors. Unreleased memory blocks are shortened
      in number considerably.
    + Project Properties dialog now displays project name in its title-bar.

2011-03-25 18:24 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  + contrib/hbqt/qtsql
  + contrib/hbqt/qtsql/doc
  + contrib/hbqt/qtsql/hbqtsql.ch
  + contrib/hbqt/qtsql/hbqtsql.hbc
  + contrib/hbqt/qtsql/hbqtsql.hbm
  + contrib/hbqt/qtsql/hbqtsql.hbp
  + contrib/hbqt/qtsql/hbqtsql.hbx
  + contrib/hbqt/qtsql/hbqtsqls.hbp
  + contrib/hbqt/qtsql/qth
  + contrib/hbqt/qtsql/qth/filelist.hbm
  + contrib/hbqt/qtsql/qth/QSqlDatabase.qth
  + contrib/hbqt/qtsql/qth/QSqlDriver.qth
  + contrib/hbqt/qtsql/qth/QSqlError.qth
  + contrib/hbqt/qtsql/qth/QSqlField.qth
  + contrib/hbqt/qtsql/qth/QSqlIndex.qth
  + contrib/hbqt/qtsql/qth/QSqlQuery.qth
  + contrib/hbqt/qtsql/qth/QSqlQueryModel.qth
  + contrib/hbqt/qtsql/qth/QSqlRecord.qth
  + contrib/hbqt/qtsql/qth/QSqlRelationalTableModel.qth
  + contrib/hbqt/qtsql/qth/QSqlResult.qth
  + contrib/hbqt/qtsql/qth/QSqlTableModel.qth

  * contrib/hbqt/hbqt.hbc
  * contrib/hbqt/hbqt_all.hbp

    + Initial upload of classes contained in QtSql module.

2011-03-25 08:24 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
    ! Fixed: mystery of flashing and disappearing windows before
      hbIDE's application window appears.

2011-03-24 11:57 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Code clean-up.
    ! Restrored: how the obejcet is addressed in methods.
      NOTE: Do not change.

  * contrib/hbqt/qtcore/hbqt_misc.prg
    ! Restored: :disconnect().
    ! Connect was generating error it obejct was freed prior to execution.

2011-03-23 12:27 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
    ! Changed: the way destructors were called.

2011-03-23 07:56 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  - hooks
  - db
  - conf
  - format
  - locks
  - README.txt
    ! Apparently wrong commit undone:
        http://sourceforge.net/apps/trac/harbour-project/changeset/16495

2011-03-22 18:44 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idedocks.prg
    ! Fixed: RTE at exit.

2011-03-22 18:27 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/gtwvg/gtwvg.c
    ! Reverted. Seems it had been hectic today.

2011-03-22 18:23 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/hbpprocess.prg
  * contrib/hbxbp/tests/demoxbp.prg
  * contrib/hbxbp/xbprtf.prg
    ! Small fixes.

2011-03-22 18:12 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/QMimeData.qth
  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneDragDropEvent.qth
    ! Fixed: some manual code which was not taking use of new protocol.

  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
    ! Changed: hbqt_create_object() => hbqt_create_objectGC()

2011-03-22 15:05 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
    ! Changed: the behaviour of oQObject:connect().
      Now if called next time, it will replace the original codeblock.
      This is important in certain situations.
    ! Fixed: potential memory leak.

  * contrib/hbqt/qtcore/hbqt_misc.prg
    ! Introduced: DESTRUCTOR _destroy() which explictly destroys
      singals and slots prior to destroying the object. [ Francessco ].
      This renderes calling oQObject:disconnect() useless.
      Now there is no more GPF on hbIDE. Please build for
      different OS's and report on the list.

    ; TODO: remove :disconnect calls from hbXBP and hbIDE.

2011-03-21 18:45 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqt_init.cpp
    ! Transferred logic of destructors from core to gui.
      The whole lot should be in one source. We cannot
      control the order of execution of _init_ functions.
      Francessco, take care of these changes.

      NOTE: now hbIDE enters, used with all flavours, exits
            without GPF. The remaining issue is to control
            memory leaks. Francessco is working onto that.

2011-03-21 18:36 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/idesources.prg
    ! Connect/disconnect per current implementation.

  * contrib/hbide/idemain.prg
    ! Put to more stress test at exit by destroying all objects
      explictly.

2011-03-21 18:29 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/THbQtUI.prg
    ! Destructor more rationalized.

  * contrib/hbxbp/xbp3state.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpcheckbox.prg
  * contrib/hbxbp/xbpcombobox.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpfiledialog.prg
  * contrib/hbxbp/xbphtmlviewer.prg
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpradiobutton.prg
  * contrib/hbxbp/xbprtf.prg
  * contrib/hbxbp/xbpscrollbar.prg
  * contrib/hbxbp/xbpsle.prg
  * contrib/hbxbp/xbpspinbutton.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbptoolbar.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Restored: :disconnect() method.
      Without disconnecting events/slots object does not get
      destroyed. The reason is :__pSlots and :__pEvents holds
      reference to self which needs to be released before
      object itself is released, a cyclical phenomena.

2011-03-21 17:23 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QBoxLayout.qth
  * contrib/hbqt/qtgui/qth/QLayout.qth
  * contrib/hbqt/qtgui/qth/QMainWindow.qth
  * contrib/hbqt/qtgui/qth/QTableWidget.qth
  * contrib/hbqt/qtgui/qth/QTreeWidget.qth
    ! Fixed: detached objects. Hopefully hbIDE should exit clean
      if just entered and exited. However, if some dialog using
      .ui (.uic) files, it is still broken.

2011-03-21 12:01 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
    ! HB_TRACE() rationalized.

2011-03-19 23:26 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/hbpprocess.prg
  * contrib/hbxbp/xbp3state.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpcheckbox.prg
  * contrib/hbxbp/xbpcombobox.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbphtmlviewer.prg
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpradiobutton.prg
  * contrib/hbxbp/xbprtf.prg
  * contrib/hbxbp/xbpscrollbar.prg
  * contrib/hbxbp/xbpsle.prg
  * contrib/hbxbp/xbpspinbutton.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbptoolbar.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpwindow.prg
    ! Removed: occurances and methods calling :disconnect().
               It is automatic with destructors.

2011-03-19 23:21 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Applied: Francessco's patch with few changes and formatting.

  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
    ! hbqt_create_object() => hbqt_create_objectGC()

  * contrib/hbqt/qtgui/THbQtUI.prg
    ! Rationalized: object destruction.

  * contrib/hbqt/tests/demoqt.prg
    ! Rationalized.

2011-03-18 23:06 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtgui/hbqt_init.cpp
    ! FIXED: GPF at exit and sometimes along running application.
             Harbourearns, it is day to cheer.

2011-03-19 06:59 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/filesys.c
    ! added protection for potentially unfinished due to signal
      interrupt close() operation in *nix systems in hb_fsClose()
      function
    * use hb_fsClose() instead of close() to be sure that the operation
      is completed in *nix systems
    * return NULL for DosToWinHandle( FS_ERROR )
    ; TODO: add protection against signal interrupting to all hb_fs*()
            functions which may need it.

  * harbour/src/rtl/hbproces.c
    * use hb_fsClose() instead of close() to be sure that the operation
      is completed in *nix systems
    ! Do not inherit ends of pipe handles in MS-Windows builds of
      hb_fsProcessOpen()
    ! Added missing CloseHandle( hProcess ) in MS-Windows builds of
      hb_fsProcessRun()
    ; QUESTION: Does hb_fsProcessRun() work correctly in MS-Windows builds?
                I've just noticed that I used WaitForMultipleObjects()
                WIN API function with unnamed pipe handles and I cannot
                find any information in MSDN that this is legal operation.

2011-03-18 15:34 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QActionEvent.qth
  * contrib/hbqt/qtgui/qth/QContextMenuEvent.qth
  * contrib/hbqt/qtgui/qth/QDragEnterEvent.qth
  * contrib/hbqt/qtgui/qth/QDragLeaveEvent.qth
  * contrib/hbqt/qtgui/qth/QDragMoveEvent.qth
  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtgui/qth/QFocusEvent.qth
  * contrib/hbqt/qtgui/qth/QHelpEvent.qth
  * contrib/hbqt/qtgui/qth/QHideEvent.qth
  * contrib/hbqt/qtgui/qth/QHoverEvent.qth
  * contrib/hbqt/qtgui/qth/QInputEvent.qth
  * contrib/hbqt/qtgui/qth/QMainWindow.qth
  * contrib/hbqt/qtgui/qth/QPaintEvent.qth
  * contrib/hbqt/qtgui/qth/QResizeEvent.qth
  * contrib/hbqt/qtgui/qth/QShortcutEvent.qth
  * contrib/hbqt/qtgui/qth/QShowEvent.qth
  * contrib/hbqt/qtgui/qth/QWindowStateChangeEvent.qth
    ! Made: constructors more fault tolerant.

2011-03-18 13:10 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqtcore.hbx
    ! Miss from prev commit.

2011-03-18 12:28 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtcore/qth/filelist.hbm
  + contrib/hbqt/qtcore/qth/QChildEvent.qth
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtgui/qth/filelist.hbm
  + contrib/hbqt/qtgui/qth/QActionEvent.qth
  + contrib/hbqt/qtgui/qth/QFileOpenEvent.qth
  + contrib/hbqt/qtgui/qth/QHoverEvent.qth
  * contrib/hbqt/qtgui/qth/QMoveEvent.qth
  * contrib/hbqt/qtgui/qth/QPaintEvent.qth
  + contrib/hbqt/qtgui/qth/QShortcutEvent.qth
    + Added: more events specific classes.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Rationalized code fragments.
    - Deleted: meta object checking as it is now handelled by the generator.

  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Rationalized: catching the event.
      NOTE: hb_itemNew() should not be called here. The function
            returns a hb_stackReturnItem(). Object is already contained
            in .prg variable in user application and will be auto
            destructed when out of scope.

2011-03-18 13:37 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/qth/QDesktopServices.qth
    * Patch [Francesco Perillo]

2011-03-17 09:38 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbgtinfo.ch
    + added HB_GTI_ONLINE - Is terminal connected?

  * harbour/src/rtl/hbproces.c
    ! fixed MS-Windows version of hb_fsProcessRun() to unlock HVM stack
      when thread is waiting for child process

2011-03-17 09:23 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbct/disk.c
    ! Fixed regression in prev patch. [via Andi]

2011-03-17 08:46 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/common/hbver.c
    + New Intel compiler version detection. [Tamas Tevesz]

  * src/rtl/tpopup.prg
    ! Fixing shadow extension. [Maurizio la Cecilia]
      (with my indenting, fix and deletion of commented lines)

  * contrib/hbqt/qtgui/hbqtgui.hbx
    * Updated.

  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Experimental fix [via Francesco Perillo]

2011-03-16 13:49 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtxwc/gtxwc.c
  * contrib/hbct/disk.c
    ! Fixing warnings. [Tamas Tevesz]
  * contrib/hbqt/hbmk2_qt.hbs
    + Added traces. [Francesco Perillo]
    ! Formatted
    ! Changed ALWAYS to DEBUG.
  + contrib/hbqt/qtgui/qth/QCloseEvent.qth
  * contrib/hbqt/qtgui/qth/filelist.hbm
  * contrib/hbqt/qtgui/hbqt_init.cpp
    + Patch. [Francesco Perillo]
    ; Applied manually as it failed to apply automatically. Untested.

2011-03-15 17:51 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/vm/hvm.c
    ! fixed HB_STACK_TLS_PRELOAD after recent modification

2011-03-15 14:26 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbthread.h
  * harbour/src/vm/thread.c
    + added internal functions hb_threadStateClone() and hb_threadStart()
    * modified code to use new functions

  * harbour/include/hbvm.h
  * harbour/src/vm/hvm.c
    + added public function hb_vmThreadStart() which creates new thread
      with HVM stack
    + added protection against executing hb_vmThreadRelease() for
      not registered thread state

2011-03-14 13:46 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Fixed: wrong event was being fired instead of relevant one.
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Fixed: a memory leak.

2011-03-14 16:17 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbssl/x509.c
    + Enable feature which is fixed with newer (1.0.0) openssl
      version. It's now enable for 1.0.0 final and newer, I did
      only test it with 1.0.0d.

2011-03-12 21:44 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqtgui.hbc
  * contrib/hbqt/qtwebkit/hbqtwebkit.hbc
  * contrib/hbqt/qtcore/hbqtcore.hbc
  * contrib/hbqt/qtnetwork/hbqtnetwork.hbc
  * contrib/hbqt/qtuitools/hbqtuitools.hbc
  * contrib/hbqt/qtdesigner/hbqtdesigner.hbc
    + beos support. [Tamas Tevesz]

2011-03-12 19:24 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    * Changed the way low level event objects are created.

  * contrib/hbqt/qtcore/qth/QResource.qth
    ! Fix to unregisterresource functions.

  ; [Francesco Perillo]

2011-03-11 13:41 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/postinst.hbs
    * Changed to use target platform instead of host
      platform to decide about ld config. Checkme.

2011-03-11 13:36 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/hbrun.prg
    ! Fixed to not crash due to corrupted .hrb leftover files next to hbrun executable.

  * src/compiler/hbusage.c
    ! typo in e-mail address
  * contrib/hbqt/hbqt_common.hbm
    + qt autodetection on beos
  * config/postinst.hbs
    * ld config -> linux only
  ; [Tamas Tevesz]

2011-03-11 09:42 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbrandom.c
    ! fixed double number calculation for random values by removing
      some wrong trick with epsilon value. rand() function returns
      numbers in range [0,RAND_MAX] (inclusive) so can give RAND_MAX+1
      different results and this is the correct divisor to map rand()
      results to real range [0,1)  ( 0 <= n < 1 )

2011-03-10 19:13 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_init.cpp
    ! Fixed: one remaining warning - arguments.
  * contrib/hbxbp/xbpbrowse.prg
    ! Fixed: slot "commitData(QWidget*)" was not working.
      It is hack on PRG level and is scheduled to be shifted to C++.

2011-03-10 17:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Optimized: methods callable with no arguments.

2011-03-11 01:26 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
    % Deleted now unnecessary .prg wrapper generation logic.
    * Moved .qth processing to "pre_c" phase.
    ! Deleted HB_FUNC_EXTERN for constructor now declared locally.
    ! Added constructor to symbol table.

  * contrib/3rd/sqlite3/sqlite3.hbp
  * contrib/hbbz2/3rd/bz2/bz2.hbp
  * contrib/hbexpat/3rd/expat/expat.hbp
  * contrib/hbhpdf/3rd/libhpdf/libhpdf.hbp
  * contrib/hblzf/3rd/liblzf/lzf.hbp
  * contrib/hbmlzo/3rd/minilzo/minilzo.hbp
  * contrib/hbmzip/3rd/minizip/minizip.hbp
  * contrib/hbmxml/3rd/minixml/mxml.hbp
  * contrib/hbxdiff/3rd/libxdiff/xdiff.hbp
    + Added -pic option to 3rd party libs. This switch will
      make them use -pic when creating their static libs,
      which allows to link them to contrib dynlibs when
      using HB_BUILD_CONTRIB_DYN=yes.

  * contrib/hbwin/tests/dlg.prg
    * Minor formatting.

2011-03-10 16:07 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_misc.prg
    + Added and experimental function scheduled to be removed.
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbqt/qtdesigner/hbqtdesigner.hbx
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtnetwork/hbqtnetwork.hbx
  * contrib/hbqt/qtuitools/hbqtuitools.hbx
  * contrib/hbqt/qtwebkit/hbqtwebkit.hbx
  * contrib/hbqt/hbmk2_qt.hbs
    + Implemented: removed the need of any PRG wrapper to Q*Class() calls.
      Shifted to C++ level.
      NOTE: still corresponding blank .prg(s) are created inside .hbmk
      folders. I could not follow the logic to remove them from build
      process, Viktor ?

2011-03-10 22:38 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/compiler/hbmain.c
    ! fixed GPF when -build cor -credit parameters were used with
      embedded compiler

2011-03-10 20:59 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/hbwapi.h
    + Added Set/GetWindowLongPtr macros from GTWVT.
    + Added GWLP_USERDATA macro.

  * contrib/hbwin/hbwin.hbp
  * contrib/hbwin/hbwin.hbx
  + contrib/hbwin/wapi_winuser_dlg.c
  + contrib/hbwin/tests/dlg.xml
  + contrib/hbwin/tests/dlg.rc
  + contrib/hbwin/tests/dlg.hbp
  + contrib/hbwin/tests/dlg.prg
    + Added basic win dialog handling functions and small test
      app posted on user's list by Vailton Renato.
    + Added win64 compatibility.
    ! Fixed a few casts and compiler errors/warnings.
    ! Formatted using uncrustify and hbformat.
    + Added license and SVN ID.
    * Renamed WAPI_DIALOGBOX() to WAPI_DIALOGBOXPARAM()

2011-03-10 20:23 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/common/hbtrace.c
    ! use hb_getenv_buffer() instead of hb_getenv() to not allocate
      memory when trace system is activated and added protection
      against recursive calls.

  * harbour/src/common/hbprintf.c
    ! use internal function _hb_strnlen() instead of hb_strnlen()
      to avoid recursive calls in Harbour trace system

2011-03-10 19:04 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * bin/hb3rdpat.hbs
    + Added -validate option
    ! Fixed short fn checking
    * Touchups
      [Tamas Tevesz]

2011-03-10 18:56 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/pp/ppcore.c
    % small optimization

2011-03-10 17:12 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbpp.h
  * harbour/include/hbvmpub.h
  * harbour/include/hbapi.h
  * harbour/include/hbcomp.h
  * harbour/include/hbcompdf.h
  * harbour/include/hbexpra.c
  * harbour/include/hbexprop.h
  * harbour/include/hbhash.h
  * harbour/src/compiler/harbour.yyc
  * harbour/src/compiler/harbour.y
    * simplified function type declarations

  * harbour/src/common/hbstr.c
    ! fixed potential GPF in hb_strnicmp() HB_TR_DEBUG message

2011-03-10 11:13 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
    * Do not include source filenames in doc.

2011-03-10 09:59 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Fix to prev.
    ; QUESTION: What is the reason that the constructor code
                is manually written for each class, instead of
                being automatically generated? [CAN BE DONE]
    ; TODO: Autogenerate constructors.

2011-03-10 07:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbgs/hbgs.hbp
    + Added autodetection path [Tamas Tevesz]
  - contrib/hbmlzo/3rd/minilzo/minilzo.hbx
    - Deleted .hbx file (always empty, not needed for 3rd libs)
  * contrib/hbmlzo/3rd/minilzo/minilzo.hbp
    - Deleted commented/empty option.
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
    * Formatting.
  * config/global.mk
    + Attempt to add better LIBRARY_PATH envvar support for beos.
      Please test.

2011-03-10 00:56 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/lang/msgbgiso.c
    ! fixed typo in lang module name: "BGWIN" -> "BGISO"
    ; TODO: sync codepage and land module names to use the same ID.
            Now it's necessary to look at Harbour source code to find
            corresponding modules.

  * harbour/src/rtl/gtwvt/gtwvt.c
    ! fixed GPF when fullscreen was enabled before console window is
      created.
      Now it's possible to enable full screen mode before application
      starts without flickering window, i.e.:
         #include "hbgtinfo.ch"
         REQUEST HB_GT_WVT_DEFAULT
         PROC main()
            hb_gtInfo( HB_GTI_ISFULLSCREEN, .T. )
            ? hb_datetime()
            ? version()
            ? hb_compiler()
            ? hb_gtVersion(), hb_gtVersion(1)
            WAIT
         RETURN

2011-03-10 00:40 UTC+0200 Petr Chornyj (myorg63 at mail.ru)
  + contrib/hbmlzo
  + contrib/hbmlzo/3rd
  + contrib/hbmlzo/3rd/minilzo
  + contrib/hbmlzo/3rd/minilzo/COPYING
  + contrib/hbmlzo/3rd/minilzo/lzoconf.h
  + contrib/hbmlzo/3rd/minilzo/lzodefs.h
  + contrib/hbmlzo/3rd/minilzo/minilzo.c
  + contrib/hbmlzo/3rd/minilzo/minilzo.h
  + contrib/hbmlzo/3rd/minilzo/minilzo.hbc
  + contrib/hbmlzo/3rd/minilzo/minilzo.hbp
  + contrib/hbmlzo/3rd/minilzo/minilzo.hbx
  + contrib/hbmlzo/3rd/minilzo/README.LZO
  + contrib/hbmlzo/core.c
  + contrib/hbmlzo/hbmlzo.ch
  + contrib/hbmlzo/hbmlzo.hbc
  + contrib/hbmlzo/hbmlzo.hbp
  + contrib/hbmlzo/hbmlzo.hbx
  + contrib/hbmlzo/tests
  + contrib/hbmlzo/tests/hbmk.hbm
  + contrib/hbmlzo/tests/test.prg
  * contrib/hbplist
  * INSTALL
    + added wrapper to miniLZO -- mini subset of the
      LZO real-time data compression library

2011-03-09 22:39 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    + XCode is commercial now. Source code changed to hybrid.

2011-03-09 22:13 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Missing hb_xfree() when remerging my old changes to recent C++ migration patch.

2011-03-09 21:32 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/hbzlibgz.c
    ! In block declaration in recent patch.
  * utils/hbmk2/hbmk2.prg
    ! Regression in recent xhb patch.
  * contrib/hbwin/axcore.c
    ! Format warning in trace.

2011-03-09 20:00 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnetio/utils/hbnetio/hbnetio.hbp
  * contrib/hbnetio/utils/hbnetio/netiosrv.prg
  + contrib/hbnetio/utils/hbnetio/netiosvc.prg
    + hbnetio will act as a service on Windows platform.
      To run it interactively from console, use: 'hbnetio -a'
    ; TOFIX: I'm getting 'error 1067' when starting up the
             service. It get resolved when I build hbnetio in
             -st mode. (I use mingw and did a full rebuild)

  * contrib/rddads/rddads.hbp
    ! Suppressing annoying mingw warning in ace.h.
    ; TOFIX: hbmk2 overrides this ATM.

2011-03-09 18:30 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbwin/win_svc.c
  * contrib/hbwin/tests/testsvc.prg
    + WIN_SERVICESTART() changed to accept codeblock and
      function reference as second parameter (was string).
      INCOMPATIBLE: Pls update your code to use new method.
      NOTE: If someone knows how to add string support without
            duplicating code and other hacks, pls do, however
            I think that codeblock and function reference is
            much more modern and fool-proof solution.

2011-03-09 17:51 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    ! QWidget related event moved to hbqtgui to avoid build breakage.

2011-03-09 17:17 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
    ! Fixed scope of generate HB_EXTERN section.
    ! Fixed (pls review/test) to provide separate void * pointer
      for each hb_parstr_utf8() calls.
    ! Formatting fixes to generated code.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    * Formatting.

2011-03-09 14:18 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_errorsys.prg
  * contrib/hbide/plugins/hbide_script_qtgui.hbs
  * contrib/hbide/ideeditor.prg
    - Deleted :new() calls.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
    * Formatting.

2011-03-09 11:15 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbzlibgz.c
    % encapsulated all GZIP IO functions inside hb_vmUnlock() / hb_vmLock()
      calls.

2011-03-09 10:51 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    % Deleted HB_FUNC_EXTERN for locally defined function. Pls review me.
    ! Fixed formatting in generated code.
    + Added local __instantiate() function. Commented yet.
    % Converted method names to uppercase on invocation.
    + Added QUESTION about 'return;' in HB_<QCLASS>() functions.
      "INSTANCE" method is not called the first
      time this function is called.

2011-03-09 09:30 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtwebkit/hbqtwebkit.hbx
  * contrib/hbqt/qtuitools/hbqtuitools.hbx
  * contrib/hbqt/qtdesigner/hbqtdesigner.hbx
    * Updated.

2011-03-09 09:07 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/gtwvt/gtwvt.c
    * Indenting.

  * INSTALL
    + Added new ghostscript link. [Tamas Tevesz]
      (left the old one as it has some information the new one doesn't)

  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtgui/qth/*.qth
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/qth/*.qth
  * contrib/hbqt/qtnetwork/qth/*.qth
  * contrib/hbqt/qscintilla/qth/*.qth
  * contrib/hbqt/qtdesigner/qth/*.qth
    + Patch to move wrapper code to C++. [Francesco Perillo]
    * My mods:
         - Restored the way registerResource() is implemented.
           (TODO: needs generic solution)
         - Formatting, some cleanups.
         - Minor corrections in generated code format (more TBD)
         - Deleted some unused code
         - Refixed strcpy() usage.
         - Added C++ puller for __QT* symbol.
         - Added manual version of HBQEventsFromPointer() which is still needed
           by hbqtcore. (TOFIX)
      Please test.
    ; TOFIX: Remove remaining generated .prg, holding this code:
             FUNCTION QtClass( ... )
                RETURN HB_QtClass():new( ... )
             Any takers?

2011-03-08 23:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbgs/core.c
    * HB_GSAPI_REVISION() changed to return integer result like the
      original function.

2011-03-08 09:44 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbvm.h
  * harbour/src/vm/hvm.c
    * added new public C function:
         HB_BOOL hb_vmRequestReenterExt( void );
      hb_vmRequestReenterExt() checks if given thread has registered HVM
      stack and if not it creates new one otherwise it makes the same
      operations as hb_vmRequestReenter(). It should be also used with
      hb_vmRequestRestore() which checks if new stack was allocated and
      if yes then it releases it.
      For ST HVM hb_vmRequestReenterExt() works exactly like
      hb_vmRequestReenter().

  * harbour/include/hbthread.h
    ! typo in comment

  * harbour/contrib/hbwin/win_svc.c
    ! fixed to work with MT HVM
    + accept function symbol (@func()) as 2-nd parameter of
      WIN_SERVICESTART() function
    * replaced one HB_TCHAR_*() function by Harbour STR API one.
      (for full UNICODE support we should eliminate all HB_TCHAR_*()
      functions)

2011-03-08 08:59 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    * Invoke xhb compiler (in -xhb mode) for each input source file,
      to avoid xhb compiler bugs (like aborting due to too many
      warnings even if -w0 is used - reported by Pritpal in xhb 2007 Oct
      version).

2011-03-08 00:27 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/cdpapihb.c
    ! fixed typo in my last commit

2011-03-07 22:43 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/minmax.c
    ! fixed MAX() for mixed date and timestamp values

  * harbour/src/rtl/strtran.c
    % minor modification

  * harbour/src/rtl/cdpapihb.c
    * updated for signed HB_SIZE type

2011-03-07 15:06 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbgs/tests/testgs.prg
  * contrib/hbgs/hbgs.hbx
  * contrib/hbgs/core.c
  * contrib/hbgs/hbgs.hbp
  * contrib/hbgs/hbgs.hbc
    + Added HB_GSAPI_REVISION() wrapper + test code.
    - Disabled for dos and wce.
    + Added autodetection on *nix systems.
    + Added darwin support.
    + Added os2 dll name.
    ; TOFIX: Test (which is more or less the same as the official
             example code) doesn't work on darwin, it pops X11 and
             gives a gs cmd prompt.

2011-03-07 14:04 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbgs/hbgs.hbp
    ! Copy/paste typo. Thanks to Tamas for noticing.

2011-03-07 12:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
  * contrib/hbplist
  + contrib/hbgs
  + contrib/hbgs/core.c
  + contrib/hbgs/hbgs.hbx
  + contrib/hbgs/hbgs.hbp
  + contrib/hbgs/hbgs.hbc
  + contrib/hbgs/tests
  + contrib/hbgs/tests/testgs.prg
  + contrib/hbgs/tests/hbmk.hbm
    + Added basic, high-level Ghostscript wrapper.
      (only tested on win/win64)

2011-03-07 12:44 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/valtype.c
    * modified to work with any HB_IT_STRING flags we may add in the future

  * harbour/src/rdd/dbcmd.c
    * eliminated explicit hb_parinfo() usage

  * harbour/src/compiler/harbour.y
    * added casting which seems to be necessary for some newer bison versions

  * harbour/doc/xhb-diff.txt
    * typo

2011-03-07 12:31 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Two minor fixes to prev.

2011-03-07 12:28 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Fixed to recognize filters in options having ${} macros,
      if the filter is placed after the macros.

2011-03-06 18:38 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbpost.hbm
  * config/postinst.hbs
    ! Cygwin fixes. Also contains logic from Tamas.

  * contrib/hbhpdf/3rd/libhpdf/libhpdf.hbp
    - Deleted comment. [Tamas Tevesz]

2011-03-05 16:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideedit.prg
    ! XbpAppEventToQKeyEvent() => hbxbp_AppEventToQKeyEvent()
  * contrib/hbxbp/hbxbp.hbx
    ! Re-generated.
  * contrib/hbxbp/xbpappevent.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpwindow.prg
    ! XbpAppEventToQKeyEvent() => hbxbp_AppEventToQKeyEvent()
      And other functions updated to use "hbxbp_" namespace.
      HBXBPAPPDESKTOP() => HbpAppDesktop(), this is on line with
      Hbp* classes namespace we agreed earlier.

2011-03-05 19:34 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * debian/control
    * Update.
  * contrib/hbmzip/3rd/minizip/minizip.dif
  * contrib/hbmzip/3rd/minizip/ioapi.h
    ! Fixed type for haiku/beos.
  ; [Tamas Tevesz]

  * contrib/hbxbp/xbpappevent.prg
    ! Renamed XbpAppEventToQKeyEvent() to hbxbp_AppEventToQKeyEvent()
    ; TOFIX: Demessify these public function names:
        HBXBPAPPDESKTOP
        HBXBP_APPEVENTTOQKEYEVENT
        HBXBP_CLEAREVENTBUFFER
        HBXBP_CONVERTAFACTFROMXBP
        HBXBP_GETNEXTID
        HBXBP_INITIALIZEEVENTBUFFER
        HBXBP_SETEVENTLOOP
        XBP_SETPRESPARAM
        XBP_SETPRESPARAMIFNIL
        XBP_XBPTOQTNAME
      Probably HBXBP_ should be used consistently in all above.

2011-03-05 15:41 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbexprb.c
    + enabled o:var += <cString> optimization when -ko switch is used
      I added this optimization few years ago but I haven't enabled it
      so far.

  + harbour/tests/speedstr.prg
    + added test code for <exp> += <cString> optimization
      Try this code compiled with -kc switch (disabled += optimization)
      without any -k? switches (default, += optimized for all expressions
      except <obj>:<msg>) and finally with -ko switch (+= optimized for
      all expressions)
      (Warning for larger string non optimized code begins to be _very_
      slow, i.e. for '#define N_LOOP 1000000' it needs fee minutes to
      pass single test)

2011-03-04 17:50 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbpappevent.prg
    + Added: XbpAppEventToQKeyEvent() and XbpAppEventModifier()
  * contrib/hbxbp/xbpgeneric.prg
    + Implemented: PostAppEvent( nEventType, mp1, mp2, oXbp )
      Currently it is implemented for nEventType == xbeP_Keyboard.

2011-03-04 13:07 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * debian/control
  * debian/compat
  * debian/rules
    - add all build-depends
    - create detached debug symbol package
    - various small bits
    ; [Tamas Tevesz]

  * contrib/hbpost.hbm
    * Removed soversion from dynlib name for cygwin targets.
      (untested)

  * contrib/hbtip/tests/httpadv.prg
  * contrib/hbtip/tests/dnldftp.prg
  * contrib/hbtip/tests/tipmmail.prg
  * contrib/hbtip/tests/tiptest.prg
  * contrib/hbtip/tests/dbtohtml.prg
  * contrib/hbtip/tests/upld_ftp.prg
  * contrib/hbtip/tests/tipmail.prg
  * contrib/hbtip/tests/base64.prg
  * contrib/hbtip/tests/ftpadv.prg
  * contrib/hbtip/tests/loadhtml.prg
  * contrib/hbtip/tests/tipmime.prg
    ! inside is one real fix (unused var in base64.prg), the rest is
      generous use of hbformat + some manual editing (weed out funky chars,
      reduce eye bleeding caused by comment blocks, throw away c++-style
      comments, and the like).
    ; [Tamas Tevesz]

2011-03-04 11:31 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/pp/pplib.c
    * updated function description

  * harbour/src/pp/pplib3.c
    * covered old long time obsolete functions:
          __PPADDRULE(), __PREPROCESS(), __PP_FREE()
      by HB_LEGACY_LEVEL3 macro

2011-03-04 00:14 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/3rd/minizip/ioapi.h
    ! Fixed high chars resulting from copy/pasting from e-mail msg.

2011-03-04 00:10 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/3rd/minizip/minizip.dif
  * contrib/hbmzip/3rd/minizip/ioapi.h
    ! Fixed for cygwin. [Tamas Tevesz]

  * contrib/hblzf/3rd/liblzf/lzfP.h
  * contrib/hblzf/3rd/liblzf/liblzf.dif
    ! Fixed for bcc. [Tamas Tevesz]

  * utils/hbmk2/hbmk2.prg
    ! Fixed to include hbmainstd after converting cygwin from
      compiler to platform.
    ; QUESTION: should we use hbmainwin for cygwin apps in -gui mode?

2011-03-03 14:50 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbnetio/utils/hbnetioq/netiosrq.prg
  * contrib/hbqt/qtuitools/THbQtUILoader.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpprinter.prg
    ! Deleted: Q*FromPointer() calls leftovers.

2011-03-03 11:31 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbxbp/xbpsle.prg
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbpcheckbox.prg
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbpradiobutton.prg
  * contrib/hbxbp/xbprtf.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbpwindow.prg
  * contrib/hbxbp/xbpstatusbar.prg
  * contrib/hbxbp/xbpcombobox.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpscrollbar.prg
  * contrib/hbxbp/xbpstatic.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbptoolbar.prg
  * contrib/hbxbp/xbp3state.prg
  * contrib/hbxbp/xbpspinbutton.prg
  * contrib/hbxbp/xbpmle.prg
    ! Deleted FromQtPtr() methods. They are relying on FromPointer()
      HBQT functionality, which will be deleted soon.

  - examples/hbqt_tut
    - Deleted this local copy of the tutorial.
      You can find it here:
          http://www.gruppoeratostene.com/harbour/tutorial-qt.zip
      Please add test.dbf, test.jpg, hbmk.hbm, prova.ui to above
      .zip package. They are available from the nightly Harbour source .zip.

2011-03-02 21:43 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/qth/QGraphicsSceneEvent.qth
    ! Fixed: compilable with Qt 4.6 and above.

2011-03-02 17:15 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/QCoreApplication.qth
    ! Reversed previous commit.

  * contrib/hbqt/qtgui/hbqt_init.cpp
    - Deleted: hbqtgui_eventpush() function, not needed anymore.

  * contrib/hbqt/qtgui/qth/QContextMenuEvent.qth
  * contrib/hbqt/qtgui/qth/QDragEnterEvent.qth
  * contrib/hbqt/qtgui/qth/QDragLeaveEvent.qth
  * contrib/hbqt/qtgui/qth/QDragMoveEvent.qth
  * contrib/hbqt/qtgui/qth/QDropEvent.qth
  * contrib/hbqt/qtgui/qth/QFocusEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneContextMenuEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneDragDropEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneHelpEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneHoverEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneMouseEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneMoveEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneResizeEvent.qth
  * contrib/hbqt/qtgui/qth/QGraphicsSceneWheelEvent.qth
  * contrib/hbqt/qtgui/qth/QHelpEvent.qth
  * contrib/hbqt/qtgui/qth/QHideEvent.qth
  * contrib/hbqt/qtgui/qth/QInputMethodEvent.qth
  * contrib/hbqt/qtgui/qth/QKeyEvent.qth
  * contrib/hbqt/qtgui/qth/QMouseEvent.qth
  * contrib/hbqt/qtgui/qth/QMoveEvent.qth
  * contrib/hbqt/qtgui/qth/QPaintEvent.qth
  * contrib/hbqt/qtgui/qth/QResizeEvent.qth
  * contrib/hbqt/qtgui/qth/QShowEvent.qth
  * contrib/hbqt/qtgui/qth/QWheelEvent.qth
    + Added: constructors for all events with due parameters.
      I do not know why it elluded me so far. And I cannot
      recollect what wrong I was doing. May be due to some
      problems at initial stages kept unattended with
      ongoing development.

2011-03-02 15:29 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/qth/QCoreApplication.qth
    ! Commented out: sendEvent() and postEvent() methods until
      issue with Q*Event() class constructors is resolved.
  + contrib/hbqt/tests/browqt.prg
    ! Copied testbrows.prg to suit embedded dialog.
  * contrib/hbqt/tests/wvtqt.hbp
  * contrib/hbqt/tests/wvtqt.prg
    ! Modified: to execute hbQT dialog from within GTWVT window.

2011-03-02 15:30 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbapicls.h
    ! Added missing export from C level class creation
      functions (to make shared HBQT apps work on non-mingw targets)

2011-03-02 04:38 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.pt_BR.po
  * utils/hbmk2/hbmk2.hu_HU.po
  * utils/hbmk2/hbmk2.prg
  * utils/hbmk2/hbmk2.es_PE.po
    + Added -pic[-] option and pic= .hbc command to enable PIC.
      It's always enabled when using -hbdyn/-hbdynvm.
    ! Using -fPIC for bsd. (in sync with core make)
    + Added sunos/sparc PIC option, though to really kick in,
      CPU detection should be implemented, or it should be
      manually supplied using -cpu=sparc option.
      Please review these.

  * contrib/hblzf/3rd/liblzf/lzf_d.c
  * contrib/hblzf/3rd/liblzf/lzfP.h
  * contrib/hblzf/3rd/liblzf/LICENSE
  * contrib/hblzf/3rd/liblzf/lzf.hbp
  * contrib/hblzf/3rd/liblzf/liblzf.dif
  * contrib/hblzf/3rd/liblzf/Changes
  * contrib/hblzf/3rd/liblzf/README
  * contrib/hblzf/3rd/liblzf/lzf_c.c
    * update lzf to 3.6 [Tamas Tevesz]

  * contrib/hbqt/qtgui/hbqt_init.cpp
    * Renamed HBQT_PUSHEVENT() to HBQTGUI_EVENTPUSH().
    * Commented this new function with a detailed TOFIX note,
      with some notes needing more close inspection.

2011-03-01 18:22 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_init.cpp
    + Added: HBQT_PUSHEVENT( <qObject>, <nQEventType>, <nKey>,
               [nKeyboardModifiers], [cKey], [lRepeat=.f.], [ntimes=1] )

      Current implementation is only for keyboard events, viz.,
      QEvent_KeyPress and QEvent_KeyRelease. Mouse events needs
      QPoint() to be present which is in the gtcore namespace,
      so needs a different approach as per current hbQT scenario,
      do the needful.

2011-03-01 17:38 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtnetwork/hbqt_init.cpp
  * contrib/hbqt/qtnetwork/hbqtnetwork.hbx
  * contrib/hbqt/qtnetwork/qth/filelist.hbm
    ! Adjusted: to take use of new classes intead of NULL pointers.
  + contrib/hbqt/qtnetwork/qth/QNetworkProxy.qth
  + contrib/hbqt/qtnetwork/qth/QUrlInfo.qth
    + Added: two pending classes.

2011-03-01 16:02 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * examples/hbqt_tut/win01.prg
  * examples/hbqt_tut/win02.prg
  * examples/hbqt_tut/win02a.prg
  * examples/hbqt_tut/win03.prg
  * examples/hbqt_tut/win04.prg
  * examples/hbqt_tut/win05.prg
  * examples/hbqt_tut/win06.prg
  * examples/hbqt_tut/win07.prg
  * examples/hbqt_tut/win08.prg
  * examples/hbqt_tut/win09.prg
  * examples/hbqt_tut/win10.prg
  * examples/hbqt_tut/win11.prg
  * examples/hbqt_tut/win12.prg
  * examples/hbqt_tut/win13.prg
  * examples/hbqt_tut/win14.prg
  * examples/hbqt_tut/win15.prg
  * examples/hbqt_tut/win16.prg
  * examples/hbqt_tut/win17.prg
  * examples/hbqt_tut/win18.prg
  * examples/hbqt_tut/win19.prg
  * examples/hbqt_tut/win20.prg
  * examples/hbqt_tut/win21.prg
  * examples/hbqt_tut/win22.prg
  * examples/hbqt_tut/win23.prg
    ! Some small optimization.

2011-03-01 13:54 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/xbptreeview.prg
    ! Added missing elements on return values of two methods.
      Thanks Shum.

2011-03-01 15:35 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * examples/hbqt_tut/win01.prg
  * examples/hbqt_tut/win10.prg
  * examples/hbqt_tut/win20.prg
  * examples/hbqt_tut/win02.prg
  * examples/hbqt_tut/win11.prg
  + examples/hbqt_tut/win02a.prg
  * examples/hbqt_tut/win21.prg
  * examples/hbqt_tut/win12.prg
  * examples/hbqt_tut/win03.prg
  * examples/hbqt_tut/win22.prg
  * examples/hbqt_tut/win13.prg
  * examples/hbqt_tut/win04.prg
  * examples/hbqt_tut/win05.prg
  * examples/hbqt_tut/win23.prg
  * examples/hbqt_tut/win14.prg
  * examples/hbqt_tut/win06.prg
  * examples/hbqt_tut/win15.prg
  * examples/hbqt_tut/win07.prg
  * examples/hbqt_tut/win16.prg
  * examples/hbqt_tut/win08.prg
  * examples/hbqt_tut/win17.prg
  * examples/hbqt_tut/win09.prg
  * examples/hbqt_tut/win18.prg
  * examples/hbqt_tut/win19.prg
    * Update [Marco Bra]

2011-03-01 14:31 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbformat/hbfmtcls.prg
    ! Fixed a call to deleted function.
      NOTE: I didn't test it and no idea if ini file reader functionality
            relies on empty lines being filtered on load.

2011-03-01 12:55 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbformat/utils/hbformat.prg
  * contrib/hbformat/hbformat.hbx
  * contrib/hbformat/hbfmtcls.prg
  * contrib/hbformat/hbformat.hbp
  - contrib/hbformat/fileread.c
    ! Fixed to load LF delimited files on non-*nix systems.
    * Changed output EOL type to OS default (from 'no change')
    * Changed the way EOL type is detected in 'no change' mode.
      (it's pretty simple code and not as efficient as previously.
      my main goal was to fix file load.)
    + Showing number of lines.

  * examples/hbqt_tut/win21.prg
  * examples/hbqt_tut/win12.prg
  + examples/hbqt_tut/win22.prg
  + examples/hbqt_tut/win23.prg
    + Updated. [Marco Bra]
    ! Fixed formatting. Please use hbformat on the code before submitting.

2011-03-01 11:50 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/config/win/bcc.mk
  * harbour/utils/hbmk2/hbmk2.prg
    * disabled W8060 warnings in BCC builds when warning level is set to low

  * harbour/src/rtl/gtwin/gtwin.c
    ! added missing void in hb_gt_win_IsFullScreen() declaration

2011-03-01 11:11 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbjson.c
    ! fixed typo which caused that \uNNNN in strings were ignored
      instead of being decoded
    ; QUESTION: why we are not using unicode strings in encoding by default?

2011-03-01 09:43 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbgtinfo.ch
  * src/rtl/gtwin/gtwin.c
  * src/rtl/gtwvt/gtwvt.c
    + HB_GTI_ISFULLSCREEN checking and setting inside GTWIN done.
    ! Minor fix for GTWVT, code patched to work on Windows 95 (tested).
    ; [Aleksander Czajczynski]

  * config/beos/gcc.mk
  * config/bsd/clang.mk
  * config/bsd/pcc.mk
  * config/linux/clang.mk
    + add soname specs to some gnu lds [Tamas Tevesz]

2011-03-01 02:06 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/utils/hbmk2/hbmk2.prg
  * harbour/config/dos/watcom.mk
  * harbour/config/win/watcom.mk
  * harbour/config/linux/watcom.mk
  * harbour/config/os2/watcom.mk
    ! fixed to not use -wcd124 and -wcd136 in OpenWatcom C++ builds

   * harbour/config/win/xcc.mk
     ! added -noexpobj as workaround for problems with creating
       shared library
     * removed now unnecessary $(RM) harbour*.dll

  * harbour/src/rtl/base64d.c
    * pacified warning
    % removed unnecessary condition with RTE - decoded string has to
      be shorter then the source one taken from HVM string item so for
      sure it cannot exceed maximum string item size

  * harbour/src/rtl/base64c.c
    * generate RTE if encode string size is too big
    * eliminated unnecessary INT_MAX string limit

2011-02-28 23:21 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    * Final cleanups to de-raw-pointerization [Francesco Perillo]

2011-02-28 21:42 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/include/hbpp.h
  * harbour/include/hbapilng.h
  * harbour/include/hbapi.h
  * harbour/include/hbcomp.h
  * harbour/src/pp/pplib.c
  * harbour/src/pp/ppcore.c
  * harbour/src/common/hbstr.c
  * harbour/src/rtl/sha2.c
  * harbour/src/rtl/hbinet.c
  * harbour/src/compiler/ppcomp.c
  * harbour/src/compiler/hbfunchk.c
  * harbour/src/compiler/hbgenerr.c
  * harbour/contrib/hbtip/utils.c
    % added missing const to some variable declarations so they can be
      stored in readonly segments

  * harbour/doc/xhb-diff.txt
    ! fixed few typos

2011-02-28 21:07 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbgtinfo.ch
  * src/rtl/hbgtcore.c
  * src/rtl/gtdos/gtdos.c
  * src/rtl/gtwin/gtwin.c
  * src/rtl/gtxwc/gtxwc.c
  * src/rtl/gtcrs/gtcrs.c
  * src/rtl/gtstd/gtstd.c
  * src/rtl/gttrm/gttrm.c
  * src/rtl/gtos2/gtos2.c
  * src/rtl/gtsln/gtsln.c
  * src/rtl/gtpca/gtpca.c
  * src/rtl/gtwvt/gtwvt.c
  * contrib/hbct/ctwin.c
  * contrib/gtwvg/gtwvg.c
  * contrib/gtwvg/wvggui.c
  * contrib/gtalleg/gtalleg.c
  * contrib/hbrun/hbrun.prg
  * tests/wvt_fs.prg
  * examples/gtwvw/gtwvw.c
    * Renamed HB_GTI_FULLSCREEN to HB_GTI_ISSCREENPOS
      HB_GTI_FULLSCREEN is now deprecated and will be deleted in future
      version of Harbour, use the new name instead.
    * Renamed HB_GTI_FULLSCREEN to HB_GTI_ISFULLSCREEN
      in context of GT window being fullscreen on physical display
      recently added in 2011-02-26 20:07 UTC+0100 Viktor Szakats
    ; If someone has further name suggestions, pls tell.

  * src/rtl/hbgtcore.c
    * Setting defaults for HB_GTI_ISFULLSCREEN and HB_GTI_ALTENTER.

2011-02-28 20:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbdefs.h
    + Added HB_EXPORT_INT macro similar to HB_EXPORT, but used for
      exported _internal_ functions. (we may easily rename this
      to something else if a better idea pops up)
    ; TODO: Change HB_EXPORT to HB_EXPORT_INT for rest of internal functions.

  * include/hbpp.h
  * include/hbapi.h
  * include/hbcomp.h
  * include/hbexprop.h
  * include/hbhash.h
    + Using HB_EXPORT_INT to export functions.

  * contrib/hbide/hbide.hbp
  * contrib/hbrun/hbrun.hbp
    ! Deleted bad hack linking in hbcplr, hbpp, hbcommon on non-mingw
      win compilers.

2011-02-28 20:00 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmzip/hbmzip.hbp
    * Changed header used for minizip autodetection.
      zip.h is also used by component named libzip.
      Thanks to Przemek for the hint.
      [ looking for multiple headers (possibly connected by various
      bool operators) is too huge work for so far too little gain, so
      for now I pass it.]

  * contrib/hbrun/hbrun.prg
    + Use HB_GTI_FULLSCREEN to detect if the GT is capable of non-console
      mode of operation (formely hard-wired check for GTCGI was done).
      Pls verify me.

  * config/postinst.hbs
    + Show msg that postinst.hbs is finished (and errlev) [Tamas]

2011-02-28 18:12 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/utils/hbmk2/Makefile
    ! fixed list of linked libraries - hbpp and hbcommon libs were
      given explicitly though they are also included in harbour
      shared library. It means that for HB_BUILD_SHARED=yes some semi
      dynamic hbmk2 executable was created with repeated compiled hbpp and
      hbcommon code. The first copy was inside hbmk2 executable file and
      the second one inside harbour shared library (.so, .dyn, .dll, ...).
      This fix should also resolves the problem with missing math library
      when hbmk2 was linked.

2011-02-28 17:09 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpgeneric.prg
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbide/idesaveload.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/ideeditor.prg
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
    * Renamed HBQT_ISEQUALGCQTPOINTER() to HBQT_ISEQUAL().
      [ as a personal note I don't get how two different
      .prg level objects can have the same QT object pointer
      associated with them. IOW the most natural solution
      would be to use ( oObj1 == oObj2 ) expression on
      .prg level. ] [EXPLAINED]

2011-02-28 16:31 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqtinit.h
  * contrib/hbqt/qtnetwork/hbqt_init.cpp
    ! Implementing idea of Francesco.
      Object creation split into two versions, one where GC pointer
      is used and one where a normal one. Latter is used when dealing
      with events (except one place).
      Please do tests.

2011-02-28 16:10 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbmagic/hbmagic.hbp
    ! Fixed missing dep setting. [Tamas]

2011-02-28 14:00 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/hbsocket.c
    ! Added hb_socketGetHostName() stub when HB_SOCKET_OFF.

  * contrib/hbrun/hbrun.hbp
    + Linking in hbpmcom on dos platform. [Tamas]

2011-02-28 13:47 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
    % Cast deleted.
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtnetwork/hbqt_init.cpp
    * object constructors fixed to have hb_ prefix.

2011-02-28 12:58 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
    + Add missing signal reg call.

2011-02-28 08:50 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    + Patch from Francesco. (more slot callbacks + minor formatting patches of mine)

  * src/rtl/gtwvt/gtwvt.h
  * src/rtl/gtwvt/gtwvt.c
    * Minors.

2011-02-27 18:25 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    + Adding more signal handlers plus some other mods.
      Patch from Francesco (with some minor mods and fixex, pls check)

2011-02-27 14:22 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt.h
  + contrib/hbqt/qtcore/hbqtinit.h
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtwebkit/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtnetwork/hbqt_init.cpp
  * contrib/hbqt/qscintilla/hbqt_init.cpp
  * contrib/hbqt/qtuitools/hbqt_init.cpp
  * contrib/hbqt/qtdesigner/hbqt_init.cpp
    + Added HBQT_SLOT_CALLBACK_OBJ_INT(), HBQT_SLOT_CALLBACK_OBJ_OBJ()
    * Renamed HBQT_SLOT_CALLBACK_OBJ_1() to HBQT_SLOT_CALLBACK_OBJ().
    * Moved these macros to separate header.

  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
    ! Fixed after prev.

2011-02-27 12:19 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt.h
    + Added HBQT_SLOT_CALLBACK_OBJ_1() macro to easily create
      slot callbacks passing 1 object.
    ; TODO: Use it. [DELETED]

2011-02-27 11:17 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
    ! Patch from Francesco.

2011-02-27 11:06 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtnetwork/hbqt_init.cpp
    * Changed few raw pointers missed in other commits.
      Some of them commented because the class wrapper is not implemented yet.
    % Deleted unused code.
    * Changed object creation according to patch from Francesco. (with my changes)

2011-02-27 09:25 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    + Applied (fully manually) Francesco's patch to address inefficiency
      (to avoid using macro evaluation and calling back to a .prg stub to
      create objects) in recent raw pointer modification.
      It contains modifications of mine.
    ; TOFIX: Add puller code for internally created objects. Or, even better
             use pure C++ object creation code, so this is not a problem.
    ; TODO: Delete remains of old method. [DONE]

2011-02-27 08:46 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Fixed to convert object name to uppercase when registering an event.
      Francesco's patch with a twist to do less .toUpper() calls.
      Pls test.

  + examples/hbqt_tut
  + examples/hbqt_tut/hbmk.hbm
  + examples/hbqt_tut/win01.prg
  + examples/hbqt_tut/win10.prg
  + examples/hbqt_tut/win20.prg
  + examples/hbqt_tut/win02.prg
  + examples/hbqt_tut/win11.prg
  + examples/hbqt_tut/win21.prg
  + examples/hbqt_tut/win12.prg
  + examples/hbqt_tut/win03.prg
  + examples/hbqt_tut/win13.prg
  + examples/hbqt_tut/win04.prg
  + examples/hbqt_tut/win14.prg
  + examples/hbqt_tut/win05.prg
  + examples/hbqt_tut/win15.prg
  + examples/hbqt_tut/win06.prg
  + examples/hbqt_tut/win07.prg
  + examples/hbqt_tut/win16.prg
  + examples/hbqt_tut/win08.prg
  + examples/hbqt_tut/win17.prg
  + examples/hbqt_tut/win09.prg
  + examples/hbqt_tut/win18.prg
  + examples/hbqt_tut/win19.prg
  + examples/hbqt_tut/prova.ui
  + examples/hbqt_tut/test.jpg
  + examples/hbqt_tut/test.dbf
    + Added HBQT tutorial created by Giovanni Di Maria.
    ! Used hbformat to format them.
    * Renamed a.jpg to test.jpg
    + Added hbmk.hbm

2011-02-27 00:24 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
    ! Fixed recent typo. Thanks Francesco.

2011-02-26 23:10 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Fixed to always set -quiet and -info- when --hbdir* or --hbinfo
      options are used.

2011-02-26 20:07 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * include/hbgtinfo.ch
  * src/rtl/gtwvt/gtwvt.h
  * src/rtl/gtwvt/gtwvt.c
  + tests/wvt_fs.prg
    + Added ability to switch GTWVT screen into fullscreen. See example
      for usage. Patch by Aleksander Czajczynski. Many thanks!
      Pls test.

  * contrib/hbqt/qtcore/hbqt_pointer.cpp
    ! Fixed bug introed in 2011-02-24 18:03 UTC-0800 Pritpal Bedi
      where char array declaration used runtime size value.
      Replaced with hb_strdup(). In previous commit I've also fixed
      an strcpy() usage. strcpy() is strictly forbidden in Harbour
      codebase. Hopefully it fixes MSVC build failure.

2011-02-26 14:28 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/postinst.hbs
    ! Typo.

2011-02-26 12:20 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqtgui.ch
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
    % Using QT event enums instead of HBQT's .ch.
    % Moved timer event registration to hbqtcore.

2011-02-26 10:58 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
    * Changed to use hbqt_create_objectFromEventType2()
      instead of hbqt_create_objectFromEventType().
    ; Please test, it's likely the new function doesn't work
      properly yet and should be fixed.

2011-02-26 10:50 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbqt/qtgui/hbqtgui.ch
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtcore/hbqt_init.cpp
    ! Fixed indentation in recent additions.
    + Added new function hbqt_create_objectFromEventType2() which
      is supposed to create the object and fill PPTR in C code
      (without calling back to .prg)
      I didn't make any functional tests so pls do it.
    + Added mechanism to register/unregister event types with
      object names.
    + QTGUI will now register its event types on init.
    + Event filter changed to look for registeres event types
      and create appropriate object dynamically.
    ; TODO: Old code is still there, until the new one gets tested.
            Please do tests.
    ! Fixed to pull required class wrappers for object types
      associated with events.
    ; TOFIX: hbqt_create_object()/HBQT_CREATEQTOBJECT() is wrong
             because it uses macro expansion to call object instantation,
             which means _ALL_ HBQT apps now require to pull and link
             every existing QT symbols to work reliably, which is
             unacceptable for all apps (except HBIDE which pulls all
             these anyway) [DONE]
             We should move to full C++ wrappers to solve this
             cleanly.
    ; TOFIX: Clean code to never use the unsafe hbqt_create_objectFromEventType(). [DONE]
    ; TOFIX: Just a note: Raw pointers are still used in QLIST f.e.,
             so even the raw pointer problem is not fully solved yet.

  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtcore/hbqtcore.hbx
    * Regenerated automatically.
    ; !!! FOR HBQT (AND ALL) DEVELOPERS: Please enable HB_REBUILD_EXTERN=yes !!!

  * contrib/hbtip/sendmail.prg
    + Encode .xml attachments in base64. Response to sf.net #3192722
    + Set MIME type for .xml (text/xml)
    ; Pls review this.

  * config/postinst.hbs
    + Create dynlib symlinks only if the dynlib was actually created
      and exists. (different patch from what we've dicussed on the
      list, so pls verify it)

2011-02-25 18:37 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtgui/hbqt_hbqplaintextedit.cpp
    ! Fixed: a regression where raw pointer was supplied
      instead of Harbour object.

2011-02-25 09:15 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/qtcore/hbqt_misc.prg
    ! Fixed: to not rely on another library.

2011-02-24 18:40 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/tests/testbrow.prg
  * contrib/hbqt/tests/testqaim.prg
  * contrib/hbqt/tests/testres.prg
    ! Adopted: to latest hbQT changes.

2011-02-24 18:03 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbqt/hbmk2_qt.hbs

  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqt_hbqevents.cpp
  * contrib/hbqt/qtcore/hbqt_hbqslots.cpp
  * contrib/hbqt/qtcore/hbqt_init.cpp
  * contrib/hbqt/qtcore/hbqt_misc.prg
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqtcore.hbx
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsitem.cpp
  * contrib/hbqt/qtgui/hbqt_hbqgraphicsscene.cpp
  * contrib/hbqt/qtgui/hbqt_hbqtableview.cpp
  * contrib/hbqt/qtgui/hbqt_init.cpp
  * contrib/hbqt/qtgui/hbqtgui.hbx
  * contrib/hbqt/qtgui/qth/QStandardItemModel.qth
  * contrib/hbqt/qtgui/qth/QTreeWidget.qth
  * contrib/hbqt/qtnetwork/hbqt_init.cpp

  * contrib/hbxbp/xbpappevent.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbpstatic.prg
  * contrib/hbxbp/xbpstatusbar.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbptreeview.prg
  * contrib/hbxbp/xbpwindow.prg

  * contrib/hbide/hbqreportsmanager.prg
  * contrib/hbide/hbqtoolbar.prg
  * contrib/hbide/idebrowse.prg
  * contrib/hbide/idedocks.prg
  * contrib/hbide/ideedit.prg
  * contrib/hbide/ideeditor.prg
  * contrib/hbide/idefindreplace.prg
  * contrib/hbide/ideharbourhelp.prg
  * contrib/hbide/idehome.prg
  * contrib/hbide/idemain.prg
  * contrib/hbide/idemisc.prg
  * contrib/hbide/idethemes.prg

    + Eliminated: raw pointers available to PRG code totally.
      Only a couple of places are left which I will look into
      shortly. [TOFIX]

      INCOMPATIBLE: Now any event fired by the Qt itself,
      either via SIGNAL/SLOTS mechanism or QEvent_* constants,
      it supplies Harbour object instead of Qt pointer.

      This is a massive change and hence regression is expected.
      Please report.

2011-02-24 22:40 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    ! HB_USHORT -> HB_SIZE after recent mod.

2011-02-24 19:33 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/globsh.mk
    ! make the clean target also remove the newly-created libharbour* symlinks [Tamas]

  * utils/hbmk2/hbmk2.prg
    + Added TODO to eventually delete lib grouping.

  * config/linux/watcom.mk
    - Disabled dynlib creation on linux/watcom, because watcom support
      is broken yet.

2011-02-23 10:58 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/linux/sunpro.mk
  * config/sunos/gcc.mk
  * config/sunos/sunpro.mk
    + adjust dt_soname generation for sun toolchain [Tamas]

  * contrib/hbpost.hbm
    + Added soname support for sunos. Pls test.

  * config/global.mk
    * Minor.

2011-02-23 02:09 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbexpat/hbexpat.hbp
    ! Fixed to not disable detection of local copy when
      HB_BUILD_3RDEXT=no

2011-02-23 00:30 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    ! Fixed to use cygharbour-21.dll name for cygwin targets.

  * config/bsd/gcc.mk
    + Added -soname option.

  * config/cygwin/gcc.mk
    ! Revert. cygwin doesn't have $(LN) command.

  ; Some useful looking links, for the record:
    - http://www.fortran-2000.com/ArnaudRecipes/sharedlib.html
    - http://www.akkadia.org/drepper/dsohowto.pdf
    - http://abicheck.sourceforge.net/abicheck.html#Documentation

2011-02-22 23:54 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/bsd/pcc.mk
  * config/darwin/icc.mk
  * config/hpux/gcc.mk
  * config/linux/watcom.mk
  * config/linux/icc.mk
  * config/cygwin/gcc.mk
    * $(LN) commands inlined in ($DY) line.
    ; So now symlinks are generated on all targets.

2011-02-22 23:50 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/beos/gcc.mk
  * config/linux/sunpro.mk
  * config/sunos/sunpro.mk
    + Added $(LN) commands to these remaining targets.
      Only vxworks is missing them now, but I can't remember
      how this worked there.

2011-02-22 23:45 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/bsd/pcc.mk
  * config/hpux/gcc.mk
  * config/linux/watcom.mk
  * config/linux/icc.mk
    + Added $(LN) calls for targets it was missing from.
      (and which they use multiline dynlib creation block)

  * config/cygwin/gcc.mk
    * Moved $(LN) calls to separate lines to be in sync with
      rest of platforms with multiline dynlib creation block.

2011-02-22 23:37 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/qnx/gcc.mk
  * config/bsd/gcc.mk
  * config/bsd/clang.mk
  * config/linux/clang.mk
  * config/cygwin/gcc.mk
  * config/symbian/gcc.mk
    + Added symlinks for "2.1" versioned dynlib name.
    ; [ Apparently several *nix platforms/compilers don't have symlinks implemented yet at all. [DONE] ]

2011-02-22 23:31 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/linux/sunpro.mk
  * config/sunos/gcc.mk
  * config/sunos/sunpro.mk
    * massage solaris configs to be more in line with other gccs. [Tamas]

2011-02-22 22:17 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    ! Use hb_fsReadLarge()/hb_fsWriteLarge().
    + Added TODO to use hb_fileExtOpen().
    ! Deleted FXO_DEFAULTS after carefully checking there is no
      more "extra" feature of hb_fsExtOpen() enabled in this specific
      scenario.

2011-02-22 21:49 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/darwin/clang.mk
    ! Typo after recent mods.

2011-02-22 21:36 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    ! Fixed regression for win/wce systems after recent dynlib changes.
      On these systems the referenced lib name should always contain
      the version number.

2011-02-22 12:26 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbxbp/hbpprocess.prg
  * contrib/hbxbp/xbp3state.prg
  * contrib/hbxbp/xbpbitmap.prg
  * contrib/hbxbp/xbpbrowse.prg
  * contrib/hbxbp/xbpcheckbox.prg
  * contrib/hbxbp/xbpclipboard.prg
  * contrib/hbxbp/xbpcombobox.prg
  * contrib/hbxbp/xbpdataref.prg
  * contrib/hbxbp/xbpdialog.prg
  * contrib/hbxbp/xbpfiledialog.prg
  * contrib/hbxbp/xbpfontdialog.prg
  * contrib/hbxbp/xbphtmlviewer.prg
  * contrib/hbxbp/xbplistbox.prg
  * contrib/hbxbp/xbpmenubar.prg
  * contrib/hbxbp/xbpmle.prg
  * contrib/hbxbp/xbppresspace.prg
  * contrib/hbxbp/xbpprintdialog.prg
  * contrib/hbxbp/xbpprinter.prg
  * contrib/hbxbp/xbppushbutton.prg
  * contrib/hbxbp/xbpradiobutton.prg
  * contrib/hbxbp/xbprtf.prg
  * contrib/hbxbp/xbpscrollbar.prg
  * contrib/hbxbp/xbpsle.prg
  * contrib/hbxbp/xbpspinbutton.prg
  * contrib/hbxbp/xbpstatic.prg
  * contrib/hbxbp/xbpstatusbar.prg
  * contrib/hbxbp/xbpstyle.prg
  * contrib/hbxbp/xbptabpage.prg
  * contrib/hbxbp/xbptoolbar.prg
  * contrib/hbxbp/xbptreeview.prg
    ! Changed: Method :new() => :init() as per Xbase++ compatibility.

2011-02-22 18:35 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/vxworks/gcc.mk
  * config/vxworks/diab.mk
  * config/darwin/gcc.mk
  * config/darwin/icc.mk
  * config/darwin/clang.mk
  * config/linux/gcc.mk
    * Cleaned to use new central variables for harbour dynlib links.
    ; TODO: Do the same with rest of *nix targets when adding soname
            and '2.1' style symlinks, when current system proves okay
            with darwin and linux/gcc targets.

2011-02-22 18:06 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    * Restored open mode. Still waiting for proper fix.
    * Upped buffer to 65536.

  * config/qnx/gcc.mk
  * config/bsd/gcc.mk
  * config/bsd/clang.mk
  * config/darwin/gcc.mk
  * config/darwin/icc.mk
  * config/darwin/clang.mk
  * config/linux/gcc.mk
  * config/linux/clang.mk
  * config/dyn.mk
  * config/cygwin/gcc.mk
  * config/symbian/gcc.mk
    * Renamed DYN_FILE2/DYN_NAME2 to DYN_FILE/NAME_NVR.
      (NVR for 'versionless')

2011-02-22 16:25 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/linux/gcc.mk
    * Using central macros for dynlib versions.

  * config/dyn.mk
    + Added macros to help creation of .major.minor versioned dynlib links.

2011-02-22 16:12 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/vxworks/gcc.mk
  * config/vxworks/diab.mk
  * config/darwin/gcc.mk
  * config/darwin/icc.mk
  * config/darwin/clang.mk
    ! LIB_PREF -> DYN_PREF

2011-02-22 16:08 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/global.mk
    % Deleted two remaining HB_DYNLIB_NAME* variables.

2011-02-22 16:01 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/dynlib/2nd/Makefile
  * src/dynlib/Makefile
  * config/none.mk
  * config/vxworks/gcc.mk
  * config/vxworks/diab.mk
  * config/darwin/gcc.mk
  * config/darwin/icc.mk
  * config/darwin/clang.mk
  * config/linux/gcc.mk
  * config/dyn.mk
  * config/os2/gcc.mk
    * DYNNAME2 -> DYNNAME

2011-02-22 15:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/dynlib/2nd/Makefile
  * src/dynlib/Makefile
  * config/none.mk
  * config/dyn.mk
    % Dropped DYNNAME. Now using DYNNAME2 only.
    % Dropped HB_DYNLIB_NAME*. Now using HB_DYNLIB_BASE* only.
    ; TODO: Rename DYNNAME2 to DYNNAME. [DONE]

2011-02-22 14:20 UTC+0200 Mindaugas Kavaliauskas (dbtopas/at/dbtopas.lt)
  * harbour/src/rtl/fscopy.c
    * rewrote using hb_fsOpen()/hb_fsCreate() as requested by Viktor

2011-02-22 13:11 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * config/postinst.hbs
  * config/global.mk
  * config/bin.mk
  * config/darwin/gcc.mk
  * config/darwin/icc.mk
  * config/darwin/clang.mk
  * config/linux/gcc.mk
  * config/dyn.mk
  * config/os2/gcc.mk
    * Trying to cleanup the harbour dynlib name situation.
      Here's the plan (which is similar to what's used in contrib area):
         win, wce: harbour-21[-subtype][.dll/.lib]
         dos, os2: harbour[.dll|.???]
         darwin:
            libharbour.2.1.0.dylib
            libharbour.2.1.dylib -> (symlink) [compatibility level]
            libharbour.dylib -> (symlink)
         *nix:
            # libharbour.s?.2.1.0
            # libharbour.s?.2.1 -> (symlink) [soname]
            # libharbour.s? -> (symlink)
    ; It's possible it's broken now. Pls test linux/gcc and darwin.
      'install' was not tested.
    ; TODO: Clean variable usage, there is some redundancy, plus
            some places where current solution is not generic, f.e.
            using HB_VER_*, HB_DYNLIB_BASE vs. HB_DYNLIB_NAME, etc. [DONE]

  * harbour/src/rtl/fscopy.c
    * Reverted 2011-02-22 12:27 UTC+0200 Mindaugas Kavaliauskas
      which made behavior inconsistent with rest of similar
      functions like FERASE(), FRENAME(), which also don't throw
      RTE if bad parameter is passed, but return FERROR()
      and failure instead.
      Also restored _SET_DEFAULT handling to not create a special case
      compared to __COPYFILE() behavior, ia. some features like
      FXO_SHARELOCK are still enabled while FXO_DEFAULT is not).
      Pls rewrite it using hb_fsOpen()/hb_fsCreate() if that behavior
      bothers you.

2011-02-22 12:27 UTC+0200 Mindaugas Kavaliauskas (dbtopas/at/dbtopas.lt)
  * harbour/src/rtl/fscopy.c
    * added runtime error for HB_FCOPY() bad param types only
    * made a function HB_FCOPY() a pure file system function
      does not dependent on _SET_DEFAULT setting
    ; File open mode is not altered a avoid any influence on OS/2
      behaviour if source and destination files are the same (see
      ChangeLog entry at 2009-11-24 16:57). I guess, hb_fsExpOpen()
      still can be changed to hb_fsOpen() with FO_EXCLUSIVE,
      FO_CREAT, and FO_TRUNC but I'm unable to test it, so, I leave
      current code.

2011-02-21 20:15 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    * Reverted my recent changes.
    ; Pls read past ChangeLog entries as to why this function
      is implementet the way it is make changes which don't break
      f.e. OS/2. Not throwing an RTE from this function is
      intentional.
    * Added parantheses to recent patch to hb_fsCopy().

2011-02-21 18:25 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    ! Fixed missing header in prev.
    ! Fixed to check empty value of parameters properly.

2011-02-21 16:40 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/fscopy.c
    ! HB_FCOPY(): RTE when either of the parameters is not string.
    - Deleted FXO_DEFAULTS from open flags, so HB_FCOPY() and hb_fsCopy()
      don't depend on _SET_DEFAULT setting anymore.

2011-02-21 16:28 UTC+0200 Mindaugas Kavaliauskas (dbtopas/at/dbtopas.lt)
  * harbour/contrib/hbwin/axcore.c
    * return NIL instead of runtime error if failed to obtain
      connection point
    ; Please test
  * harbour/src/rtl/fscopy.c
    * added error check for read operation

2011-02-21 13:59 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/filesys.c
    + fs_win_set_drive(): Setting SEM_FAILCRITICALERRORS before
      SetCurrentDirectory() call to avoid screen msg in some error
      scenarios. Thanks to vbdasc (final patch has two modifications,
      so pls retest it).
    + hb_fsChDir(): Applied similar logic as above.
    * Using FALSE instead of 0 in both function above.

  * contrib/hbssl/evppkey.c
    * Comment.

2011-02-20 22:53 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  + contrib/hbct/tests/numline.prg
  * contrib/hbct/numline.c
    + Added NUMLINE() tests. The results are based on real tests
      with CT3, which differ from what CT3 NG states for 'NUMLINE("")'
    ! NUMLINE(): fixed to handle LF EOLs (like original CT3)
    % NUMLINE(): variable scope plus minor optimization.
    ! NUMLINE(): don't strip const when casting.
    * NUMLINE(): use HB_CHAR_* constant.
    ! NUMLINE(): fixed line counting to be compatible with CT3.
      Supposed to fix sf.net #3029405 bug. Please test and review.

2011-02-20 19:46 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbpost.hbm
  * config/linux/gcc.mk
    + Setting -soname on linux systems. Experimental, I don't know a bit about
      what this value should be or how it's supposed to work, so pls test.
      Once settled one something, it should be extended to all *nix platforms
      and all linux compilers.

2011-02-20 18:01 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * package/winuni/RELNOTES
    * Updated.

  * package/winuni/mpkg_win_uni.bat
    + Using mingw64 .dlls and .exe for win64. (was msvc64)
      Now mingw64 binaries look fine and they are about the
      same size as mingw32 ones.

  * package/winuni/mpkg_win_uni.nsi
    * Formatting.

2011-02-20 13:49 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbnetio/utils/hbnetio/hbnetio.hbp
  * contrib/hbformat/utils/hbformat.hbp
  * contrib/hbrun/hbrun.hbp
    - Deleted nxcompat (and friends) flags from local .hbp files.
      They are enabled by config/hbpost.hbm, in more precise manner.

  * utils/hbmk2/hbmk2.hbp
  * utils/hbi18n/hbi18n.hbp
  * utils/hbtest/hbtest.hbp
    - Deleted also from here. (These .hbp files are not used
      by core make.)

2011-02-20 01:54 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/compiler/gencc.c
    ! Fixed typos in 2011-02-15 13:39 UTC+0100 Przemyslaw Czerpak
      breaking strlarge and strhidden VM ops.

2011-02-19 20:49 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * package/harbour.spec
  * package/harbour-win.spec.in
  * package/harbour-wce.spec.in
  * include/hbver.h
  * config/global.mk
    + Changed version number to:
         2.1.0rc2 (from 2.1.0rc1)

2011-02-19 17:26 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    * Some more.

2011-02-19 17:20 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    * Changed "TODO" used as variable names to not collide
      with TODO comments.

  * INSTALL
    * revert.

2011-02-19 15:41 UTC+0100 Przemyslaw Czerpak (druzus/at/priv.onet.pl)
  * harbour/src/rtl/hbsocket.c
    ! added missing casting for C++ mode

2011-02-19 10:16 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.prg
    ! Deleted local version of HB_FNAMEDIR().

2011-02-19 09:27 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/Makefile
  + src/rtl/hbfilehc.c
  * src/rtl/hbfilehi.prg
    % Rewritten high-level HB_FNAME*() functions in C.

2011-02-18 17:53 UTC-0800 Pritpal Bedi (bedipritpal@hotmail.com)
  * contrib/hbide/ideharbourhelp.prg
    ! Fixed: a last moment nasty omission in previous commit.
  * contrib/hbqt/hbmk2_qt.hbs
    ! Started: implementation of all C++ level class creation.
      Currently new class structure is only appended in
      QPainDevice.cpp and QWidget.cpp.
      ; This has to go in SVN to keep track of heavy changes
        in the engine plus my different working systems (home/office).
  * contrib/hbqt/qtcore/qth/QAbstractItemModel.qth
  * contrib/hbqt/qtgui/qth/QGraphicsLinearLayout.qth
  * contrib/hbqt/qtgui/qth/QLayout.qth
  * contrib/hbqt/qtgui/qth/QMessageBox.qth
  * contrib/hbqt/qtgui/qth/QScrollArea.qth
  * contrib/hbqt/qtgui/qth/QTreeWidgetItem.qth
    % Tweaked: detached and attached attributes of child widgets.

2011-02-18 23:44 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * utils/hbmk2/hbmk2.pt_BR.po
  * utils/hbmk2/hbmk2.hu_HU.po
  * utils/hbmk2/hbmk2.es_PE.po
  * utils/hbmk2/hbmk2.prg
    + Added -F<framework> option to pass OS X/Darwin frameworks to the linker
      (in both hbexe and hbdyn modes)
    + <name.framework> input files will be recognized as OS X/Darwin frameworks.
    + Added support for frameworks= command in .hbc files.

  * contrib/hbqt/qtgui/hbqtgui.hbc
  * contrib/hbqt/qtwebkit/hbqtwebkit.hbc
  * contrib/hbqt/qtcore/hbqtcore.hbc
  * contrib/hbqt/qtnetwork/hbqtnetwork.hbc
  * contrib/hbqt/qscintilla/hbqscintilla.hbc
  * contrib/hbqt/qtdesigner/hbqtdesigner.hbc
    * Replaced manual hack to add QT frameworks on darwin,
      with new hbmk2 framework options.

  * contrib/sddfb/sddfb.hbc
  * contrib/hbfbird/hbfbird.hbc
    + Added Firebird as framework on darwin.

2011-02-18 22:20 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/rddads/rddads.h
  * contrib/rddads/ads1.c
    ! Fixed to check ADS_LIB_VERSION instead of ADS_LONGLONG to
      enable longlong related features.
    * Changed to use ADS_LIB_VERSION to detect availability of
      ADS_MONEY.
    * Deleted hack (which was a pending QUESTION for at least 4 years
      now) which redefined ADS_MAX_KEY_LENGTH for ADS 7.10 to 256,
      while the official value is 4082 there. Now rddads uses whatever
      value is defined by ADS header.
    ! Deleted hack to force usage of ADS_CISTRING, ADS_ROWVERSION,
      ADS_MODTIME. Now these features will be enabled based on
      ADS_LIB_VERSION. This was old pending TOFIX. It may
      theoretically change behavior for these field types in certain
      client/server version combinations, ..or not. Pls comment,
      I'm not ADS user.
    ! Added missing cast/warning when built against ADS 5.00.

2011-02-18 21:44 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/rddads/ads.ch
    ! Deleted COMMIT command which collided with Clipper
      command of the same name. If you need old ads.ch
      functionality, replace these command with AdsWriteAllRecords()
      call.

  * contrib/rddads/adsx.c
  * contrib/rddads/ads1.c
    ! Fixed to always defined ADSVFP and ADSVFPX.
      (otherwise the .hbx file content will be dependent
      on version of the 3rd party dependency)

2011-02-18 21:14 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/headers.prg
  * contrib/hbrun/hbrun.prg
    + Setup internal headers for compiled plugins.
    + Sped up internal header hash assembly.

2011-02-18 20:47 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/plugins.prg
    ! Fck. Left there some debug alerts.

2011-02-18 20:42 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * INSTALL
    * Changed SVN download command to use http (instead of https)
      Even though the https version is the official flavor shown on sf.net.
      Interesting even such trivial matter can generate support question,
      with too complicate answer.

  * contrib/hbqt/hbmk2_qt.hbs
    ! Typo in comment. Copied from Francesco's test version of the plugin.

2011-02-18 13:28 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/hbrun.prg
    * Setting app icon.

  * contrib/hbqt/hbmk2_qt.hbs
  * contrib/hbqt/qtgui/hbqtgui.h
  * contrib/hbqt/qtcore/hbqt_pointer.cpp
  * contrib/hbqt/qtcore/hbqt.h
  * contrib/hbqt/qtcore/hbqtcore.h
    ! Fixed to use HB_U32 for object type (instead of a mixture of int and unsigned int)

2011-02-17 15:01 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * contrib/hbrun/hbrun.prg
    + Added GTWVT on win builds.

  * src/rtl/gtcrs/gtcrs.c
    ! Typo in comment.

  * src/rtl/errapi.c
    ! Deleted old TOFIX most pbly not relevant anymore.

  * tests/testid.prg
    ! Deleted old TOFIX and formatting.

2011-02-17 13:57 UTC+0100 Viktor Szakats (harbour.01 syenar.hu)
  * src/rtl/achoice.prg
    + Added TOFIX.

  * src/rtl/hbrandom.c
